commit 50d668ff9eaca2c54e6e8057304ecbae065f5322
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 23 10:53:19 2012 -0300

    Prepare release 0.9.1

 CMakeLists.txt |    4 ++--
 NEWS           |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 615a3773587ad8ff36befd3dc9a0c671c6323240
Merge: 19fb762 bda2cdb
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 22 20:21:33 2012 -0300

    Merge remote-tracking branch 'gkiagia/farstream-fix'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit bda2cdb72b77b2d3cbb705b9ebe49efe6bf6f663
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 22 23:33:26 2012 +0200

    farstream: Fix TpCallChannel creation.
    
    Apparently tp_channel_new does not create a TpCallChannel subclass,
    but tp-farstream, unlike tp-farsight, explicitly requires a TpCallChannel.

 TelepathyQt/Farstream/channel.cpp |   19 ++++++++++---------
 1 files changed, 10 insertions(+), 9 deletions(-)

commit 19fb762b183e701666f76521c59c63132777cf9c
Merge: ab7b024 a439c6e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 22 12:36:13 2012 -0300

    Merge branch 'chan-group-test-fix'
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

commit ab7b02446184b746e8645cc62f77514c1f41a38c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 22 12:35:26 2012 -0300

    Update NEWS

 NEWS |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit a439c6ea1ca03736934dbe88a6dd64938257338c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 22 12:22:54 2012 -0300

    chan-group test: Fix bug where test was failing with tp-glib >= 0.16.2.

 tests/dbus/CMakeLists.txt |    2 +-
 tests/dbus/chan-group.cpp |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 862bda590b0e169ae6b941e4226af2433d008b8c
Merge: 283b8b1 2af0dc5
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 22 11:41:21 2012 -0300

    Merge remote-tracking branch 'gkiagia/call1'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit 2af0dc5d73c9234337d8ec3130a0a2df9201505f
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 22 15:02:36 2012 +0200

    cmake: Allow *Config.cmake scripts to be executed twice, the second time without any effect
    
    This is because:
    1) cmake fails to import the same targets twice (in TelepathyQt4Config.cmake),
       which breaks for sure TpQtFsConfig.cmake in case you try to do this:
    
         find_package(TelepathyQt4 REQUIRED)
         find_package(TelepathyQt4Farstream REQUIRED)
    
    2) there is no need to add extra overhead to the execution of cmake
       if the project is asking to find TpQt more than once.

 .../Farsight/TelepathyQtFarsightConfig.cmake.in    |   32 ++++++++-------
 .../Farstream/TelepathyQtFarstreamConfig.cmake.in  |   32 ++++++++-------
 TelepathyQt/TelepathyQtConfig.cmake.in             |   40 ++++++++++---------
 3 files changed, 55 insertions(+), 49 deletions(-)

commit 05d224ce86089cc167229b08f37118ffbc466e55
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 21 17:24:57 2012 +0200

    CallChannel: Introspect immutable properties if they are not passed on the constructor

 TelepathyQt/call-channel.cpp |  121 +++++++++++++++++++++++++++++++++---------
 TelepathyQt/call-channel.h   |    4 +-
 tests/dbus/call-channel.cpp  |   65 ++++++++++++++++++++---
 3 files changed, 157 insertions(+), 33 deletions(-)

commit ee1eb6668ab42a2ab0bafb5284352c216ebb6658
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 21 15:57:44 2012 +0200

    farstream: Fix namespace opening coding style

 TelepathyQt/Farstream/channel.cpp |    6 ++++--
 TelepathyQt/Farstream/channel.h   |    6 ++++--
 2 files changed, 8 insertions(+), 4 deletions(-)

commit a92fa56b4de87acf4f90cc93ff2697035209c3a1
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 21 15:53:34 2012 +0200

    farstream: Add some debug warnings in early returns

 TelepathyQt/Farstream/channel.cpp |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit e6f4bd8b085f75f8fe25bd705b6e9755a9676f57
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 21 15:46:56 2012 +0200

    Farstream/CMakeLists.txt: remove yell relic from comment

 TelepathyQt/Farstream/CMakeLists.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 52e6f44ca951ac7f10142b24e48473ee270c203d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 21 15:46:18 2012 +0200

    pkgconfig: Do not hardcode the tp-glib and tp-fs versions in the .pc.in files

 .../Farsight/TelepathyQtFarsight-uninstalled.pc.in |    2 +-
 TelepathyQt/Farsight/TelepathyQtFarsight.pc.in     |    2 +-
 .../TelepathyQtFarstream-uninstalled.pc.in         |    2 +-
 TelepathyQt/Farstream/TelepathyQtFarstream.pc.in   |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 0c6aa1a07ce3392e99398125fc7f71ab2b4a749d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 21 15:45:12 2012 +0200

    CMakeLists.txt: Do not hardcode required min version in the macro_log_feature messages

 CMakeLists.txt |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit ee6a410072e1e9587d28c537c1dcbc9e35f7b9eb
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Mar 19 19:22:59 2012 +0200

    call1: Use *Interface::requestAllProperties/requestPropertyFoo instead of Properties::Get*

 TelepathyQt/call-channel.cpp |  105 +++++++++++++++++------------------------
 TelepathyQt/call-channel.h   |    6 +-
 TelepathyQt/call-content.cpp |   35 ++++++--------
 TelepathyQt/call-content.h   |    2 +-
 TelepathyQt/call-stream.cpp  |   36 ++++++--------
 TelepathyQt/call-stream.h    |    2 +-
 6 files changed, 79 insertions(+), 107 deletions(-)

commit 4e36e7c4128602d94fb73265ff209707a5951775
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 15 13:31:21 2012 +0200

    farstream: Put everything in the Farstream namespace and strip Tf from names.

 TelepathyQt/Farstream/CMakeLists.txt   |    2 +-
 TelepathyQt/Farstream/PendingChannel   |   13 +++++++++++++
 TelepathyQt/Farstream/PendingTfChannel |   13 -------------
 TelepathyQt/Farstream/channel.cpp      |   29 +++++++++++++++--------------
 TelepathyQt/Farstream/channel.h        |   17 +++++++++--------
 5 files changed, 38 insertions(+), 36 deletions(-)

commit c16ff427fde0461d667c46c3dbeb77f42c6cce2d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 15 13:15:59 2012 +0200

    farstream: Remove the Farstream/Types and Farstream/types.h headers.

 TelepathyQt/Farstream/CMakeLists.txt |    4 +--
 TelepathyQt/Farstream/Types          |   13 -----------
 TelepathyQt/Farstream/channel.h      |    2 +-
 TelepathyQt/Farstream/types.h        |   39 ----------------------------------
 4 files changed, 2 insertions(+), 56 deletions(-)

commit 008eed6067edd388a9f6b662dab0cabae8e38e36
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 15 12:58:20 2012 +0200

    PendingTfChannel: Add a callChannel() method to return the CallChannel.

 TelepathyQt/Farstream/channel.cpp |    5 +++++
 TelepathyQt/Farstream/channel.h   |    1 +
 2 files changed, 6 insertions(+), 0 deletions(-)

commit b7b3ff7727d2c00d971e1c7d118b1222e52fd47d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 15 12:57:37 2012 +0200

    farstream: Remove the FarstreamChannelFactory class to make the api simpler.

 TelepathyQt/Farstream/channel.cpp |   35 +++++++++--------------------------
 TelepathyQt/Farstream/channel.h   |   22 +++-------------------
 2 files changed, 12 insertions(+), 45 deletions(-)

commit 68fe68373c8ead43f954d947797c193ce7597e0c
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 18:47:16 2012 +0200

    Farstream/Channel: Use tf_channel_new_finish() from tp-fs 0.2.2.

 CMakeLists.txt                    |    4 ++--
 TelepathyQt/Farstream/channel.cpp |    3 +--
 2 files changed, 3 insertions(+), 4 deletions(-)

commit 485f57a2626672f8c697946bdaf6ae872b41983f
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 18:46:24 2012 +0200

    farstream: s/qDebug/debug/ and remove useless debug messages

 TelepathyQt/Farstream/channel.cpp |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

commit 5ad2d0c3a0776f4bb8619aaf07975ca70620e724
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 16:37:20 2012 +0200

    farstream: Port the farstream lib away from tp-qt4-yell and integrate it into the build system.

 CMakeLists.txt                                     |   23 ++++++
 TelepathyQt/CMakeLists.txt                         |    2 +-
 TelepathyQt/Farstream/CMakeLists.txt               |   80 +++++++++++++++-----
 TelepathyQt/Farstream/Channel                      |   12 ++--
 TelepathyQt/Farstream/Global                       |   12 ++--
 TelepathyQt/Farstream/PendingTfChannel             |   12 ++--
 .../TelepathyQt4YellFarstream-uninstalled.pc.in    |   11 ---
 .../Farstream/TelepathyQt4YellFarstream.pc.in      |   11 ---
 .../TelepathyQtFarstream-uninstalled.pc.in         |   11 +++
 TelepathyQt/Farstream/TelepathyQtFarstream.pc.in   |   11 +++
 .../Farstream/TelepathyQtFarstreamConfig.cmake.in  |   22 ++++++
 TelepathyQt/Farstream/Types                        |   12 ++--
 TelepathyQt/Farstream/channel.cpp                  |   26 +++----
 TelepathyQt/Farstream/channel.h                    |   28 ++++----
 TelepathyQt/Farstream/global.h                     |   26 +++---
 TelepathyQt/Farstream/types.h                      |   20 +++---
 cmake/modules/FindFarstream.cmake                  |   50 ++++++++++++
 cmake/modules/FindTelepathyFarstream.cmake         |   50 ++++++++++++
 18 files changed, 300 insertions(+), 119 deletions(-)

commit 3853ee8f1c98385117b4d12346e8dcc35b539c61
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 15:29:52 2012 +0200

    farstream: Import the farstream library from telepathy-qt4-yell.

 TelepathyQt/Farstream/CMakeLists.txt               |   66 ++++++++
 TelepathyQt/Farstream/Channel                      |   13 ++
 TelepathyQt/Farstream/Global                       |   13 ++
 TelepathyQt/Farstream/PendingTfChannel             |   13 ++
 .../TelepathyQt4YellFarstream-uninstalled.pc.in    |   11 ++
 .../Farstream/TelepathyQt4YellFarstream.pc.in      |   11 ++
 TelepathyQt/Farstream/Types                        |   13 ++
 TelepathyQt/Farstream/channel.cpp                  |  164 ++++++++++++++++++++
 TelepathyQt/Farstream/channel.h                    |   80 ++++++++++
 TelepathyQt/Farstream/global.h                     |   45 ++++++
 TelepathyQt/Farstream/types.h                      |   39 +++++
 11 files changed, 468 insertions(+), 0 deletions(-)

commit 5a37d43187405029d6c3d138d0ce2619d8531e0b
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 15 13:12:45 2012 +0200

    call1: s/MediaCall/Call/g in all the call-related methods of ChannelFactory/ChannelClassSpec

 TelepathyQt/channel-class-spec.cpp |    8 ++++----
 TelepathyQt/channel-class-spec.h   |   12 ++++++------
 TelepathyQt/channel-factory.cpp    |    8 ++++----
 TelepathyQt/channel-factory.h      |   10 +++++-----
 4 files changed, 19 insertions(+), 19 deletions(-)

commit e9fc97977962d654969f1adee1c0fb9ac68d013d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 13:11:01 2012 +0200

    account.cpp: Update copyright

 TelepathyQt/account.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 79d7d6d2c5a86ad5650f19771cf434cd89019e53
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 12:35:30 2012 +0200

    CallContent: Use hasInterface() instead of interfaces().contains() in supportsDTMF().

 TelepathyQt/call-content.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1559e6c0ad1a4d21c7b9b5d2f538d36f4565f400
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 12:30:47 2012 +0200

    call1: Remove unnecessary use of QLatin1String() with TP_QT_* constants.

 TelepathyQt/call-channel.cpp |    8 +++-----
 TelepathyQt/call-content.cpp |    3 +--
 2 files changed, 4 insertions(+), 7 deletions(-)

commit 8a6df5994736572db7d7e96622800e0026865349
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 12:11:54 2012 +0200

    Account: Fix copy/paste mistake: s/audioName/videoName/g

 TelepathyQt/account.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e72eae06b47946ce9caacf737a45346633a687d7
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 12:10:31 2012 +0200

    call1: Add PendingCallContent pretty header.

 TelepathyQt/CMakeLists.txt     |    1 +
 TelepathyQt/PendingCallContent |   13 +++++++++++++
 2 files changed, 14 insertions(+), 0 deletions(-)

commit aacb5b8e39171597f33012a716f291dabc767c47
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 12:07:53 2012 +0200

    call1: Move PendingCallContent to call-content.{h,cpp}

 TelepathyQt/call-channel.cpp |   98 ------------------------------------------
 TelepathyQt/call-channel.h   |   27 -----------
 TelepathyQt/call-content.cpp |   98 ++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/call-content.h   |   27 +++++++++++
 4 files changed, 125 insertions(+), 125 deletions(-)

commit 45278044e9f53ee800b36b3b066e1a34e994e320
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 23 01:05:47 2012 +0200

    test-call-channel: add unit test for CallContent's DTMF methods

 tests/dbus/call-channel.cpp |   77 +++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 77 insertions(+), 0 deletions(-)

commit 4f87f7855fa1af6ad098c80107a964446dbae55c
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 23 01:05:33 2012 +0200

    CallContent: add DTMF methods

 TelepathyQt/call-content.cpp |   72 ++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/call-content.h   |    4 ++
 2 files changed, 76 insertions(+), 0 deletions(-)

commit 1d502d0300c57480634b9dd50215f93050959657
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 22 23:55:47 2012 +0200

    CallChannel: update documentation

 TelepathyQt/call-channel.cpp |  135 ++++++++++++++++++++++++++++++------------
 1 files changed, 97 insertions(+), 38 deletions(-)

commit a0d6d35c02cabfec82325b7c7f89ce2463d2309d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 22 22:05:37 2012 +0200

    CallChannel: add a contentByName() method
    
    Since the name of contents is significant and can even be requested when
    creating the channel for the initial contents, it is probably useful to
    be able to retrieve a content given its name.

 TelepathyQt/call-channel.cpp |   24 ++++++++++++++++++++++++
 TelepathyQt/call-channel.h   |    1 +
 tests/dbus/call-channel.cpp  |    1 +
 3 files changed, 26 insertions(+), 0 deletions(-)

commit 4fcff359b6a5737d91edbc6ca5b17d7613575e85
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 22 21:54:49 2012 +0200

    test-call-channel: test FeatureCallMembers

 tests/dbus/call-channel.cpp |  142 +++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 142 insertions(+), 0 deletions(-)

commit 8c6ae1508fb5e71954f2698615dbb57901989eb8
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 22 21:50:40 2012 +0200

    CallStream: merge back from CallChannel the changes in remote member handling
    
    The code that handles remote members in CallChannel was originally copied
    from CallStream, but was modified a bit to fix some mistakes. This commit
    merges back those changes to CallStream, so that the logic is identical.

 TelepathyQt/call-stream.cpp |   48 +++++++++++++++++++++++-------------------
 1 files changed, 26 insertions(+), 22 deletions(-)

commit d9dd246228a8c4d8e7cfb93c07d7e210310d4d74
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 22 21:49:12 2012 +0200

    CallChannel: implement FeatureCallMembers

 TelepathyQt/call-channel.cpp |  275 +++++++++++++++++++++++++++++++++++++++++-
 TelepathyQt/call-channel.h   |   21 +++-
 2 files changed, 290 insertions(+), 6 deletions(-)

commit 85755b41410c0c90e505c970e305a750042ef1ac
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 22 17:37:54 2012 +0200

    Account: add methods to ensure/create Call channels

 TelepathyQt/account.cpp    |  470 ++++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/account.h      |   66 ++++++
 TelepathyQt/call-channel.h |    1 -
 3 files changed, 536 insertions(+), 1 deletions(-)

commit 1e53279abb0c7fa23b65faa03e008cc1e3f29675
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 21 19:26:29 2012 +0200

    tests: add unit test for the Call* classes

 tests/dbus/CMakeLists.txt   |    1 +
 tests/dbus/call-channel.cpp |  694 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 695 insertions(+), 0 deletions(-)

commit 3c6faf52cd88ed1db72609014e83bd3de5f9ea3f
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 21 19:25:36 2012 +0200

    tests: import the example call CM from tp-glib

 tests/lib/glib/CMakeLists.txt            |    2 +
 tests/lib/glib/call/CMakeLists.txt       |   20 +
 tests/lib/glib/call/call-channel.c       |  841 ++++++++++++++++++++++++++++++
 tests/lib/glib/call/call-channel.h       |   67 +++
 tests/lib/glib/call/call-content.c       |  103 ++++
 tests/lib/glib/call/call-content.h       |   82 +++
 tests/lib/glib/call/call-manager.c       |  536 +++++++++++++++++++
 tests/lib/glib/call/call-manager.h       |   71 +++
 tests/lib/glib/call/call-stream.c        |  481 +++++++++++++++++
 tests/lib/glib/call/call-stream.h        |   80 +++
 tests/lib/glib/call/cm.c                 |   82 +++
 tests/lib/glib/call/cm.h                 |   73 +++
 tests/lib/glib/call/conn.c               |  427 +++++++++++++++
 tests/lib/glib/call/conn.h               |   80 +++
 tests/lib/glib/call/example_call.manager |   25 +
 tests/lib/glib/call/protocol.c           |  186 +++++++
 tests/lib/glib/call/protocol.h           |   64 +++
 17 files changed, 3220 insertions(+), 0 deletions(-)

commit 9e721a9cb329b7b042b59a511e6f6c53ecf9763e
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 21 18:51:04 2012 +0200

    CallChannel: print warnings when methods are called without their required features being ready

 TelepathyQt/call-channel.cpp |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)

commit 9a1e5262888fabc17cf1b9ae9373c98ffb5c4293
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 21 18:38:47 2012 +0200

    CallChannel: Get immutable properties directly from the constructor and reduce FeatureCore to a stub

 TelepathyQt/call-channel.cpp |   82 ++++++++++++------------------------------
 TelepathyQt/call-channel.h   |    2 -
 2 files changed, 23 insertions(+), 61 deletions(-)

commit 4fe334219c5371d796aecf7415df7c5bb56ca223
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 21 13:18:36 2012 +0200

    CallContent: add remove() method

 TelepathyQt/call-content.cpp |   12 ++++++++++++
 TelepathyQt/call-content.h   |    4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit e4c6ce30f639905a35031aece103b93c18dc2d5e
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 22:19:36 2012 +0200

    ChannelFactory: add missing methods and fix details related to CallChannel

 TelepathyQt/channel-factory.cpp |   17 ++++++++++++++++-
 TelepathyQt/channel-factory.h   |    4 ++++
 2 files changed, 20 insertions(+), 1 deletions(-)

commit 178a7fa7af5b248f8e179de67073ac1513cadcee
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 22:15:05 2012 +0200

    call1: fix the channel class specs and capabilities to comply with the spec
    
    According to the spec, Call1 channels are not allowed to have neither
    InitialAudio nor InitialVideo and the RequestableChannelClasses must
    either have InitialVideo fixed and InitialAudio allowed or vice versa.

 TelepathyQt/capabilities-base.cpp              |   22 +----
 TelepathyQt/capabilities-base.h                |    1 -
 TelepathyQt/channel-class-spec.cpp             |   15 ----
 TelepathyQt/channel-class-spec.h               |    1 -
 TelepathyQt/requestable-channel-class-spec.cpp |  104 +++---------------------
 TelepathyQt/requestable-channel-class-spec.h   |   13 +--
 6 files changed, 19 insertions(+), 137 deletions(-)

commit c9d12315b0383e75fa81919516224b331888ac01
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 20:48:15 2012 +0200

    call1: hide all the private symbols from the Call* classes

 TelepathyQt/call-channel.h |   31 ++++++++++++++++---------------
 TelepathyQt/call-content.h |   13 +++++++------
 TelepathyQt/call-stream.h  |   12 ++++++------
 3 files changed, 29 insertions(+), 27 deletions(-)

commit 50b38d0bcf104904031ec8535d3517d2d3e097c6
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 20:28:53 2012 +0200

    CallChannel: prepend "call" to all the state-related methods' names
    
    This change was made because state() and flags() are too generic names
    and could possibly clash with functions with the same name in a
    superclass or subclass in the future.

 TelepathyQt/call-channel.cpp |   12 ++++++------
 TelepathyQt/call-channel.h   |   12 ++++++------
 2 files changed, 12 insertions(+), 12 deletions(-)

commit a9dbf1d091606ef80db8253bde2bc0f0a4be97b0
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 20:20:59 2012 +0200

    CallChannel: sort out the various Features
    
    This adds 2 new features whose functionality was previously in FeatureContents:
    * FeatureCore: introspects the immutable properties
    * FeatureCallState: introspects the properties related to the call state
      and enables the stateChanged / flagsChanged signals.

 TelepathyQt/call-channel.cpp |  193 ++++++++++++++++++++++++++++++++----------
 TelepathyQt/call-channel.h   |   32 +++++--
 2 files changed, 171 insertions(+), 54 deletions(-)

commit e761e2a00e4ae834fdbf0c8faa9d8ec4899511d6
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 19:29:06 2012 +0200

    CallChannel: add a flagsChanged() signal

 TelepathyQt/call-channel.cpp |   12 +++++++++++-
 TelepathyQt/call-channel.h   |    1 +
 2 files changed, 12 insertions(+), 1 deletions(-)

commit e551ac4c1c9d91ccb62890eff463023d13faad6b
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 17:18:39 2012 +0200

    CallChannel: add reason in contentRemoved()

 TelepathyQt/call-channel.cpp |    7 ++++---
 TelepathyQt/call-channel.h   |    2 +-
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 2918fb721a600693e1f23b6886a7b634bb10e3b5
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 12:29:33 2012 +0200

    CallContent: fix header name in the documentation

 TelepathyQt/call-content.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e399695bfd6ff5a0684aa62ad758d956a8e0e282
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 12:29:11 2012 +0200

    CallContent: add reason in streamRemoved()

 TelepathyQt/call-content.cpp |    5 +++--
 TelepathyQt/call-content.h   |    2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit e9f8b448e8483b918ae08e48dc84158479f29ae7
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 14:17:26 2012 +0200

    CallStream: bind and use the CanRequestReceiving property

 TelepathyQt/call-stream.cpp |   22 ++++++++++++++++++++++
 TelepathyQt/call-stream.h   |    1 +
 2 files changed, 23 insertions(+), 0 deletions(-)

commit 16d203edc4eae0501c9fb38e5eb5ffdb7105151a
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 14:00:43 2012 +0200

    CallStream: make use of RemoteMemberIdentifiers

 TelepathyQt/call-stream.cpp |   21 ++++++++++++++-------
 1 files changed, 14 insertions(+), 7 deletions(-)

commit 14dd2012a069622dadcc3f45e978f5c58340c4c4
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 13:47:52 2012 +0200

    CallStream: update documentation

 TelepathyQt/call-stream.cpp |   53 ++++++++++++++++++++----------------------
 1 files changed, 25 insertions(+), 28 deletions(-)

commit 8db158f1d409cccefe00917c5436896dd39fbeb0
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 13:46:57 2012 +0200

    CallStream: rename members() to remoteMembers()
    
    This is to make it more clear that this set does not include
    the self contact.

 TelepathyQt/call-stream.cpp |    2 +-
 TelepathyQt/call-stream.h   |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2ae6538bbe589d090ee1640853e8a4b9dd39d881
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 13:45:49 2012 +0200

    CallStream: fix memory leak

 TelepathyQt/call-stream.cpp |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 9bf9f7a95a0594e0f06e48e442dc15864861611d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 13:44:49 2012 +0200

    CallStream: make use of the CallStateReason in the signals

 TelepathyQt/call-stream.cpp |   22 +++++++++++++++-------
 TelepathyQt/call-stream.h   |    9 ++++++---
 2 files changed, 21 insertions(+), 10 deletions(-)

commit 041895960a78d80b678875d1e4aaa0c4087c6b96
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 13:31:36 2012 +0200

    call1: replace qDebug()/qWarning() with debug()/warning() in the code imported from yell

 TelepathyQt/call-channel.cpp |   32 +++++++++++++++++---------------
 TelepathyQt/call-content.cpp |   14 ++++++++------
 TelepathyQt/call-stream.cpp  |   12 +++++++-----
 3 files changed, 32 insertions(+), 26 deletions(-)

commit 51f7291c8e7603ac490bb98a8d33ab3e843993ad
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 00:08:00 2012 +0200

    CallChannel: Add default parameters in the hangup() method
    
    Normally a handler should call hangup() with these parameters,
    except in very special cases.

 TelepathyQt/call-channel.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 641b23c58335c31949c178239004d96f16c9d06b
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 00:01:15 2012 +0200

    CallChannel: Add the setRinging()/setQueued() methods

 TelepathyQt/call-channel.cpp |   17 +++++++++++++++++
 TelepathyQt/call-channel.h   |    2 ++
 2 files changed, 19 insertions(+), 0 deletions(-)

commit afe69384ac57824f6bd25664b048e7cbd085c427
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 15 22:18:35 2012 +0200

    call1: update existing classes to work with the latest Call1 spec

 TelepathyQt/call-channel.cpp |   24 +++++++++++++-----------
 TelepathyQt/call-channel.h   |    7 ++++---
 TelepathyQt/call-content.cpp |    7 ++++---
 TelepathyQt/call-content.h   |    2 +-
 TelepathyQt/call-stream.cpp  |   15 +++++++++------
 TelepathyQt/call-stream.h    |    6 ++++--
 6 files changed, 35 insertions(+), 26 deletions(-)

commit 2bfaaa10165f6c7132ed3a5db69052a983e998d5
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 15 22:05:13 2012 +0200

    call1: move CallContent/CallStream to separate source files
    
    This also removes the CallChannel::removeContent() method
    together with its helper private class, since it is not going
    to be used in Call1 and causes compilation failure here.

 TelepathyQt/CMakeLists.txt          |    6 +-
 TelepathyQt/call-channel-internal.h |  171 --------
 TelepathyQt/call-channel.cpp        |  782 +++--------------------------------
 TelepathyQt/call-channel.h          |  106 +-----
 TelepathyQt/call-content.cpp        |  335 +++++++++++++++-
 TelepathyQt/call-content.h          |   53 +++-
 TelepathyQt/call-stream.cpp         |  433 +++++++++++++++++++-
 TelepathyQt/call-stream.h           |   62 +++-
 8 files changed, 936 insertions(+), 1012 deletions(-)

commit a8b6517cb49d2f45c8dcb47f8d7853f93af46b94
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 14 18:46:18 2012 +0200

    call1: Add the Call* classes to the build system

 TelepathyQt/CMakeLists.txt |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit e1de1a5d521c89922873f027a85e9c8321b7415c
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 14 17:43:48 2012 +0200

    call1: merge the remaining call-related bits from tp-qt4-yell

 TelepathyQt/capabilities-base.cpp              |   56 ++++++++
 TelepathyQt/capabilities-base.h                |    6 +
 TelepathyQt/channel-class-spec.cpp             |   64 ++++++++++
 TelepathyQt/channel-class-spec.h               |   43 ++++++-
 TelepathyQt/channel-factory.cpp                |    6 +
 TelepathyQt/channel-factory.h                  |    9 ++
 TelepathyQt/requestable-channel-class-spec.cpp |  162 ++++++++++++++++++++++++
 TelepathyQt/requestable-channel-class-spec.h   |   10 ++
 8 files changed, 355 insertions(+), 1 deletions(-)

commit c9ac6a61f6def1a15a17d7741164b8174c8b2f53
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 14 17:42:31 2012 +0200

    call1: un-yell-ify the Call* classes

 TelepathyQt/CallChannel             |   12 +-
 TelepathyQt/call-channel-internal.h |   42 ++++----
 TelepathyQt/call-channel.cpp        |  218 +++++++++++++++++-----------------
 TelepathyQt/call-channel.h          |   98 ++++++++--------
 4 files changed, 183 insertions(+), 187 deletions(-)

commit 1b89d8d21010a3ee5af51c65fb8e36322d0aea26
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 14 16:14:13 2012 +0200

    call1: Import CallChannel/CallContent/CallStream from telepathy-qt4-yell

 TelepathyQt/CallChannel             |   13 +
 TelepathyQt/call-channel-internal.h |  171 ++++
 TelepathyQt/call-channel.cpp        | 1522 +++++++++++++++++++++++++++++++++++
 TelepathyQt/call-channel.h          |  241 ++++++
 TelepathyQt/types.h                 |    6 +
 5 files changed, 1953 insertions(+), 0 deletions(-)

commit 283b8b1d574c265b6789aaf867ebaf9b4b1004d1
Merge: a88fb6b cf64e96
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 16 15:46:51 2012 -0300

    Merge branch 'trivia'
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

commit cf64e968dbc3cf787c825f0984f6e0c125c0e680
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 05:15:10 2012 -0300

    Add missing pretty headers for ProtocolInfoList and ProtocolParameterList.

 TelepathyQt/CMakeLists.txt        |    2 ++
 TelepathyQt/ProtocolInfoList      |   13 +++++++++++++
 TelepathyQt/ProtocolParameterList |   13 +++++++++++++
 3 files changed, 28 insertions(+), 0 deletions(-)

commit 1276ee717742ffba3e13b2750c5c4b05d0e12e4b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 01:43:37 2012 -0300

    Bump tp-glib dependency to 0.17.5 (for Captcha support).

 CMakeLists.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a88fb6b929a23397f709497454600f649d917dce
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 14:39:09 2012 +0100

    Update NEWS

 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f9aedcb8ddb75dc3471229aacfa889f9523ca6aa
Merge: 7c28bc4 3c41300
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 14:32:35 2012 +0100

    Merge branch 'captcha-authentication'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit 3c4130092c86a354d5fccec20df04137a2ea1606
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 11:26:33 2012 +0100

    captcha-autentication: Fix and refine docs

 TelepathyQt/captcha-authentication.cpp        |   60 ++++++++++++-------------
 TelepathyQt/captcha.cpp                       |    2 +-
 TelepathyQt/pending-captchas.cpp              |    3 -
 TelepathyQt/server-authentication-channel.cpp |   13 ++---
 TelepathyQt/server-authentication-channel.h   |    2 +-
 5 files changed, 36 insertions(+), 44 deletions(-)

commit ff15b48962133b37ef46b5f945816ee3da0f3bc1
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:46:57 2012 +0100

    captcha-authentication: Use AuthenticationMethod property to determine which interface ServerAuthenticationChannel implements
    
    The spec advertises this property to be the only reliable way to find out which interface
    is implemented on a given ServerAuthentication channel. Instead of checking if the channel
    has one of them, just introspect its properties first, and determine which method the channel
    implements by reading AuthenticationMethod.

 TelepathyQt/server-authentication-channel.cpp |   76 ++++++++++++++++---------
 TelepathyQt/server-authentication-channel.h   |    1 +
 2 files changed, 49 insertions(+), 28 deletions(-)

commit 7fdf576f8613c330803be75c927da0350260af2f
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:30:47 2012 +0100

    captcha-authentication: s/introspectServerAuthentication/introspectMain

 TelepathyQt/server-authentication-channel.cpp |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit e9830fc15c718ecd42103e2ae3ae68c0113d6199
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:29:27 2012 +0100

    captcha-authentication: Adhere to code style

 TelepathyQt/captcha-authentication.cpp |   66 ++++++++++++++++----------------
 TelepathyQt/captcha-authentication.h   |    4 +-
 TelepathyQt/captcha.cpp                |    3 +-
 TelepathyQt/pending-captchas.cpp       |    3 +-
 4 files changed, 39 insertions(+), 37 deletions(-)

commit 8315c51828f94bf8d9a99fa74665d01f2290915e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:14:15 2012 +0100

    captcha-authentication: Comment out any mention of SASL until an implementation comes

 TelepathyQt/server-authentication-channel.cpp |    8 +++++---
 TelepathyQt/server-authentication-channel.h   |    3 ++-
 tests/dbus/captcha-authentication.cpp         |    4 ++--
 3 files changed, 9 insertions(+), 6 deletions(-)

commit b1c06340ba5ec381a00862104c5abf86d29bb735
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:13:41 2012 +0100

    captcha-authentication: For clarity, use temporary variables to identify members of a hash when iterating

 TelepathyQt/pending-captchas.cpp |   18 ++++++++++--------
 1 files changed, 10 insertions(+), 8 deletions(-)

commit 7ef44712e3a55ef088ff98795a28dda54a16e435
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:12:05 2012 +0100

    captcha-authentication: Use error() and errorDetails() when channel status change makes an operation fail
    
    In case an operation fails with due to a channel status change, the error data in the interface
    should already be filled. Given this case, expose CaptchaAuthentication's error instead of a new one.

 TelepathyQt/captcha-authentication.cpp |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 3d439b4ab34e1cbf502e71f5d25a6d16a683e16e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:11:23 2012 +0100

    captcha-authentication: Remove leftovers from previous implementations

 TelepathyQt/captcha-authentication-internal.h |    2 --
 TelepathyQt/captcha-authentication.h          |    2 +-
 2 files changed, 1 insertions(+), 3 deletions(-)

commit ca1f8c5a8850365335245431a5ece20092b62c41
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:10:51 2012 +0100

    captcha-authentication: Use keywords instead of Q_* macros

 TelepathyQt/abstract-interface.cpp |    2 +-
 TelepathyQt/pending-captchas.cpp   |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6f02b9b5248c1afcb08f32fd3867a11c9178a07f
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Mar 8 20:40:12 2012 +0100

    captcha-authentication: Remove empty lines

 TelepathyQt/captcha-authentication.cpp |    3 +--
 TelepathyQt/captcha-authentication.h   |    2 --
 2 files changed, 1 insertions(+), 4 deletions(-)

commit 9a35bbeb85baf99566bb47293ac80563bcca4399
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Mar 8 19:34:42 2012 +0100

    captcha-authentication: Use QDBusPendingCall instead of PendingVoid in internal classes

 TelepathyQt/captcha-authentication-internal.h |   10 +++--
 TelepathyQt/captcha-authentication.cpp        |   54 ++++++++++++-------------
 2 files changed, 32 insertions(+), 32 deletions(-)

commit f5c4889c42e9603b0d4cf0152e454b5f79d761ce
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Mar 8 19:23:26 2012 +0100

    captcha-authentication: Tp-Qtify Captcha's implementation
    
    Have a struct instead of a class for the Private member, and use isValid() to
    avoid creating a data member for the default constructor.

 TelepathyQt/captcha.cpp |   38 ++++++++++++++++++++++++++++----------
 TelepathyQt/captcha.h   |    7 +++++--
 2 files changed, 33 insertions(+), 12 deletions(-)

commit 927e2c01b276d9abf299fe81d3017dbb516d74b0
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Mar 8 19:10:02 2012 +0100

    captcha-authentication: Hold a strong reference to CaptchaAuthentication in any pending operation on it

 TelepathyQt/captcha-authentication-internal.h |    2 +
 TelepathyQt/captcha-authentication.cpp        |   29 +++++++++++++++++++------
 TelepathyQt/captcha-authentication.h          |    5 +--
 TelepathyQt/pending-captchas.cpp              |   22 ++++++++----------
 4 files changed, 36 insertions(+), 22 deletions(-)

commit f008f71164277bc8b69dcc078fc552f46f56b348
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Mar 8 12:51:47 2012 +0100

    captcha-authentication: Doc improvements

 TelepathyQt/captcha-authentication.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 038844417a263f187c4160f9e9d5e0f92b53b49b
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 19:24:50 2012 +0100

    captcha-authentication: Be more verbose with errors

 TelepathyQt/captcha-authentication.cpp |    4 +++-
 TelepathyQt/pending-captchas.cpp       |    5 +++--
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 5b806f33c34f211b7f9fb9e12b69c9966929146f
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 19:14:33 2012 +0100

    captcha-authentication: Fill empty Captcha objects with default values

 TelepathyQt/captcha.cpp               |    2 ++
 tests/dbus/captcha-authentication.cpp |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit fe0b0123a0fd9a73ecdc9075f353dd64faef757d
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 19:09:14 2012 +0100

    captcha-authentication: Keep a weak ref of the Channel into CaptchaAuthentication
    
    Keeping a strong reference caused a leak since a strong-ref loop was triggered by the
    "parenting" of the two objects, which held a strong ref one towards the other.

 TelepathyQt/captcha-authentication-internal.h |    2 +-
 TelepathyQt/captcha-authentication.cpp        |   20 +++++++++++++++-----
 TelepathyQt/pending-captchas.cpp              |    8 ++++++--
 3 files changed, 22 insertions(+), 8 deletions(-)

commit 0a288f2282d1b6329036a2f77df5b5c755177a3e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 18:31:15 2012 +0100

    captcha-authentication: Clean up forward declarations and comments

 TelepathyQt/captcha-authentication.h |    1 -
 TelepathyQt/captcha.h                |    2 +-
 2 files changed, 1 insertions(+), 2 deletions(-)

commit 1f8c446d7a926d56ad46944b2d5124d2f9838aef
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 18:29:45 2012 +0100

    captcha-authentication: Rename lastError* to error*

 TelepathyQt/captcha-authentication.cpp |    8 ++++----
 TelepathyQt/captcha-authentication.h   |    4 ++--
 tests/dbus/captcha-authentication.cpp  |    4 ++--
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 94427fcc4838cd4eb2a685132e1e3a32e45df713
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 18:26:43 2012 +0100

    captcha-authentication: Don't use d-pointers for private classes

 TelepathyQt/captcha-authentication-internal.h |   26 +++---------------------
 TelepathyQt/captcha-authentication.cpp        |   22 +++++++-------------
 2 files changed, 12 insertions(+), 36 deletions(-)

commit 11ed0c73027dc3571b03f4084e9ea28a7fcf2c98
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 18:20:48 2012 +0100

    captcha-authentication: Add Nokia copyright

 TelepathyQt/captcha-authentication-internal.h |    1 +
 TelepathyQt/captcha-authentication.cpp        |    1 +
 TelepathyQt/captcha-authentication.h          |    1 +
 TelepathyQt/captcha.cpp                       |    1 +
 TelepathyQt/captcha.h                         |    1 +
 TelepathyQt/pending-captchas.cpp              |    1 +
 TelepathyQt/pending-captchas.h                |    1 +
 TelepathyQt/server-authentication-channel.cpp |    1 +
 TelepathyQt/server-authentication-channel.h   |    1 +
 9 files changed, 9 insertions(+), 0 deletions(-)

commit 8c0950b53be40d414ec6593eca3436f79b8b0e8c
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 15:31:45 2012 +0100

    captcha-authentication: Improvements to documentation

 TelepathyQt/captcha-authentication.cpp        |   20 ++++++------
 TelepathyQt/pending-captchas.cpp              |    1 +
 TelepathyQt/server-authentication-channel.cpp |   41 ++++++++++++++++++++-----
 3 files changed, 44 insertions(+), 18 deletions(-)

commit 96a7ca03196b137e76488160bdfc638878398183
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 15:23:41 2012 +0100

    captcha-authentication: Instead of using a type(), just have a check for each interface

 TelepathyQt/server-authentication-channel.cpp |   22 ++++++++++++++--------
 TelepathyQt/server-authentication-channel.h   |    9 ++-------
 tests/dbus/captcha-authentication.cpp         |    6 ++++--
 3 files changed, 20 insertions(+), 17 deletions(-)

commit 6d1f0b5c40672a0b855bb6e4f4a47ef2e6a741e1
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 6 16:05:05 2012 +0100

    captcha-authentication: Update the test to cover failure in fetching data due to the property not being ready

 tests/dbus/captcha-authentication.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 54a7d6c00d21259f6a60fbb0561e284564e27c60
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 6 16:04:43 2012 +0100

    captcha-authentication: Update channel class spec and factory to handle ServerAuthentication channels

 TelepathyQt/channel-class-spec.cpp |   24 +-----------------------
 TelepathyQt/channel-class-spec.h   |    4 +---
 TelepathyQt/channel-factory.cpp    |   25 +++++++++++++++++++++++++
 TelepathyQt/channel-factory.h      |   16 ++++++++++++++++
 4 files changed, 43 insertions(+), 26 deletions(-)

commit 6657ac899f536bac39e796058a8b90932bfd9e12
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 6 12:56:25 2012 +0100

    captcha-authentication: Move captcha logic out of Channel and into a new ServerAuthenticationChannel

 TelepathyQt/CMakeLists.txt                    |    4 +
 TelepathyQt/ServerAuthenticationChannel       |   13 ++
 TelepathyQt/captcha-authentication.h          |    2 +-
 TelepathyQt/channel.cpp                       |   83 ---------
 TelepathyQt/channel.h                         |    4 -
 TelepathyQt/server-authentication-channel.cpp |  221 +++++++++++++++++++++++++
 TelepathyQt/server-authentication-channel.h   |   75 +++++++++
 TelepathyQt/types.h                           |    2 +
 tests/dbus/captcha-authentication.cpp         |   10 +-
 9 files changed, 322 insertions(+), 92 deletions(-)

commit 7fb046aee619ecf8632f3f124cc234b751f49657
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 29 18:47:24 2012 +0100

    captcha-authentication: Add docs for CaptchaAuthentication

 TelepathyQt/captcha-authentication.cpp |  148 ++++++++++++++++++++++++++-----
 1 files changed, 124 insertions(+), 24 deletions(-)

commit 8f0b08a42f9baddea0b0188fafa5a9d3798729f2
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 29 18:47:09 2012 +0100

    captcha-authentication: Use internal tp-qt debug

 TelepathyQt/captcha-authentication.cpp |   12 ++++++------
 TelepathyQt/channel.cpp                |    2 +-
 TelepathyQt/pending-captchas.cpp       |   14 ++++++++------
 3 files changed, 15 insertions(+), 13 deletions(-)

commit d31f5cb18dd63f8f705795da4d7e5dcf7f0b4a9e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 29 17:23:42 2012 +0100

    captcha-authentication: When cancelling, close the channel upon success.

 TelepathyQt/captcha-authentication-internal.h |   30 ++++++++++++++
 TelepathyQt/captcha-authentication.cpp        |   53 ++++++++++++++++++++++++-
 TelepathyQt/captcha-authentication.h          |    2 +
 3 files changed, 84 insertions(+), 1 deletions(-)

commit f63353eac420c114882635618d7e62260e61016d
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 29 16:56:44 2012 +0100

    captcha-authentication: When answering, close the channel upon success.

 TelepathyQt/captcha-authentication-internal.h |    1 +
 TelepathyQt/captcha-authentication.cpp        |   19 ++++++++++++++++---
 TelepathyQt/captcha-authentication.h          |    2 ++
 3 files changed, 19 insertions(+), 3 deletions(-)

commit 8113e60499c0357ad51bddc05f5770cdba74a152
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 23 18:12:38 2012 +0100

    captcha-authentication: Cast the correct type

 tests/dbus/captcha-authentication.cpp |   14 +++-----------
 1 files changed, 3 insertions(+), 11 deletions(-)

commit 739c8ecb2d690dbe192af77c875a6d4c458d6b78
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 23 18:10:21 2012 +0100

    captcha-authentication: Also check the signal has been emitted correctly

 tests/dbus/captcha-authentication.cpp |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 06154be16ea79ea6bbb1c206f408eae98d76dc2d
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 22:26:22 2012 +0100

    captcha-authentication: Add more tests to bring coverage up to 90%

 tests/dbus/captcha-authentication.cpp |  154 ++++++++++++++++++++++++++++-----
 tests/lib/glib/captcha-chan.c         |   27 ++++++-
 2 files changed, 159 insertions(+), 22 deletions(-)

commit 3eda275c3cadc28aedbb50b5ff1da5dbe3c6b6f4
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 22:26:10 2012 +0100

    captcha-authentication: UnknownChallenge cannot be 0

 TelepathyQt/captcha-authentication.h |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit e7de892bca9c048c6d949f4b5f568c40e38317ce
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 21:49:09 2012 +0100

    captcha-authentication: Fix flag declaration, and a logic error

 TelepathyQt/captcha-authentication.h |    2 +-
 TelepathyQt/pending-captchas.cpp     |    6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 508cd07c2aab0e985ba5387551cedb37db45e095
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 21:30:18 2012 +0100

    captcha-authentication: Don't destroy the connection when cancelling

 tests/lib/glib/captcha-chan.c |    9 ---------
 1 files changed, 0 insertions(+), 9 deletions(-)

commit ef3845965d9d0ad7400b4a4d80c078498b4db614
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 21:16:30 2012 +0100

    captcha-authentication: Don't check if the feature is enabled - when CaptchaAuthentication is created it is guaranteed that the feature will be ready.

 TelepathyQt/captcha-authentication.cpp |   25 -------------------------
 TelepathyQt/captcha-authentication.h   |    3 ++-
 2 files changed, 2 insertions(+), 26 deletions(-)

commit ced62c4d7e17830134c065a54a6f61fb341b732e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 20:10:01 2012 +0100

    captcha-authentication: Make can-retry-captcha configurable in the service test

 tests/dbus/captcha-authentication.cpp |    5 +++--
 tests/lib/glib/captcha-chan.c         |   23 ++++++++++++++++++-----
 2 files changed, 21 insertions(+), 7 deletions(-)

commit 80b718632470a88c62d200ac5c1d3e472e9ea1eb
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 18:49:15 2012 +0100

    captcha-authentication: Add a basic test case

 tests/dbus/CMakeLists.txt             |    1 +
 tests/dbus/captcha-authentication.cpp |  193 +++++++++++++++++++++++++++++++++
 2 files changed, 194 insertions(+), 0 deletions(-)

commit 30d8ff444735fee65173f9ef2a635507a124eaeb
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 18:49:04 2012 +0100

    captcha-authentication: Multiple fixes to the glib service for Captcha

 tests/lib/glib/captcha-chan.c |   51 ++++++++++++++++++----------------------
 tests/lib/glib/captcha-chan.h |    3 +-
 2 files changed, 24 insertions(+), 30 deletions(-)

commit 264381444fd6cb0530d9b8ccde2743a112a8c2ea
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 17:30:55 2012 +0100

    captcha-authentication: First iteration of a captcha channel

 tests/lib/glib/CMakeLists.txt |    2 +
 tests/lib/glib/captcha-chan.c |  547 +++++++++++++++++++++++++++++++++++++++++
 tests/lib/glib/captcha-chan.h |   65 +++++
 3 files changed, 614 insertions(+), 0 deletions(-)

commit 2a96ebe4d03a55a0226bf941ea21ae1ec2cbe83f
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 00:29:25 2012 +0100

    captcha-authentication: Fix casting and property names

 TelepathyQt/captcha-authentication.cpp |    4 ++--
 TelepathyQt/pending-captchas.cpp       |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit aaa405d80ac51dc875b69c0820c39868ad76d24d
Author: Jeremy Whiting <jpwhiting@kde.org>
Date:   Wed Feb 22 00:22:57 2012 +0100

    captcha-authentication: Fix property key we are watching for status changes.

 TelepathyQt/captcha-authentication.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 38862a6b7effd79d1c1fbc079a7992f30e2a188c
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 20 16:07:53 2012 +0100

    captcha-authentication: Compile the new files, by fixing non-TpQtism in them

 TelepathyQt/CMakeLists.txt                    |    6 +++++
 TelepathyQt/captcha-authentication-internal.h |    4 +-
 TelepathyQt/captcha-authentication.cpp        |   20 +++++++++-------
 TelepathyQt/captcha-authentication.h          |   14 ++++-------
 TelepathyQt/captcha.cpp                       |    6 +----
 TelepathyQt/captcha.h                         |   11 ++++-----
 TelepathyQt/pending-captchas.cpp              |   29 ++++++++++++-------------
 TelepathyQt/pending-captchas.h                |   13 ++++-------
 8 files changed, 49 insertions(+), 54 deletions(-)

commit d5a654a7d039a330f0ad25c2b34630bd43bd41b4
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 20 16:06:59 2012 +0100

    captcha-authentication: Add new logic to channel for returning a CaptchaAuthenticationPtr

 TelepathyQt/channel.cpp |   83 +++++++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/channel.h   |    4 ++
 2 files changed, 87 insertions(+), 0 deletions(-)

commit ac3a15c2e5332f456da48f0c4ebe8cb341ba646f
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 20 16:06:30 2012 +0100

    captcha-authentication: Add new type for CaptchaAuthenticationPtr

 TelepathyQt/types.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit d7acb6ee4ab2283f761a3bbb9175f9e5423060c7
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 20 15:25:43 2012 +0100

    captcha-authentication: Use a qdbus_cast for custom types to prevent the QVariant conversion from failing

 TelepathyQt/pending-captchas.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5d916d5b79c90dfbf5d4eaaa71c176f1b5c4efae
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 20 15:23:22 2012 +0100

    captcha-authentication: Assignment operator, to prevent captcha from failing to build when using stricter rules

 TelepathyQt/captcha.cpp |   11 +++++++++++
 TelepathyQt/captcha.h   |    2 ++
 2 files changed, 13 insertions(+), 0 deletions(-)

commit e84e1475f3026e03c60785ece765e79f7dbe6aa4
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 13 17:37:43 2012 +0100

    captcha-authentication: Add a ChannelClassSpec for captcha auth

 TelepathyQt/channel-class-spec.cpp |   19 +++++++++++++++++++
 TelepathyQt/channel-class-spec.h   |    2 ++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit edc7d713e464e30418ad92a231e17951f8a7e9a0
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 13 17:34:01 2012 +0100

    captcha-authentication: Add pretty headers and install them

 TelepathyQt/CMakeLists.txt        |    6 ++++++
 TelepathyQt/Captcha               |   13 +++++++++++++
 TelepathyQt/CaptchaAuthentication |   13 +++++++++++++
 TelepathyQt/PendingCaptchas       |   13 +++++++++++++
 4 files changed, 45 insertions(+), 0 deletions(-)

commit e173dc32d17d5a877ada23ec932f489c43689e8c
Author: Dario Freddi <drf@kde.org>
Date:   Mon Feb 13 16:45:39 2012 +0100

    captcha-authentication: Connect to the correct channel

 TelepathyQt/pending-captchas.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 706ccbe0e52874fe865738e4f423de59e07ef7d9
Author: Dario Freddi <drf@kde.org>
Date:   Mon Feb 13 16:06:41 2012 +0100

    captcha-authentication: GetCaptchaData is returning just a QByteArray

 TelepathyQt/pending-captchas.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 425cdde204867c56b01759803b55ebc9c8a2da6c
Author: Dario Freddi <drf@kde.org>
Date:   Fri Feb 10 14:48:01 2012 +0100

    captcha-authentication: Move Captcha to its own header

 TelepathyQt/captcha.cpp          |  171 ++++++++++++++++++++++++++++++++++++++
 TelepathyQt/captcha.h            |   61 ++++++++++++++
 TelepathyQt/pending-captchas.cpp |  142 +-------------------------------
 TelepathyQt/pending-captchas.h   |   22 +-----
 4 files changed, 234 insertions(+), 162 deletions(-)

commit 4d60c9aacb5f082acebd913f44bf597d4df26e80
Author: Dario Freddi <drf@kde.org>
Date:   Fri Feb 10 14:39:18 2012 +0100

    captcha-authentication: Use Connection::ErrorDetails instead of QVariantMap

 TelepathyQt/captcha-authentication.cpp |    4 ++--
 TelepathyQt/captcha-authentication.h   |    3 ++-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit a2ca9a770501bc8cb6d7844a49cf18029dcd0029
Author: Dario Freddi <drf@kde.org>
Date:   Fri Feb 10 12:58:47 2012 +0100

    captcha-authentication: Implement error handling by exposing a lastError set of methods in CaptchaAuthentication

 TelepathyQt/captcha-authentication-internal.h |    2 ++
 TelepathyQt/captcha-authentication.cpp        |   17 ++++++++++++++++-
 TelepathyQt/captcha-authentication.h          |    3 +++
 3 files changed, 21 insertions(+), 1 deletions(-)

commit db0589a8020875dc511247ad147fc68c85a62a54
Author: Dario Freddi <drf@kde.org>
Date:   Fri Feb 10 12:34:07 2012 +0100

    captcha-authentication: Implement bindings for cancelling captcha

 TelepathyQt/captcha-authentication.cpp |    9 +++++++++
 TelepathyQt/captcha-authentication.h   |    4 ++++
 2 files changed, 13 insertions(+), 0 deletions(-)

commit 79c7b9461a659361fc17f0e51b9440e6aa0d3f0e
Author: Dario Freddi <drf@kde.org>
Date:   Fri Feb 10 12:06:41 2012 +0100

    captcha-authentication: id is now a uint everywhere

 TelepathyQt/pending-captchas.cpp |   12 ++++++------
 TelepathyQt/pending-captchas.h   |    4 ++--
 2 files changed, 8 insertions(+), 8 deletions(-)

commit f6d7cc93be86bb5f07ba1191a53d0bf95c2506c1
Author: Dario Freddi <drf@kde.org>
Date:   Fri Feb 10 12:03:59 2012 +0100

    captcha-authentication: Some captchas don't have a payload. Handle those in the right way

 TelepathyQt/pending-captchas.cpp |   53 ++++++++++++++++++++++++++++++-------
 1 files changed, 43 insertions(+), 10 deletions(-)

commit f88eeda3f0ac656ccd865fb417895dd784177128
Author: Dario Freddi <drf@kde.org>
Date:   Fri Feb 10 11:48:11 2012 +0100

    captcha-authentication: Implement the label property in Captcha

 TelepathyQt/pending-captchas.cpp |   23 +++++++++++++++++++++--
 TelepathyQt/pending-captchas.h   |    3 ++-
 2 files changed, 23 insertions(+), 3 deletions(-)

commit 2227428425d12b2edd77b653379a72d467b33f08
Author: Dario Freddi <drf@kde.org>
Date:   Fri Feb 10 11:22:50 2012 +0100

    captcha-authentication: Port the internals to the new spec logic

 TelepathyQt/captcha-authentication.cpp |    2 +-
 TelepathyQt/pending-captchas.cpp       |   33 +++++++++++++++++++++++++------
 2 files changed, 27 insertions(+), 8 deletions(-)

commit 74326aa48a6c7799bf6e7ac3c67e45db4be339b9
Author: Dario Freddi <drf@kde.org>
Date:   Fri Feb 10 10:59:17 2012 +0100

    captcha-authentication: Update the spec to newest version

 TelepathyQt/pending-captchas.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 269941c4d4ca2280fd074cb81fbaad88cf15476c
Author: Dario Freddi <drf@kde.org>
Date:   Fri Feb 10 10:58:24 2012 +0100

    captcha-authentication: Add initial documentation for PendingCaptcha

 TelepathyQt/pending-captchas.cpp |  119 ++++++++++++++++++++++++++++++++++++--
 1 files changed, 114 insertions(+), 5 deletions(-)

commit 1e09b297c355b06ed5295aa938799908dd8e0c17
Author: Dario Freddi <drf@kde.org>
Date:   Thu Feb 9 17:52:28 2012 +0100

    captcha-authentication: Cleanup duplicate types

 TelepathyQt/captcha-authentication.cpp |    6 ++----
 TelepathyQt/captcha-authentication.h   |    4 +---
 2 files changed, 3 insertions(+), 7 deletions(-)

commit 6f1c87d32b5f50bbc3a7c918e8a9b31e2483e335
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 9 17:35:44 2012 +0100

    captcha-authentication: Use the brand new facilities from AbstractInterface to monitor Status for real

 TelepathyQt/captcha-authentication.cpp |   11 ++++-------
 TelepathyQt/captcha-authentication.h   |    3 +--
 2 files changed, 5 insertions(+), 9 deletions(-)

commit 5485a475a24da07587d3ed9b0acdcae06a47e9d9
Author: Dario Freddi <drf@kde.org>
Date:   Thu Feb 9 17:24:44 2012 +0100

    captcha-authentication: Move Captcha to an implicitly shared implementation outside of CaptchaAuthentication

 TelepathyQt/captcha-authentication.h |    7 ---
 TelepathyQt/pending-captchas.cpp     |   93 ++++++++++++++++++++++++++++++----
 TelepathyQt/pending-captchas.h       |   24 ++++++++-
 3 files changed, 104 insertions(+), 20 deletions(-)

commit 3abeafd98155de024f325c94fd5f9bd3c6a6b650
Author: Dario Freddi <drf@kde.org>
Date:   Thu Feb 9 17:00:34 2012 +0100

    captcha-authentication: Rework the way Challenge types are handled, making way more sense than before

 TelepathyQt/captcha-authentication.cpp |    4 +-
 TelepathyQt/captcha-authentication.h   |   18 ++++++++--
 TelepathyQt/pending-captchas.cpp       |   54 +++++++++++++++++++++----------
 TelepathyQt/pending-captchas.h         |    2 +-
 4 files changed, 53 insertions(+), 25 deletions(-)

commit 382d10bb077a7ef3ad97a2583cc96848bfb08d1e
Author: Dario Freddi <drf@kde.org>
Date:   Thu Feb 9 12:20:05 2012 +0100

    captcha-authentication: Change the request API to carry on preferred mimetypes & type when calling.

 TelepathyQt/captcha-authentication-internal.h |    3 ---
 TelepathyQt/captcha-authentication.cpp        |   25 ++++---------------------
 TelepathyQt/captcha-authentication.h          |    9 ++-------
 TelepathyQt/pending-captchas.cpp              |   11 +++++++++--
 TelepathyQt/pending-captchas.h                |    2 ++
 5 files changed, 17 insertions(+), 33 deletions(-)

commit 2fe20a0f7dc89bcf5858a2b6458ab13917d5d38c
Author: Dario Freddi <drf@kde.org>
Date:   Thu Feb 9 12:03:47 2012 +0100

    captcha-authentication: Rename PendingCaptcha to PendingCaptchas

 TelepathyQt/captcha-authentication.cpp |   14 +-
 TelepathyQt/captcha-authentication.h   |    6 +-
 TelepathyQt/pending-captchas.cpp       |  245 ++++++++++++++++++++++++++++++++
 TelepathyQt/pending-captchas.h         |   74 ++++++++++
 4 files changed, 329 insertions(+), 10 deletions(-)

commit 12d9e574551138d99bddb624025107f23ebf7d09
Author: Dario Freddi <drf@kde.org>
Date:   Thu Feb 9 10:59:06 2012 +0100

    captcha-authentication: Add a way to monitor PropertiesChanged in CaptchaAuthentication to watch over status

 TelepathyQt/captcha-authentication.cpp |   14 +++++++++++---
 TelepathyQt/captcha-authentication.h   |    4 +++-
 2 files changed, 14 insertions(+), 4 deletions(-)

commit 4884f6d7897b1c62335da8fcde94537d5c8318c6
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Feb 7 17:44:27 2012 +0100

    captcha-authentication: Fix permissions

 TelepathyQt/captcha-authentication.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 9ef12ab1c8bbcefb2c7dd66cc0a0b1bda59f7c37
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Feb 7 17:03:42 2012 +0100

    captcha-authentication: Add a channelfuture extension, and make captcha a mere interface

 TelepathyQt/captcha-authentication-internal.h |   20 ++++
 TelepathyQt/captcha-authentication.cpp        |  119 +++----------------------
 TelepathyQt/captcha-authentication.h          |   13 +--
 3 files changed, 36 insertions(+), 116 deletions(-)

commit 8d97ba85a9067b86b31f0e1932f91116a044544a
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Feb 7 16:31:30 2012 +0100

    captcha-authentication: Rename to CaptchaAuthentication

 TelepathyQt/captcha-authentication-internal.h |   65 +++++
 TelepathyQt/captcha-authentication.cpp        |  357 +++++++++++++++++++++++++
 TelepathyQt/captcha-authentication.h          |  102 +++++++
 3 files changed, 524 insertions(+), 0 deletions(-)

commit 7c28bc4a251d0ad6c6cd2943cb0b1258e11a4021
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 14:31:03 2012 +0100

    Update NEWS

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 5b2c18f732b512e539a3bf69c21420d719a20e0a
Author: David Edmundson <david@davidedmundson.co.uk>
Date:   Tue Mar 13 14:04:00 2012 +0100

    TextChannel: Emit pendingMessagesRemoved after the pending message has actually been removed.
    
    When call acknowledge and removed in another client than the main handler,
    pendingMessagesRemoved is emitted before it the messages is deleted from the queue, so
    messageQueue.size() remains 1 instead of 0. (in  TextChannel::Private::processMessageQueue())
    This patch fixes this behavior.
    
    This commit fixes bug fd.o#45755
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

 TelepathyQt/text-channel.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 4a3fa692ecea92845ad5d77c349aa5797192e112
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Feb 21 15:25:43 2012 -0200

    Update NEWS

 NEWS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 435f760ee9e39140bb935aa639eb8ca662e2af95
Merge: 61a5b53 a024126
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Feb 21 15:24:47 2012 -0200

    Merge branch 'spec-0.25.2'
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

commit a0241265d075952d9f27c2bed52b1bd07be8c343
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Feb 21 15:04:05 2012 -0200

    Update to spec 0.25.2
    
    Changes in this commit:
     - Update all interfaces to spec 0.25.2
     - As this spec renames Conn.I.Addressing.DRAFT to Conn.I.Addressing1 as final version and we don't want
       to break the build, the changes to support Addressing1 are already included in this commit
     - Add all missing pretty headers
     - Generate proxy for Channel.I.CaptchaAuthentication
     - Generate proxies for Call1 interfaces. To avoid breaking the build, the support for Conn.I.Addressing

 TelepathyQt/AccountInterfaceStorageInterface       |   13 +
 TelepathyQt/CMakeLists.txt                         |   51 ++-
 TelepathyQt/CallContent                            |   13 +
 TelepathyQt/CallContentInterface                   |   13 +
 .../CallContentInterfaceAudioControlInterface      |   13 +
 TelepathyQt/CallContentInterfaceDTMFInterface      |   13 +
 TelepathyQt/CallContentInterfaceMediaInterface     |   13 +
 .../CallContentInterfaceVideoControlInterface      |   13 +
 TelepathyQt/CallContentMediaDescription            |   13 +
 TelepathyQt/CallContentMediaDescriptionInterface   |   13 +
 ...escriptionInterfaceRTCPExtendedReportsInterface |   13 +
 ...tMediaDescriptionInterfaceRTCPFeedbackInterface |   13 +
 ...escriptionInterfaceRTPHeaderExtensionsInterface |   13 +
 TelepathyQt/CallStream                             |   13 +
 TelepathyQt/CallStreamEndpoint                     |   13 +
 TelepathyQt/CallStreamEndpointInterface            |   13 +
 TelepathyQt/CallStreamInterface                    |   13 +
 TelepathyQt/CallStreamInterfaceMediaInterface      |   13 +
 .../ChannelInterfaceCaptchaAuthenticationInterface |   13 +
 TelepathyQt/ChannelInterfaceDestroyableInterface   |   13 +
 .../ChannelInterfaceSASLAuthenticationInterface    |    4 +-
 TelepathyQt/ChannelTypeCallInterface               |   13 +
 TelepathyQt/ChannelTypeDBusTubeInterface           |   13 +
 TelepathyQt/ChannelTypeStreamTubeInterface         |    4 +-
 TelepathyQt/ConnectionInterfaceAddressingInterface |   13 +
 TelepathyQt/ProtocolAddressingInterface            |   13 -
 TelepathyQt/ProtocolAvatarsInterface               |   13 -
 TelepathyQt/ProtocolInterfaceAddressingInterface   |   13 +
 TelepathyQt/ProtocolInterfaceAvatarsInterface      |   13 +
 TelepathyQt/ProtocolInterfacePresenceInterface     |   13 +
 TelepathyQt/ProtocolPresenceInterface              |   13 -
 TelepathyQt/call-content-media-description.cpp     |   26 +
 TelepathyQt/call-content-media-description.h       |   32 ++
 TelepathyQt/call-content-media-description.xml     |   12 +
 TelepathyQt/call-content.cpp                       |   26 +
 TelepathyQt/call-content.h                         |   32 ++
 TelepathyQt/call-content.xml                       |   13 +
 TelepathyQt/call-stream-endpoint.cpp               |   26 +
 TelepathyQt/call-stream-endpoint.h                 |   32 ++
 TelepathyQt/call-stream-endpoint.xml               |    9 +
 TelepathyQt/call-stream.cpp                        |   26 +
 TelepathyQt/call-stream.h                          |   32 ++
 TelepathyQt/call-stream.xml                        |   10 +
 TelepathyQt/channel.xml                            |    2 +
 TelepathyQt/connection.xml                         |    1 +
 TelepathyQt/contact-manager.cpp                    |    2 +-
 TelepathyQt/contact.cpp                            |    6 +-
 TelepathyQt/future-connection.xml                  |   26 -
 TelepathyQt/future-interfaces.xml                  |    1 -
 TelepathyQt/future-internal.h                      |    1 -
 TelepathyQt/future.cpp                             |    3 -
 TelepathyQt/pending-contacts.cpp                   |   21 +-
 TelepathyQt/stable-interfaces.xml                  |    5 +
 spec/Account.xml                                   |   34 ++-
 spec/Account_Manager.xml                           |    2 +
 spec/Call_Content.xml                              |   16 +-
 spec/Call_Content_Interface_Audio_Control.xml      |    5 +-
 spec/Call_Content_Interface_DTMF.xml               |  229 +++++++++
 spec/Call_Content_Interface_Media.xml              |   33 +--
 spec/Call_Content_Interface_Video_Control.xml      |    5 +-
 spec/Call_Content_Media_Description.xml            |    7 +-
 ...Description_Interface_RTCP_Extended_Reports.xml |    5 +-
 ...t_Media_Description_Interface_RTCP_Feedback.xml |    5 +-
 ...Description_Interface_RTP_Header_Extensions.xml |    5 +-
 spec/Call_Interface_Mute.xml                       |    2 +-
 spec/Call_Stream.xml                               |    5 +-
 spec/Call_Stream_Endpoint.xml                      |   12 +-
 spec/Call_Stream_Interface_Media.xml               |   32 +-
 spec/Channel.xml                                   |    4 +-
 spec/Channel_Interface_Addressing.xml              |    2 +-
 spec/Channel_Interface_Captcha_Authentication.xml  |  505 ++++++++++++++++++++
 spec/Channel_Interface_DTMF.xml                    |   15 +-
 spec/Channel_Type_Call.xml                         |  107 ++---
 spec/Connection_Interface_Addressing.xml           |   25 +-
 spec/Connection_Interface_Contact_List.xml         |   44 ++
 spec/Connection_Manager.xml                        |    7 +-
 spec/Protocol.xml                                  |    2 +-
 spec/Protocol_Interface_Addressing.xml             |   16 +-
 spec/all.xml                                       |    6 +-
 spec/errors.xml                                    |   10 +
 spec/generic-types.xml                             |    8 +
 tests/dbus/conn-addressing.cpp                     |    2 +-
 82 files changed, 1644 insertions(+), 273 deletions(-)

commit 61a5b530dec334b4edcc5e05095f862ebc529338
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Feb 14 13:36:02 2012 -0200

    Update NEWS

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d8bbc547bc2701c42dd58490281b8139a0ee4015
Author: Alberto Villa <avilla@FreeBSD.org>
Date:   Tue Feb 14 13:31:46 2012 -0200

    Fixing vexing parse issues with clang.
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
    Reviewed-by: Rohan Garg <rohan16garg@gmail.com>
    Tested-by: Rohan Garg <rohan16garg@gmail.com>

 TelepathyQt/optional-interface-factory.h |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 91eae81a116144184c997ebd6aabe11e80b55d3b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Feb 13 12:10:46 2012 -0200

    Update NEWS

 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 70bf52bcd40a49e0a729c347b1b94c26bb4bb54a
Merge: f2db804 d58864a
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Feb 13 12:07:45 2012 -0200

    Merge branch 'glib-disable-deprecation-warnings'
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

commit d58864a7a0ee4045b59a78659a5e09a78f40bd85
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Feb 13 11:41:39 2012 -0200

    Disable GLib deprecation warnings for now; GValueArray is deprecated but we need it for telepathy-glib.

 CMakeLists.txt |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit f2db804380ad0054129652f5bab251d6f437e2f7
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Feb 10 15:21:47 2012 +0100

    Update NEWS

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e9c25bb228fedae3da5c16bcad41be3998e8a7cc
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Feb 10 15:20:31 2012 +0100

    ChannelClassSpec: Add a method for retrieving a class spec for a SASL Server Authentication channel

 TelepathyQt/channel-class-spec.cpp |   19 +++++++++++++++++++
 TelepathyQt/channel-class-spec.h   |    3 +++
 2 files changed, 22 insertions(+), 0 deletions(-)

commit 8d4cfb41d5e123c98446ac1930f044ce6183563d
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Feb 10 14:29:04 2012 +0100

    AbstractInterface: Fix a typo in setMonitorProperties, and add a warning should the call to QDBusConnection::(dis)connect fail

 TelepathyQt/abstract-interface.cpp |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit 403a0f078aff28bb6d568af74813cc0e88f98915
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 9 16:54:19 2012 +0100

    Update NEWS

 NEWS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 260a8940da384fd57095b56c2a899fe19873578f
Merge: 6673539 a29173d
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 9 16:52:43 2012 +0100

    Merge branch 'monitor-properties'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit a29173d0b5043192b243bd4dcaa695b7e9220f56
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 9 16:51:42 2012 +0100

    monitor-properties: Cleanup the test

 tests/dbus/properties.cpp |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit f8bae0dcc4d555f3c19dc9ecc9f71b7b219a5603
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 9 16:49:28 2012 +0100

    monitor-properties: Initialize private members inside Private

 TelepathyQt/abstract-interface.cpp |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit f63482e68a647ff1df733e1cb7c2dab49f7c3d60
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 9 16:25:39 2012 +0100

    monitor-properties: Add documentation

 TelepathyQt/abstract-interface.cpp |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)

commit e2527b04b25ddeca2f5a0067707d26dfc4d9e463
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 9 16:11:15 2012 +0100

    monitor-properties: Remove redundant test

 tests/dbus/properties.cpp |   21 ---------------------
 1 files changed, 0 insertions(+), 21 deletions(-)

commit aa947c86dedf0bf566ab2e85fda1532696fd9380
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 9 16:08:59 2012 +0100

    monitor-properties: Check the invalid interface before the other one

 tests/dbus/properties.cpp |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 8bcd2b1e9e4f6a2fb9bcea099a0110e8d7afd9a3
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 9 16:05:56 2012 +0100

    monitor-properties: Unify signatures

 TelepathyQt/abstract-interface.cpp |    2 +-
 TelepathyQt/abstract-interface.h   |    4 ++--
 tests/dbus/properties.cpp          |    4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 25feb3ac3c90f2e048f7a4489daedc947e00bffb
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 9 15:44:06 2012 +0100

    monitor-properties: Add a basic unit test

 tests/dbus/CMakeLists.txt |    1 +
 tests/dbus/properties.cpp |  165 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 166 insertions(+), 0 deletions(-)

commit 4ca9827cb599aad0f0143e51c9d84d6d350dc8ff
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 9 14:42:58 2012 +0100

    monitor-properties: Add methods and signals in AbstractInterface for monitoring property changes

 TelepathyQt/abstract-interface.cpp |   37 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/abstract-interface.h   |   12 +++++++++++
 2 files changed, 49 insertions(+), 0 deletions(-)

commit 6673539b3e39a8f9d3ab0a1db5dcd87aa5c9d4cc
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Feb 8 14:01:50 2012 +0000

    Tests: use QCoreApplication::applicationFilePath instead of hardcoded binary names
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

 tests/dbus/account-channel-dispatcher.cpp          |    2 +-
 .../file-transfer-channel-creation-properties.cpp  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 662da02395052cd3db0456d10804b76579fdcdb1
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 2 14:31:38 2012 +0100

    Master Qt5 now fixes the issues we had with QHostAddress - re-enable Stream tube tests for Qt5

 tests/dbus/CMakeLists.txt |   15 +++++----------
 1 files changed, 5 insertions(+), 10 deletions(-)

commit 89fababff211f74da2dda39290d60dfbd894c239
Merge: 86ec1d6 614a2d9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Jan 27 11:58:17 2012 -0200

    Merge branch 'tests-linkage-fix'

commit 614a2d9bc001d728f48fa55f17d27bb8d584b4d8
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Jan 27 11:50:41 2012 -0200

    Fix tests linkage with future/ convenience libraries.

 tests/dbus/CMakeLists.txt                          |    4 ++--
 tests/lib/glib/CMakeLists.txt                      |    4 +---
 tests/lib/glib/future/conference/CMakeLists.txt    |    1 +
 .../lib/glib/future/conn-addressing/CMakeLists.txt |    1 +
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 86ec1d65849acd730c9faf5a651ad210a59b56c2
Author: Olli Salli <ollisal@gmail.com>
Date:   Fri Dec 30 20:49:32 2011 +0200

    Update NEWS

 NEWS |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit a015ae27e7a9ca727a06488c843f4716e596968b
Author: Olli Salli <ollisal@gmail.com>
Date:   Fri Dec 30 20:47:44 2011 +0200

    Add explanation to Presence::setStatus
    
    To be translated to proper documentation when the class is documented in general

 TelepathyQt/presence.cpp |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 6fe5e533ef7694770df652886a5c5ea18888a1a4
Author: Martin Klapetek <martin.klapetek@gmail.com>
Date:   Fri Dec 30 20:43:46 2011 +0200

    Add Tp::Presence::setStatusMessage()
    
    Reviewed-by: Olli Salli <olli.salli@collabora.co.uk>

 TelepathyQt/presence.cpp |    9 +++++++++
 TelepathyQt/presence.h   |    1 +
 2 files changed, 10 insertions(+), 0 deletions(-)

commit b37682d809459466e726af2c830d57745af5e1eb
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 21 13:14:05 2011 -0200

    Start 0.9.1 development

 CMakeLists.txt |    2 +-
 NEWS           |   11 +++++++++++
 2 files changed, 12 insertions(+), 1 deletions(-)

commit d50b79b0fe9c6fb38d267e74301284bbb676f60d
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 20 18:33:46 2011 -0200

    Prepare release 0.9.0

 CMakeLists.txt |    6 +++---
 NEWS           |    4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit e670b841a1278904159e17f136e03a3897336e58
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 20 18:27:40 2011 -0200

    Update NEWS

 NEWS |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit e87e9365e55a5f105ec782a2c4bf7b7fc2ec0a62
Merge: 1e8084f 651948b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 20 18:25:23 2011 -0200

    Merge branch 'disable-tests-qt46'
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

commit 651948b25e2c7919ef6cf87266472e3cf8c000e7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 20 17:41:59 2011 -0200

    Disable tests failing in Qt 4.6.

 tests/dbus/CMakeLists.txt |   43 +++++++++++++++++++++++++++----------------
 1 files changed, 27 insertions(+), 16 deletions(-)

commit 1e8084f879afa2735f3912976ddd0d7b31002b0c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 20 13:15:29 2011 -0200

    Update NEWS

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit acdfa4478751a5ee7487d0824f87dd3af68334e3
Merge: 35cbd30 8a12620
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 20 13:11:46 2011 -0200

    Merge branch 'fdo-37748'
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

commit 8a126209bd2e19a00fabf27fad28898ac70629ba
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 20 13:08:48 2011 -0200

    ContactManager: Make lookupContactByHandle private.

 TelepathyQt/contact-manager.h |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 35cbd30f6786ef2917bdf216f15e9bcb9531cb85
Merge: 1d0cbab 414205a
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 19 13:46:37 2011 -0200

    Merge branch 'trivia'
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

commit 1d0cbab74539ca347725a42deab6516f551d4a2a
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 19 13:45:42 2011 -0200

    Update NEWS

 NEWS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 61c6769b263bff1667466e7e3b4c6d3afc06b5ab
Merge: db28c27 8364f3c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 19 13:44:08 2011 -0200

    Merge branch 'conn-addressing'
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

commit db28c27a556f067255a733a3c66213cb1ee5a5b5
Merge: 9a04494 a7b82da
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 19 13:43:57 2011 -0200

    Merge branch 'proto-addressing'
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

commit a7b82da5198101f85a588e1ea3ac32d3644f9f92
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 19 13:40:01 2011 -0200

    cm-protocol test: Use an instance variable to hold introspection counters.

 tests/dbus/cm-protocol.cpp |   73 +++++++++++++++----------------------------
 1 files changed, 26 insertions(+), 47 deletions(-)

commit 8364f3c131e7f132c719331847005df895bdb437
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 19 11:40:11 2011 -0200

    Contact: Update docs for features to remove redundancy.

 TelepathyQt/contact.cpp |   18 ------------------
 1 files changed, 0 insertions(+), 18 deletions(-)

commit 53f99a457dd9ef4abd9dbc61792f87ee49278b6e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 19 11:38:33 2011 -0200

    PendingContacts: Add FIXME to refactor implementation in the future.

 TelepathyQt/pending-contacts.cpp |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit dea7116dd065c022901716b45dc92a9b8d050a55
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 15 22:27:18 2011 -0200

    ProtocolInfo: Update docs for normalize* methods.

 TelepathyQt/protocol-info.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7404dac3b697044003ddd932d4c7e6c62d52aaf3
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 15 22:26:31 2011 -0200

    Contact: Update docs for vcardAddresses/uris accessors.

 TelepathyQt/contact.cpp |    8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit b21a17eeed63b8a58877a417db2f4e637fc87ac6
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 15 22:21:52 2011 -0200

    PendingContacts: Move common code to check for errors on accessors to a utility function.

 TelepathyQt/pending-contacts.cpp |   84 +++++++++++++-------------------------
 1 files changed, 28 insertions(+), 56 deletions(-)

commit bccfdeceb86ba2897a2be4587b3ccd9e33521e96
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 15 21:59:16 2011 -0200

    Contact: Rename addressableVCardAddresses/addressableUris to vCardAddresses/uris.

 TelepathyQt/contact.cpp        |   22 +++++++++++-----------
 TelepathyQt/contact.h          |    4 ++--
 TelepathyQt/protocol-info.cpp  |    4 ++--
 tests/dbus/conn-addressing.cpp |   12 ++++++------
 4 files changed, 21 insertions(+), 21 deletions(-)

commit d019d8f5ab1f4b1366b4e9b935ed91198957929a
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 15 21:56:47 2011 -0200

    ContactManager: Move common code to get real features from features and interfaces from features to utility functions.

 TelepathyQt/contact-manager.cpp |   94 ++++++++++++++++-----------------------
 1 files changed, 38 insertions(+), 56 deletions(-)

commit 1a7e6aadcc936301b7860232b8ec1d59f49ff6c2
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 15 21:45:32 2011 -0200

    future/conn-addressing: Use TpTests instead of Example as the namespace.

 tests/dbus/conn-addressing.cpp               |    2 +-
 tests/lib/glib/future/conn-addressing/conn.c |   20 +++++-----
 tests/lib/glib/future/conn-addressing/conn.h |   48 +++++++++++++-------------
 3 files changed, 35 insertions(+), 35 deletions(-)

commit a0bd5fed856702d41ec8f4f9cc7afa312b58a4f3
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 15 21:40:05 2011 -0200

    cmake: Update FindDBusGlib.cmake to merge DBUS_GLIB_INCLUDE_DIR and DBUS_GLIB_LOWLEVEL_INCLUDE_DIR into DBUS_GLIB_INCLUDE_DIRS.

 cmake/modules/FindDBusGLib.cmake                   |    4 ++--
 .../lib/glib/future/conn-addressing/CMakeLists.txt |    3 +--
 2 files changed, 3 insertions(+), 4 deletions(-)

commit d9eaf0848b43901465407d1b0b5b6c601498d4e7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 23:15:25 2011 -0200

    ProtocolInfo: Update docs for normalizeVCardAddress/normalizeContactUri.

 TelepathyQt/contact-manager.cpp |    6 ++++--
 TelepathyQt/protocol-info.cpp   |   10 ++++++++++
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 0db45377b3c5635446fed0edcc7a0c5e5b136846
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 22:53:04 2011 -0200

    ContactManager: Add docs for contactsForVCardAddresses/contactsForUris.

 TelepathyQt/contact-manager.cpp |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)

commit ba14c28f480c03bb49ab90c4494b60fb2fa7b5a0
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 22:52:07 2011 -0200

    Contact: Add docs for addressableVCardAddresses/addressableUris/FeatureAddresses.

 TelepathyQt/contact.cpp |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)

commit 25ce62c5971f5de2bbf8dc63a99bce7afe4dd692
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 22:29:27 2011 -0200

    contacts test: Add test to check that Conn.I.Addressing support is reportedly not available when the connection does not support it.

 tests/dbus/contacts.cpp |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 482cc5c28ffdbe27259cd469adac1ee3b60ef394
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 22:27:47 2011 -0200

    PendingContacts: Do not make unnecessary D-Bus round trips when requesting contacts by vcard addresses/uris.

 TelepathyQt/contact-manager.cpp         |   54 +++++++++++++++++++++++++-----
 TelepathyQt/pending-contacts-internal.h |   10 ++++-
 TelepathyQt/pending-contacts.cpp        |   43 +++++++++++++++++-------
 TelepathyQt/pending-contacts.h          |    2 +
 4 files changed, 86 insertions(+), 23 deletions(-)

commit b674f09f7c06aac0b0f173f928d1deef9977e8ad
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 22:06:58 2011 -0200

    PendingContacts: Use the same slot to handle the return of Conn.I.Addressing GetContactsByVCardField and GetContactsByURI.

 TelepathyQt/pending-contacts.cpp |   27 ++++-----------------------
 TelepathyQt/pending-contacts.h   |    3 +--
 2 files changed, 5 insertions(+), 25 deletions(-)

commit c5bba4ee35e5f85263fe757c2abbb5b2d871ad0e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 20:09:05 2011 -0200

    conn-addressing test: Add test for Conn.I.Addressing support.

 tests/dbus/CMakeLists.txt      |    4 +-
 tests/dbus/conn-addressing.cpp |  403 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 406 insertions(+), 1 deletions(-)

commit 7342dbabd6db6cea5d104bf6edfaca149d349cd8
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 13:47:11 2011 -0200

    future/conn-addressing: Add test glib connection implementing Conn.I.Addressing.

 tests/lib/glib/CMakeLists.txt                      |    3 +-
 tests/lib/glib/future/CMakeLists.txt               |    1 +
 .../lib/glib/future/conn-addressing/CMakeLists.txt |   15 +
 tests/lib/glib/future/conn-addressing/conn.c       |  359 ++++++++++++++++++++
 tests/lib/glib/future/conn-addressing/conn.h       |   57 +++
 5 files changed, 434 insertions(+), 1 deletions(-)

commit ae2e1e574b0d3e235f4b40ba663e0acc435771b5
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 13:44:03 2011 -0200

    cmake: Also export DBUS_GLIB_LOWLEVEL_INCLUDE_DIR so one can include <dbus/dbus-glib-lowlevel.h>.

 cmake/modules/FindDBusGLib.cmake |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 093c8a4c5f9fbe55cb13d746b6213fda388b3ca2
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 13:43:01 2011 -0200

    cmake: Fix FindDBusGLib.cmake to properly search for dbus-glib-1 instead of dbus-glib.

 cmake/modules/FindDBusGLib.cmake |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 1088fd94794099008c74dab5a32375f7d6b63a0b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 13:45:36 2011 -0200

    Generate glib code for Conn.I.Addressing to be used by tests.

 tests/lib/glib/future/extensions/CMakeLists.txt |    5 +++++
 tests/lib/glib/future/extensions/all.xml        |    1 +
 tests/lib/glib/future/extensions/connection.xml |    9 +++++++++
 tests/lib/glib/future/extensions/extensions.h   |    2 ++
 4 files changed, 17 insertions(+), 0 deletions(-)

commit 09c8050a223b3564c26aff5da8510dfbe4f76d28
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 10:44:09 2011 -0200

    Contact: Rename FeatureAddressing to FeatureAddresses.
    
    Also rename internal receiveAddressing to receiveAddresses.

 TelepathyQt/contact-manager.cpp |    6 +++---
 TelepathyQt/contact.cpp         |   12 ++++++------
 TelepathyQt/contact.h           |    4 ++--
 3 files changed, 11 insertions(+), 11 deletions(-)

commit 9ad8b0aa48797ea0afa0713b4f2ead8b55d62c82
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 20:07:55 2011 -0200

    PendingContacts: Properly use namespace for slots params.

 TelepathyQt/pending-contacts.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 28df97656140ca4ab40988930cc6d505b0202f32
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 20:24:50 2011 -0200

    PendingAddressingGetContacts: Use the same internal variable to represent requested vcard addresses/uris.

 TelepathyQt/pending-contacts-internal.h |   22 ++++++++++++-------
 TelepathyQt/pending-contacts.cpp        |   36 +++++++-----------------------
 2 files changed, 23 insertions(+), 35 deletions(-)

commit 4040fc272acfc2f7bb864b0488d3b9e6a5d0a8d7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 10:40:16 2011 -0200

    PendingContacts: Use the same internal variable to represent (in)valid vcard addresses/uris.

 TelepathyQt/pending-contacts-internal.h |   13 +++-----
 TelepathyQt/pending-contacts.cpp        |   53 +++++++++++++++++++++---------
 2 files changed, 42 insertions(+), 24 deletions(-)

commit f4c2a2ba05828b1685f39c46a52491512f81ab34
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 10:29:44 2011 -0200

    PendingContacts: Use the same internal variable to represent requested ids/vcard addresses/uris.

 TelepathyQt/pending-contacts.cpp |   26 ++++++++++++--------------
 1 files changed, 12 insertions(+), 14 deletions(-)

commit 68ed2ab674f74132f215bb28f1ddab34cbaa7866
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 14 10:22:03 2011 -0200

    PendingContacts: Remove internal ListType enum in favour of RequestType that is now exposed.

 TelepathyQt/contact-manager.cpp  |   12 +++++-----
 TelepathyQt/pending-contacts.cpp |   43 +++++++++++++++-----------------------
 TelepathyQt/pending-contacts.h   |   12 +++++++---
 3 files changed, 31 insertions(+), 36 deletions(-)

commit 6a284a799bf81220e153e23907c4a437ad6bcdbe
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Dec 9 12:36:30 2011 -0200

    Contact: Add accessors for Conn.I.Addressing contact attributes.

 TelepathyQt/contact-manager.cpp |    8 ++++++--
 TelepathyQt/contact.cpp         |   33 +++++++++++++++++++++++++++++++++
 TelepathyQt/contact.h           |    6 ++++++
 3 files changed, 45 insertions(+), 2 deletions(-)

commit 873afedbbde2f1076a61b22b5d590614b67081b9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 20:16:50 2011 -0200

    PendingContacts: Actually implement support for retrieving contacts using Conn.I.Addressing.

 TelepathyQt/pending-contacts.cpp |  140 +++++++++++++++++++++++++++++++++++--
 TelepathyQt/pending-contacts.h   |    6 ++
 2 files changed, 138 insertions(+), 8 deletions(-)

commit def408f3f413333cafd01e3ebd3b4c40f451998f
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 20:15:07 2011 -0200

    PendingContacts: Add internal pending operation to handle Conn.I.Addressing GetContactsBy*.

 TelepathyQt/CMakeLists.txt              |    1 +
 TelepathyQt/pending-contacts-internal.h |   78 +++++++++++++++++++++++++++
 TelepathyQt/pending-contacts.cpp        |   89 ++++++++++++++++++++++++++++++-
 3 files changed, 166 insertions(+), 2 deletions(-)

commit 15b9a9e8a53e6fed63c9ffe1d817f2b0bd22f31e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 18:53:13 2011 -0200

    ContactManager: Add skeleton high-level API for Conn.I.Addressing GetContactsByVCardField and GetContactsByURI.

 TelepathyQt/contact-manager.cpp  |   50 +++++++++++++++++-
 TelepathyQt/contact-manager.h    |    6 ++
 TelepathyQt/pending-contacts.cpp |  104 +++++++++++++++++++++++++++++++++----
 TelepathyQt/pending-contacts.h   |   24 ++++++++-
 4 files changed, 166 insertions(+), 18 deletions(-)

commit 0a89f69e5d33733116740588897e6697c7962531
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 17:27:31 2011 -0200

    Generate low-level bindings for Conn.I.Addressing.

 TelepathyQt/CMakeLists.txt        |    2 ++
 TelepathyQt/future-connection.xml |   26 ++++++++++++++++++++++++++
 TelepathyQt/future-interfaces.xml |    1 +
 TelepathyQt/future-internal.h     |    2 ++
 TelepathyQt/future.cpp            |    3 +++
 5 files changed, 34 insertions(+), 0 deletions(-)

commit abf6bcaa42216fcd1209e026ba467f125250cd99
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 15 21:04:04 2011 -0200

    cm-protocol test: Add specific test for Protocol support.

 tests/dbus/CMakeLists.txt                 |    1 +
 tests/dbus/cm-protocol.cpp                |  752 +++++++++++++++++++++++++++++
 tests/telepathy/managers/protocol.manager |   35 ++
 3 files changed, 788 insertions(+), 0 deletions(-)

commit 7de4b5985d6bb5757574c26ae82e1da4b69ddc75
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 15 21:01:36 2011 -0200

    ConnectionManager: Properly check for Protocol interfaces when introspecting.

 TelepathyQt/connection-manager-internal.h |    1 +
 TelepathyQt/connection-manager.cpp        |   53 ++++++++++++++++------------
 2 files changed, 31 insertions(+), 23 deletions(-)

commit a1136705f9f49c7a5d5efb8514c02272d474f0fc
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 13 20:31:53 2011 -0200

    ConnectionManager: Don't return a bool value on extract*Properties methods.

 TelepathyQt/connection-manager-internal.h |    8 ++++----
 TelepathyQt/connection-manager.cpp        |   28 ++++++++--------------------
 2 files changed, 12 insertions(+), 24 deletions(-)

commit 370d8a607e61192a58535f28b91851f5146be047
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 13 20:28:47 2011 -0200

    ConnectionManager: Rename methods parsing immutable properties to have "extract" instead of "load" as prefix.

 TelepathyQt/connection-manager-internal.h |   10 +++++-----
 TelepathyQt/connection-manager.cpp        |   28 ++++++++++++++--------------
 2 files changed, 19 insertions(+), 19 deletions(-)

commit aa63ff74f80ca4771cad2aac8bbab80476a52e9b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 13 20:24:43 2011 -0200

    ProtocolInfo: More small doc fixes.

 TelepathyQt/protocol-info.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit da02d15ab5836bfeba3964976b04adee8e5f6f54
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Dec 9 20:01:20 2011 -0200

    ProtocolInfo: Remove connectionManager accessor.

 TelepathyQt/protocol-info.cpp |   41 ++++++++++++++++-------------------------
 TelepathyQt/protocol-info.h   |    4 +---
 2 files changed, 17 insertions(+), 28 deletions(-)

commit cf37a455d3ee6cc0c2ced65512886a60f70ca0c7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Dec 9 19:48:23 2011 -0200

    ConnectionManager: Use requestAllProperties when requesting main properties and Protocol properties.

 TelepathyQt/connection-manager-internal.h |   27 +++++--
 TelepathyQt/connection-manager.cpp        |  141 ++++++++++++-----------------
 TelepathyQt/connection-manager.h          |    8 +-
 3 files changed, 83 insertions(+), 93 deletions(-)

commit 686806c017db9661ebeb8c84796b8bae65adbb2c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Dec 9 19:15:04 2011 -0200

    ProtocolInfo: Fix some small doc issues.

 TelepathyQt/protocol-info.cpp |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 55134a5ad8fc20ef93da0cca5155e5bfa5593b6d
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Dec 9 19:11:12 2011 -0200

    ConnectionManager: Only introspect Protocol interfaces if immutable properties are not sufficient.

 TelepathyQt/connection-manager-internal.h |   14 ++-
 TelepathyQt/connection-manager.cpp        |  231 +++++++++++++++++++----------
 2 files changed, 168 insertions(+), 77 deletions(-)

commit 414205a4217184903f8047919930fb8d2bb6747b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Dec 9 13:14:18 2011 -0200

    shared-ptr.dox: Update docs to refer to RefCounted instead of SharedData.

 TelepathyQt/shared-ptr.dox |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9a04494b8905ac5427c8cc7d427b6f63b41e88aa
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Dec 9 14:28:05 2011 +0100

    Update NEWS

 NEWS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f3166fa78a09adc0c5960f797436c5b10d736926
Merge: 08747ed eea66db
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Dec 9 14:27:44 2011 +0100

    Merge branch 'install-cmake-files'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
    Reviewed-by: George Kiagiadakis (gkiagia) <george.kiagiadakis@collabora.com>

commit eea66db69598bbd02c78aeccbca39b3f308d80fa
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Dec 8 16:20:50 2011 +0100

    install-cmake-files: Fix include path directory

 TelepathyQt/CMakeLists.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 13f4c05e3b12ed02080768256b9dc88c9df2f6a0
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Dec 8 15:15:22 2011 +0100

    install-cmake-files: Fix component names

 TelepathyQt/CMakeLists.txt          |    2 +-
 TelepathyQt/Farsight/CMakeLists.txt |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 351cd1539eb6eb825eea36a8f57930537e91734c
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Dec 8 14:57:38 2011 +0100

    install-cmake-files: Add config files for both libraries, generating dynamically TpQt4 or TpQt5 files.

 TelepathyQt/CMakeLists.txt                         |   43 ++++++++++++++++++--
 TelepathyQt/Farsight/CMakeLists.txt                |   31 ++++++++++++--
 .../Farsight/TelepathyQtFarsightConfig.cmake.in    |   22 ++++++++++
 TelepathyQt/TelepathyQtConfig.cmake.in             |   26 ++++++++++++
 4 files changed, 114 insertions(+), 8 deletions(-)

commit 5e0093611c475f67a523d5424547d39aa9faf4cb
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Dec 8 12:10:16 2011 +0100

    install-cmake-files: Add macros for building version files, and for installation of config files

 cmake/modules/BasicFindPackageVersion.cmake.in     |   30 ++++++++++++++++++++
 .../modules/MacroWriteBasicCMakeVersionFile.cmake  |   21 ++++++++++++++
 cmake/modules/TelepathyDefaults.cmake              |    5 +++
 cmake/modules/TpQtMacros.cmake                     |   15 ++++++++++
 4 files changed, 71 insertions(+), 0 deletions(-)

commit 825da5b76de787afbc8df9e4c3272fd97b318a09
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 16:05:50 2011 -0200

    cm-basics test: Add tests for ProtocolInfo::normalizeVCardAddress and normalizeContactUri.

 tests/dbus/cm-basics.cpp |   38 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 38 insertions(+), 0 deletions(-)

commit 71ecc04cf049b417c902bfaca7fa0bc393694dc1
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 15:53:23 2011 -0200

    ProtocolInfo: Add high-level API for Protocol.I.Addressing NormalizeVCardAddress and NormalizeContactURI methods.

 TelepathyQt/protocol-info.cpp |   94 ++++++++++++++++++++++++++++++++++++++++-
 TelepathyQt/protocol-info.h   |    4 ++
 2 files changed, 97 insertions(+), 1 deletions(-)

commit 6a31309e78cfab18e45493b3b6ee7b48993b307c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 15:51:12 2011 -0200

    ProtocolInfo: Add connectionManager() accessor and make isValid() check if CM is still valid.

 TelepathyQt/connection-manager-internal.h |    4 ++--
 TelepathyQt/connection-manager.cpp        |   19 +++++++++----------
 TelepathyQt/protocol-info.cpp             |   25 ++++++++++++++++++-------
 TelepathyQt/protocol-info.h               |    6 ++++--
 4 files changed, 33 insertions(+), 21 deletions(-)

commit 576648fff476bedb1978ce9f3b25a8ab4b266d45
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 14:38:57 2011 -0200

    PendingString: Add new generic pending operation for method calls returning a string.

 TelepathyQt/CMakeLists.txt     |    4 ++
 TelepathyQt/PendingString      |   13 +++++
 TelepathyQt/pending-string.cpp |  101 ++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/pending-string.h   |   66 ++++++++++++++++++++++++++
 4 files changed, 184 insertions(+), 0 deletions(-)

commit 5dcb2d710a0e9c1d0741679587e422de4daeb3c1
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 14:24:53 2011 -0200

    cm-basics test: Test Protocol.I.Addressing support.

 tests/dbus/cm-basics.cpp |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit f05e98c014cc33033c8be4cbf324478e6cbba1c1
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 14:24:32 2011 -0200

    echo2 cm: Add support for Protocol.I.Addressing.

 CMakeLists.txt                  |    4 +-
 tests/lib/glib/echo2/protocol.c |   93 +++++++++++++++++++++++++++++++++++++-
 2 files changed, 92 insertions(+), 5 deletions(-)

commit 9d05c67f73bcd2bce9c887527ef3be27ffbf0cb8
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 14:23:24 2011 -0200

    ConnectionManager: Add support for Protocol.I.Addressing.

 TelepathyQt/connection-manager-internal.h |    2 +
 TelepathyQt/connection-manager.cpp        |   50 +++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+), 0 deletions(-)

commit f15fb5656daf29113c1e06d8b9e0ae473f843abe
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 14:22:49 2011 -0200

    manager-file test: Test Protocol.I.Addressing properties parsing.

 tests/manager-file.cpp                             |    5 +++++
 tests/telepathy/managers/test-manager-file.manager |    3 +++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 74d9c34c0b7d606a3e61d878590724adad0e0690
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 14:22:10 2011 -0200

    ManagerFile: Add support for Protocol.I.Addressing properties.

 TelepathyQt/manager-file.cpp |   17 +++++++++++++++++
 TelepathyQt/manager-file.h   |    2 ++
 2 files changed, 19 insertions(+), 0 deletions(-)

commit fa6e5dc34deb782d3c19ef910d50ea6d10de3f0a
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 14:21:41 2011 -0200

    ProtocolInfo: Add accessors for Protocol.I.Addressing properties.

 TelepathyQt/protocol-info.cpp |   51 +++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/protocol-info.h   |    5 ++++
 2 files changed, 56 insertions(+), 0 deletions(-)

commit 30eebf1778869a17b12ea638385527c622aadb9e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Dec 8 12:05:06 2011 +0100

    install-cmake-files: Don't install pkgconfig files on windows

 TelepathyQt/CMakeLists.txt          |   10 ++++++----
 TelepathyQt/Farsight/CMakeLists.txt |   10 ++++++----
 2 files changed, 12 insertions(+), 8 deletions(-)

commit 3cd8c402fefb52675560a10242688f28e422b6c5
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Dec 8 11:54:30 2011 +0100

    install-cmake-files: Move tp-fs pc files in the Farsight/ directory

 TelepathyQt/CMakeLists.txt                         |    7 -------
 TelepathyQt/Farsight/CMakeLists.txt                |    5 +++++
 .../Farsight/TelepathyQtFarsight-uninstalled.pc.in |   11 +++++++++++
 TelepathyQt/Farsight/TelepathyQtFarsight.pc.in     |   11 +++++++++++
 TelepathyQt/TelepathyQtFarsight-uninstalled.pc.in  |   11 -----------
 TelepathyQt/TelepathyQtFarsight.pc.in              |   11 -----------
 6 files changed, 27 insertions(+), 29 deletions(-)

commit 45ccb8e6ebfd0f0456310f821064f9052f0d0af1
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 6 13:16:40 2011 -0200

    ConnectionManager: Small refactoring for the introspection of Protocol interfaces.

 TelepathyQt/connection-manager-internal.h |    1 +
 TelepathyQt/connection-manager.cpp        |   46 ++++++++++++-----------------
 2 files changed, 20 insertions(+), 27 deletions(-)

commit 08747ed39d72b0a8c6a6ce04629fe725d08f1fdd
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Dec 8 11:09:12 2011 -0200

    Fix pkgconfig files cflags to properly point to include dir.
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

 TelepathyQt/TelepathyQt.pc.in         |    2 +-
 TelepathyQt/TelepathyQtFarsight.pc.in |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7fa1218b0b261f03b7c575a320c7719b90bfe603
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Dec 8 10:17:12 2011 +0100

    Update NEWS

 NEWS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit dd79bae817ef261b52db8598812211b5c3b5be75
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Dec 8 10:14:30 2011 +0100

    Forward-declare TfChannel in TelepathyQt/Farsight.
    
    This way, TelepathyQtFarsight does not depend directly in its interface from tp-farsight
    and all of its dependencies. This way we can track cmake find files more efficiently.
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

 TelepathyQt/Farsight/channel.cpp |    2 ++
 TelepathyQt/Farsight/channel.h   |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 81757710fd525c665f224f15d8a2b5acd9a11787
Merge: a15938d be0cdd1
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 7 18:29:58 2011 -0200

    Merge branch 'spec-0.25.1'
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

commit a15938daf968eb96566934b9cae9e6a7f574f842
Merge: 23a9833 e125025
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 7 17:56:31 2011 -0200

    Merge branch 'trivia'
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

commit be0cdd10431c1eda979710c500f10ac23bc336b1
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 7 17:10:39 2011 -0200

    Generate low-level bindings for Protocol.I.Addressing and add missing ProtocolInterface* pretty headers.

 TelepathyQt/CMakeLists.txt              |    4 ++++
 TelepathyQt/ProtocolAddressingInterface |   13 +++++++++++++
 TelepathyQt/ProtocolAvatarsInterface    |   13 +++++++++++++
 TelepathyQt/ProtocolInterface           |   13 +++++++++++++
 TelepathyQt/ProtocolPresenceInterface   |   13 +++++++++++++
 TelepathyQt/connection-manager.xml      |    1 +
 6 files changed, 57 insertions(+), 0 deletions(-)

commit df340586c4e610fbf8f06284124cbbb4b0abbdd5
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 7 17:53:05 2011 -0200

    Generate low-level bindings for Chan.I.FileTransferMetadata/SMS.

 TelepathyQt/CMakeLists.txt                         |    2 ++
 .../ChannelInterfaceFileTransferMetadataInterface  |   13 +++++++++++++
 TelepathyQt/ChannelInterfaceSMSInterface           |   13 +++++++++++++
 TelepathyQt/channel.xml                            |    2 ++
 4 files changed, 30 insertions(+), 0 deletions(-)

commit e125025b2c40ed789f4993428e71a4d02a622d39
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 7 17:19:26 2011 -0200

    Small fix on generated proxy documentation.

 tools/qt-client-gen.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2e4b476e1a627934d5cb05232e6d98c8fabc7afb
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Dec 7 13:55:44 2011 -0200

    Update to spec 0.25.1.

 spec/Account.xml                                   |    2 +
 spec/Account_Interface_Avatar.xml                  |    3 +
 spec/Account_Manager.xml                           |   26 +-
 spec/Call_Content.xml                              |  138 ++---
 spec/Call_Content_Interface_Audio_Control.xml      |  111 +++
 spec/Call_Content_Interface_Media.xml              |  562 +++++++++++-----
 spec/Call_Content_Interface_Video_Control.xml      |    7 +-
 spec/Call_Content_Media_Description.xml            |  236 +++++++
 ...Description_Interface_RTCP_Extended_Reports.xml |  145 ++++
 ...t_Media_Description_Interface_RTCP_Feedback.xml |   61 ++
 ...Description_Interface_RTP_Header_Extensions.xml |   73 ++
 spec/Call_Interface_Mute.xml                       |  146 ++++
 spec/Call_Stream.xml                               |  110 +++-
 spec/Call_Stream_Endpoint.xml                      |  284 +++++++-
 spec/Call_Stream_Interface_Media.xml               |  395 ++++++++++--
 spec/Channel_Dispatcher.xml                        |  203 ++++++-
 spec/Channel_Interface_DTMF.xml                    |    4 +-
 spec/Channel_Interface_File_Transfer_Metadata.xml  |   98 +++
 spec/Channel_Interface_Group.xml                   |   86 +++
 spec/Channel_Interface_Hold.xml                    |   16 +-
 spec/Channel_Interface_Media_Signalling.xml        |   50 +--
 spec/Channel_Interface_Messages.xml                |   63 ++-
 spec/Channel_Interface_Password.xml                |   26 +-
 spec/Channel_Interface_Picture.xml                 |  198 ++++++
 spec/Channel_Interface_Room.xml                    |  119 ++--
 spec/Channel_Interface_Room_Config.xml             |  267 ++++++++
 spec/Channel_Interface_SMS.xml                     |  110 +++-
 spec/Channel_Interface_Subject.xml                 |  128 ++++
 spec/Channel_Interface_Tube.xml                    |   53 ++-
 spec/Channel_Request.xml                           |   44 ++-
 spec/Channel_Type_Call.xml                         |  710 ++++++++++++--------
 spec/Channel_Type_Contact_List.xml                 |    3 +
 spec/Channel_Type_Contact_Search.xml               |   23 +-
 spec/Channel_Type_DBus_Tube.xml                    |   12 +-
 spec/Channel_Type_File_Transfer.xml                |   25 +-
 spec/Channel_Type_Room_List.xml                    |    8 +-
 spec/Channel_Type_Text.xml                         |  135 ++---
 spec/Connection.xml                                |   12 +
 spec/Connection_Interface_Addressing.xml           |   94 ++--
 spec/Connection_Interface_Balance.xml              |   20 +
 spec/Connection_Interface_Forwarding.xml           |    2 +-
 spec/Connection_Interface_Location.xml             |    2 +-
 spec/Connection_Interface_Requests.xml             |    5 +-
 spec/Connection_Interface_Simple_Presence.xml      |  107 +++-
 spec/Connection_Manager.xml                        |   22 +-
 spec/Media_Stream_Handler.xml                      |  203 ++++++-
 spec/Properties_Interface.xml                      |    2 +
 spec/Protocol.xml                                  |   15 +-
 spec/Protocol_Interface_Addressing.xml             |   79 ++-
 spec/Protocol_Interface_Avatars.xml                |   16 +-
 spec/all.xml                                       |   20 +-
 spec/errors.xml                                    |   60 ++-
 spec/template.xml                                  |    2 +-
 53 files changed, 4260 insertions(+), 1081 deletions(-)

commit 23a9833698cf34f1df543b6c94166f151a1f76b7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 6 14:20:27 2011 -0200

    Update NEWS

 NEWS |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit d81ba55a37f9ac1e344e850f2a1cef51fdca19b1
Merge: f3c9172 878b416
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 6 14:16:47 2011 -0200

    Merge branch 'shared-ptr'
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

commit f3c9172a9150f88ea5ee5ee0a8b0f070358960b1
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 6 14:09:52 2011 -0200

    Update NEWS

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4f23d1941a57c9d0daa2bea90aa91de3094e4d73
Merge: ea1d3b0 cf870c9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 6 14:12:02 2011 -0200

    Merge branch 'key-manager-file-internal'
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

commit 878b41671b9b9ab5d009f26c3a6d696a56bc59ca
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 6 13:44:52 2011 -0200

    WeakPtr: Improve docs.

 TelepathyQt/shared-ptr.dox |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 5afb91381f2aad9bfc0551d052b0936ca5cfd826
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 6 13:41:01 2011 -0200

    SharedPtr: Make SharedCount an internal class of RefCounted.

 TelepathyQt/shared-ptr.h |   44 ++++++++++++++++++++------------------------
 1 files changed, 20 insertions(+), 24 deletions(-)

commit cf870c984c02f918a1779f889da461ee710beb2f
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 6 12:46:17 2011 -0200

    ManagerFile: Unexport.

 TelepathyQt/manager-file.h |    2 +-
 tests/CMakeLists.txt       |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit cd08965e640b50aee8f82d587f812601ec7928da
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 6 12:46:00 2011 -0200

    KeyFile: Unexport.

 TelepathyQt/key-file.h |    2 +-
 tests/CMakeLists.txt   |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a39e19981a5885a8ae49a7eb3cea6e9153a21b2d
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 6 12:44:54 2011 -0200

    Do not include test-backdoors.* in the main library.

 TelepathyQt/CMakeLists.txt |    2 --
 tests/CMakeLists.txt       |    2 +-
 tests/dbus/CMakeLists.txt  |    2 +-
 3 files changed, 2 insertions(+), 4 deletions(-)

commit d07b554077861780003c08d8362fc5ba63d97123
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Dec 6 12:43:46 2011 -0200

    Add static (internal) library to be used by tests to test unexported symbols.

 TelepathyQt/CMakeLists.txt |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

commit ec6fc494cf07377f305e769ca48585692e49ee85
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 19:12:40 2011 -0200

    Make ManagerFile an internal class.

 TelepathyQt/CMakeLists.txt         |    3 +--
 TelepathyQt/ManagerFile            |   13 -------------
 TelepathyQt/connection-manager.cpp |    2 +-
 TelepathyQt/manager-file.cpp       |    5 +----
 TelepathyQt/manager-file.h         |    8 ++++----
 TelepathyQt/profile.cpp            |    2 +-
 TelepathyQt/protocol-parameter.cpp |    2 +-
 tests/manager-file.cpp             |    2 +-
 8 files changed, 10 insertions(+), 27 deletions(-)

commit e1c6a180e9123cae2c05a21e088d593985a59438
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 19:05:10 2011 -0200

    Make KeyFile an internal class.

 TelepathyQt/CMakeLists.txt   |    3 +--
 TelepathyQt/KeyFile          |   13 -------------
 TelepathyQt/key-file.cpp     |    6 +-----
 TelepathyQt/key-file.h       |    8 ++++----
 TelepathyQt/manager-file.cpp |    2 +-
 tests/key-file.cpp           |    2 +-
 6 files changed, 8 insertions(+), 26 deletions(-)

commit ea1d3b02c661ce4c20d931b91aba758521246c24
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 18:35:25 2011 +0100

    Update NEWS

 NEWS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 60702e3a2c74c9595ce34a4e74ccb0d040962ea2
Merge: abc7b13 1bc89f4
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 18:32:12 2011 +0100

    Merge branch 'available-message-types'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit 1bc89f4be4b575ff494aa009a03cd31085fa689e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 18:15:15 2011 +0100

    available-message-types: Check for every supported type in the unit test

 tests/dbus/text-chan.cpp |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit db3f089c48afb960f5fc2065096d9c9e2bb4e577
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 18:09:55 2011 +0100

    available-message-types: Use foreach instead of Q_FOREACH

 TelepathyQt/text-channel.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fa02781a147b7dc10f3e3d3664e63826c0ecccd5
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 18:09:01 2011 +0100

    available-message-types: Check for the correct feature

 TelepathyQt/text-channel.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0074738ea236a5e9bb717b41a5238a6477fe9a00
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 17:03:20 2011 +0100

    available-message-types: Add relevant unit test

 tests/dbus/text-chan.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 546a2d48322d2895f47564d0eb66dc1390cdaacc
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 15:55:52 2011 +0100

    available-message-types: Implement supportedMessageTypes

 TelepathyQt/text-channel.cpp |   17 +++++++++++++++++
 TelepathyQt/text-channel.h   |    1 +
 2 files changed, 18 insertions(+), 0 deletions(-)

commit efbec929ef4b7a1770f5536bb63ea28236bfa490
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 15:54:55 2011 +0100

    available-message-types: Use a list of ChannelTextMessageTypes instead of a UIntList

 TelepathyQt/text-channel.cpp |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit 15ba71fd169a595ad2af963a71fe595fbadf0852
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 15:46:50 2011 +0100

    available-message-types: Rename variable to supportedMessageTypes

 TelepathyQt/text-channel.cpp |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit da130c91c2168026f55beef9f7118d062f9221b6
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 15:46:14 2011 +0100

    available-message-types: Check if feature is available

 TelepathyQt/text-channel.cpp |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 53037d11c1ff51fad9a6687d1492018ab2dd5564
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 15:45:53 2011 +0100

    available-message-types: Update documentation

 TelepathyQt/text-channel.cpp |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit aaa15f3a8f16b11b371fef1864aeb1dcc18d1397
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Wed Sep 28 18:35:50 2011 +0100

    available-message-types: Add a method to find available message types for a text channel.

 TelepathyQt/text-channel.cpp |   12 ++++++++++++
 TelepathyQt/text-channel.h   |    1 +
 2 files changed, 13 insertions(+), 0 deletions(-)

commit abc7b13c51e8b2b24e3733ce9b6c761b9fdc7d3e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 5 14:52:45 2011 -0200

    Update NEWS

 NEWS |   18 +++++++++++++++++-
 1 files changed, 17 insertions(+), 1 deletions(-)

commit c68d2507006bfe06369352bed94269ff3ddeb87f
Merge: cf07b76 9c3f3a8
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 5 14:49:05 2011 -0200

    Merge branch 'deprecations'
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

commit cf07b765692131d93f53ea5935b9534d5e788344
Merge: 6f0c193 4530ffc
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 5 14:30:36 2011 -0200

    Merge branch 'qt5'
    
    Reviewed-by: Olli Salli (oggis) <olli.salli@collabora.co.uk>

commit ec19516a02ed1831e6b607b5e37feabf17bc8c13
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 5 13:46:44 2011 -0200

    SharedPtr: Update docs.

 TelepathyQt/shared-ptr.dox |   18 ++++++++++++++++--
 1 files changed, 16 insertions(+), 2 deletions(-)

commit 4b366f5ea0198293e6f4d2c8c725065886abb703
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 5 13:34:27 2011 -0200

    ptr test: Improve tests for thread safety.

 tests/ptr.cpp |   15 ++++++++++++---
 1 files changed, 12 insertions(+), 3 deletions(-)

commit e1e14134ff816afc38fd0a602303309c041decef
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 5 13:20:16 2011 -0200

    WeakPtr: Add constructor receiving a bare pointer.

 TelepathyQt/connection-manager-internal.h |    2 +-
 TelepathyQt/connection-manager.cpp        |    2 +-
 TelepathyQt/connection.cpp                |    4 ++--
 TelepathyQt/contact-manager.cpp           |    4 ++--
 TelepathyQt/shared-ptr.h                  |    9 +++++++++
 5 files changed, 15 insertions(+), 6 deletions(-)

commit 3ee2bbefb77b280743fda9621040ea4886ae6ac5
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 5 13:04:56 2011 -0200

    RefCounted: Make ref/deref private.
    
    Note that ContactManager uses ref/deref directly to circumvent a reference cycle when using
    contact list channels, due to the fact that Channels hold strong references to their parent
    Connection, but not needed when using Conn.I.ContactList and friends.
    So remove the "friend class ContactManager" when Conn.I.ContactList becomes mandatory.

 TelepathyQt/shared-ptr.h |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit 3991207f5ad5c8523d39c77a3d069d897b615682
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Dec 5 12:37:30 2011 -0200

    Make RefCounted and SharedCount members private.

 TelepathyQt/shared-ptr.h |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit 245ebe5b4e1f9ad23295674bc9ca04611531254d
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Dec 2 14:37:21 2011 -0200

    SharedPtr: Make doxygen skip SharedCount internal class.

 TelepathyQt/shared-ptr.h |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 6ad301a052933eb4c6cefc2969767b78af96460f
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Dec 2 14:31:25 2011 -0200

    SharedPtr: Add blank lines before destructors.

 TelepathyQt/shared-ptr.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b4e6267dd8728cd92932fa096ef80d88ef2ccfdd
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Dec 2 14:28:46 2011 -0200

    Properly use QWeakPointer/WeakPtr where appropriate and remove usage of QPointer.

 TelepathyQt/channel-dispatch-operation.cpp |    2 -
 TelepathyQt/connection-manager-internal.h  |    2 +-
 TelepathyQt/connection-manager.cpp         |    5 +--
 TelepathyQt/connection.cpp                 |   37 ++++++++++-----------------
 TelepathyQt/contact-manager.cpp            |    4 +-
 TelepathyQt/message.cpp                    |    1 -
 TelepathyQt/referenced-handles.cpp         |    1 -
 TelepathyQt/streamed-media-channel.cpp     |    4 +-
 tests/dbus/streamed-media-chan.cpp         |    6 ++--
 9 files changed, 24 insertions(+), 38 deletions(-)

commit c601691d7cb0c81ffaf32907dad5e7385034f9ab
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Dec 2 01:17:32 2011 -0200

    ptr: Add test to check for thread safety.

 tests/ptr.cpp |   85 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 85 insertions(+), 0 deletions(-)

commit d370549c8eb9a5c67c6e938e9bad80bdb8815979
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Dec 2 01:20:49 2011 -0200

    ptr test: Reinstate WeakPtr tests.

 tests/ptr.cpp |   91 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 91 insertions(+), 0 deletions(-)

commit 399da2c89e9f7ea43804d4afbd094ee17e3dc649
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Dec 2 01:20:14 2011 -0200

    Reinstate WeakPtr and make Shared/WeakPtr thread-safe.

 TelepathyQt/CMakeLists.txt                         |    3 +-
 TelepathyQt/WeakPtr                                |   13 ++
 TelepathyQt/connection-manager-internal.h          |    5 +-
 TelepathyQt/connection-manager.cpp                 |    2 +-
 TelepathyQt/connection.cpp                         |    6 +-
 TelepathyQt/contact-manager.cpp                    |    9 +-
 TelepathyQt/contact.cpp                            |    4 +-
 TelepathyQt/dbus-proxy-factory-internal.h          |    2 +-
 TelepathyQt/dbus-proxy-factory.cpp                 |    2 +-
 TelepathyQt/message.cpp                            |    4 +-
 TelepathyQt/referenced-handles.cpp                 |    4 +-
 TelepathyQt/request-temporary-handler-internal.cpp |    2 +-
 TelepathyQt/request-temporary-handler-internal.h   |    4 +-
 TelepathyQt/shared-ptr.h                           |  135 ++++++++++++++++++--
 TelepathyQt/simple-observer-internal.h             |    8 +-
 TelepathyQt/simple-observer.cpp                    |    8 +-
 16 files changed, 166 insertions(+), 45 deletions(-)

commit 9c3f3a8d7b34b1b63818ba9f82c434558b3073c8
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Nov 25 13:32:16 2011 -0200

    Channel: Elaborate a bit more on the docs for groupContacts/LocalPendingContacts/RemotePendingContacts.

 TelepathyQt/channel.cpp |   18 +++++++++++++++---
 1 files changed, 15 insertions(+), 3 deletions(-)

commit 0f93c56e3d8173d57cc8e889e36ac329e98513e3
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Nov 25 13:01:19 2011 -0200

    Channel: Refactor groupContacts/LocalPendingContacts/RemotePendingContacts handling of includeSelfContact param and properly document the param.

 TelepathyQt/channel.cpp |   18 ++++++++++++------
 1 files changed, 12 insertions(+), 6 deletions(-)

commit a8425e4ffadd0cc93771e9659ea2546d54e52122
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Nov 25 12:57:55 2011 -0200

    AbstractClient: Do not leak mPriv.

 TelepathyQt/abstract-client.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit dc5a51ce618ad7e9f4357c2a19a659ce660b4e49
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 19:47:10 2011 -0200

    StreamTubeChannel: Return a QSet<uint> instead of a UIntList on connections().

 TelepathyQt/stream-tube-channel.cpp |    6 +++---
 TelepathyQt/stream-tube-channel.h   |    3 +--
 TelepathyQt/stream-tube-client.cpp  |    2 +-
 3 files changed, 5 insertions(+), 6 deletions(-)

commit 5435a7f610aaff10dd54f5e19f55bcfa0e53bd5c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 19:46:10 2011 -0200

    Channel: Add includeSelfContact param to groupContacts and groupLocal/RemotePendingContacts.

 TelepathyQt/channel.cpp |   15 ++++++++++++---
 TelepathyQt/channel.h   |   10 +++-------
 2 files changed, 15 insertions(+), 10 deletions(-)

commit bba1a7425031caeef46e3c3a9b511418efdb65e7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 19:45:16 2011 -0200

    AbstractClient: Move AbstractClientHandler::set/isRegistered to AbstractClient and add priv member.

 TelepathyQt/abstract-client.cpp |   46 +++++++++++++++++++++++---------------
 TelepathyQt/abstract-client.h   |   18 +++++++++------
 2 files changed, 39 insertions(+), 25 deletions(-)

commit 3760fbc87677ac648a0a9e9bc9718d2695c84003
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 17:57:58 2011 -0200

    Account: Collapse create/ensure* overload methods without a hints arg with the corresponding hints versions.

 TelepathyQt/account.cpp |  207 -----------------------------------------------
 TelepathyQt/account.h   |  178 ++++++++++-------------------------------
 2 files changed, 42 insertions(+), 343 deletions(-)

commit ff72667e7dc182e6bfcf5f4bc582b3d2c8fdc916
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Nov 22 17:47:58 2011 -0200

    PendingOperation: Update doc for object().

 TelepathyQt/pending-operation.cpp |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 1b2edb7c1245955793f8b60d60100c1da50f0f05
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Nov 22 17:47:38 2011 -0200

    Contact: Remove docs for deprecated methods.

 TelepathyQt/contact.cpp |   21 ---------------------
 1 files changed, 0 insertions(+), 21 deletions(-)

commit 18ac4af1dec24d84f5696781a7c4c5d19968f987
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Nov 22 17:47:27 2011 -0200

    ContactManager: Remove docs for deprecated methods.

 TelepathyQt/contact-manager.cpp |   20 --------------------
 1 files changed, 0 insertions(+), 20 deletions(-)

commit 2b84d429e38fbbad91f4a6d641b062a924fa67fe
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Nov 22 17:44:38 2011 -0200

    ChannelRequest: Remove deprecated signals.

 TelepathyQt/channel-request.cpp |   15 ---------------
 TelepathyQt/channel-request.h   |    5 -----
 2 files changed, 0 insertions(+), 20 deletions(-)

commit 84fa2b8bc9fc8b47d2111e82f665cb582dbfd218
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Fri Nov 11 19:31:35 2011 -0700

    Contact: Remove deprecated signals.

 TelepathyQt/contact.cpp           |   13 -------------
 TelepathyQt/contact.h             |    8 --------
 tests/dbus/conn-roster-legacy.cpp |    6 +++---
 tests/dbus/conn-roster.cpp        |    6 +++---
 4 files changed, 6 insertions(+), 27 deletions(-)

commit cd02d4099aed0b2750c9c2f72b1f1c1152948146
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Fri Nov 11 19:06:51 2011 -0700

    ContactManager::Roster: Remove deprecated signals.
    ContactManager: Remove deprecated connectNotify method.

 TelepathyQt/contact-manager-roster.cpp |   10 ----------
 TelepathyQt/contact-manager.cpp        |    9 ---------
 TelepathyQt/contact-manager.h          |    9 ---------
 tests/dbus/conn-roster.cpp             |    2 +-
 4 files changed, 1 insertions(+), 29 deletions(-)

commit 7a01a68f49d735cb817e3b1b488e625749598f2f
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Fri Nov 11 19:03:23 2011 -0700

    IncomingStreamTubeChannel: Remove deprecated localAddress and ipAddress methods.

 TelepathyQt/incoming-stream-tube-channel.cpp |   32 --------------------------
 TelepathyQt/incoming-stream-tube-channel.h   |    4 ---
 2 files changed, 0 insertions(+), 36 deletions(-)

commit c2d502b033be011c30c8bd21f97bdb54b65d4cca
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Fri Nov 11 18:59:32 2011 -0700

    TubeChannel: Remove deprecated connectNotify method.
    TubeChannel: Remove deprecated tubeStateChanged signal.

 TelepathyQt/simple-stream-tube-handler.cpp |    2 +-
 TelepathyQt/stream-tube-channel.cpp        |    5 -----
 TelepathyQt/stream-tube-channel.h          |    2 --
 TelepathyQt/tube-channel.cpp               |   21 ---------------------
 TelepathyQt/tube-channel.h                 |    6 ------
 5 files changed, 1 insertions(+), 35 deletions(-)

commit 5176d1db49d28259a0d7663e29fd552a68a26c3b
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Fri Nov 11 18:59:08 2011 -0700

    Contact: Remove deprecated connectNotify method.

 TelepathyQt/contact.cpp |   11 -----------
 TelepathyQt/contact.h   |    3 ---
 2 files changed, 0 insertions(+), 14 deletions(-)

commit 20238d32a252a94ab749c33c87836110b1e0b7e6
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Thu Nov 10 14:39:20 2011 -0700

    PendingOperation: Removed deprecated public object method.
    PendingOperation: Renamed protected _object() to _object().

 TelepathyQt/channel.cpp                    |    6 +++---
 TelepathyQt/contact-manager-roster.cpp     |    2 +-
 TelepathyQt/pending-account.cpp            |    2 +-
 TelepathyQt/pending-channel-request.cpp    |    4 ++--
 TelepathyQt/pending-connection.cpp         |    2 +-
 TelepathyQt/pending-contact-attributes.cpp |    2 +-
 TelepathyQt/pending-contact-info.cpp       |    2 +-
 TelepathyQt/pending-handles.cpp            |    2 +-
 TelepathyQt/pending-operation.cpp          |    6 ------
 TelepathyQt/pending-operation.h            |    4 +---
 TelepathyQt/pending-ready.cpp              |    2 +-
 TelepathyQt/pending-send-message.cpp       |    4 ++--
 TelepathyQt/streamed-media-channel.cpp     |    2 +-
 tests/dbus/dbus-proxy-factory.cpp          |   14 --------------
 14 files changed, 16 insertions(+), 38 deletions(-)

commit 1c6962eb62e90f755e23060be1b7d6b227408e61
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Tue Nov 8 20:38:36 2011 -0700

    StreamTubeChannel: Remove deprecated methods.

 TelepathyQt/stream-tube-channel.cpp |   16 ----------------
 TelepathyQt/stream-tube-channel.h   |    2 --
 2 files changed, 0 insertions(+), 18 deletions(-)

commit 2e8c8216974f98b4f8f1d8299bcc4b41dbb02477
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Tue Nov 8 20:38:17 2011 -0700

    TubeChannel: Remove deprecated methods.

 TelepathyQt/tube-channel.cpp |    8 --------
 TelepathyQt/tube-channel.h   |    1 -
 2 files changed, 0 insertions(+), 9 deletions(-)

commit f651e839b31ef1d804256ca2facfed0f8eaf0a84
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Tue Nov 8 20:38:00 2011 -0700

    Contact: Remove deprecated methods.

 TelepathyQt/contact.cpp |    9 ---------
 TelepathyQt/contact.h   |    1 -
 2 files changed, 0 insertions(+), 10 deletions(-)

commit ff0d03db39c48ffd5257dd4a257b4ed9f183e952
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Tue Nov 8 20:37:39 2011 -0700

    ContactManager: Remove deprecated methods.
      Fix test.

 TelepathyQt/contact-manager.cpp          |   20 --------------------
 TelepathyQt/contact-manager.h            |    3 ---
 tests/dbus/conn-roster-groups-legacy.cpp |    6 +++---
 3 files changed, 3 insertions(+), 26 deletions(-)

commit 98cedd09523ba633f78a0f653f96ff42211f23fe
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Tue Nov 8 20:36:44 2011 -0700

    Connection-Capabilities: Remove deprecated methods.
      Fix test.

 TelepathyQt/connection-capabilities.cpp |   24 ------------------------
 TelepathyQt/connection-capabilities.h   |    4 ----
 tests/capabilities.cpp                  |   15 ---------------
 3 files changed, 0 insertions(+), 43 deletions(-)

commit 02c77f73dff0439037ac68bbb6854809388de88f
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Tue Nov 8 20:36:04 2011 -0700

    Profile: Remove deprecated methods.

 TelepathyQt/profile.cpp |    8 --------
 TelepathyQt/profile.h   |    1 -
 2 files changed, 0 insertions(+), 9 deletions(-)

commit fc3c4e2ebfebf7749f9f9d625f44df76eec1677a
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Tue Nov 8 20:35:39 2011 -0700

    Account: Remove deprecated methods.

 TelepathyQt/account.cpp |   26 --------------------------
 TelepathyQt/account.h   |   12 ------------
 2 files changed, 0 insertions(+), 38 deletions(-)

commit 4530ffc84bff124877b5390e59a06b51278cdc65
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Nov 25 12:40:05 2011 -0200

    Mention Qt bugs in the comments for disabling tubes tests if building against Qt5.

 tests/dbus/CMakeLists.txt |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 512406295c52a4705652795109b8f932b441af6f
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Nov 25 12:34:17 2011 -0200

    StreamTubeCLient: Update docs mentioning QHostAddress::AnyIPv4.

 TelepathyQt/stream-tube-client.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bc880afea2091968f7b2c39988219bc001dff256
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 19:47:41 2011 -0200

    Remove already fixed TODO.

 TelepathyQt/channel-class-spec.h |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 76b0076c552b0a023bcf75990297f42ce5083d68
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 18:51:42 2011 -0200

    FIXME: Temporarily disable tube tests until Qt5 QHostAddress bugs are fixed.

 tests/dbus/CMakeLists.txt |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit b206f7368c4f2b5973221016b3ab3e683e5e0cc6
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 18:46:58 2011 -0200

    Fix docs mentioning QHostAddress::AnyIPv4.

 TelepathyQt/incoming-stream-tube-channel.cpp |    4 ++--
 TelepathyQt/stream-tube-client.cpp           |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 70478034525f500bce7ecc2bfd538a4f4409268e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 18:46:33 2011 -0200

    Properly check for MIN/MAX Qt versions in pkg-config files.

 TelepathyQt/TelepathyQt-uninstalled.pc.in |    2 +-
 TelepathyQt/TelepathyQt.pc.in             |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 328eb296e19067fb00fe30f8bacfd2e184538589
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 18:40:04 2011 -0200

    Remove the hack to avoid using QHostAddress operator==(SpecialAddress).
    
    Qt should be fixed instead.

 TelepathyQt/incoming-stream-tube-channel.cpp |    8 ++++----
 TelepathyQt/outgoing-stream-tube-channel.cpp |    2 +-
 TelepathyQt/stream-tube-client.cpp           |    4 ++--
 TelepathyQt/stream-tube-server.cpp           |   12 ++++++------
 4 files changed, 13 insertions(+), 13 deletions(-)

commit df6d4fcdabe82fd018e6bfebd2f06d32e0d36138
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 18:03:10 2011 -0200

    StreamTubeChannel: Actually make it work with Qt5 when handling QHostAddress::Any*.

 TelepathyQt/incoming-stream-tube-channel.cpp |   25 ++++++++++++++++---------
 TelepathyQt/outgoing-stream-tube-channel.cpp |   19 +++++++++++++------
 TelepathyQt/stream-tube-client.cpp           |   15 ++++++++++++---
 TelepathyQt/stream-tube-server.cpp           |   12 ++++++------
 4 files changed, 47 insertions(+), 24 deletions(-)

commit 6d31094eed4ffd4cf7bab6a4ba693c1221d7fe84
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 16:17:58 2011 -0200

    Also set a Qt max version as Requires.private in pkg-config files.
    
    This is to avoid having TelepathyQt4.pc pick Qt5 instead of Qt4.

 CMakeLists.txt                                    |    2 ++
 TelepathyQt/TelepathyQt-uninstalled.pc.in         |    2 +-
 TelepathyQt/TelepathyQt.pc.in                     |    2 +-
 TelepathyQt/TelepathyQtFarsight-uninstalled.pc.in |    2 +-
 TelepathyQt/TelepathyQtFarsight.pc.in             |    2 +-
 cmake/modules/FindQt.cmake                        |    2 ++
 6 files changed, 8 insertions(+), 4 deletions(-)

commit cbe9beffacabd2029a325813d085336b81693be2
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 16:09:28 2011 -0200

    Revert change to bump Qt4 dependency to 4.8.

 CMakeLists.txt |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a12afb4ea8a96ca1a40cb3a4b4d14bc2ee57ecf9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 16:01:39 2011 -0200

    Install separate headers and pkgconfig files depending on the version of Qt being used.

 TelepathyQt/CMakeLists.txt                        |   20 ++++++++++----------
 TelepathyQt/Farsight/CMakeLists.txt               |   18 +++++++++---------
 TelepathyQt/TelepathyQt-uninstalled.pc.in         |    2 +-
 TelepathyQt/TelepathyQt.pc.in                     |    2 +-
 TelepathyQt/TelepathyQtFarsight-uninstalled.pc.in |    4 ++--
 TelepathyQt/TelepathyQtFarsight.pc.in             |    4 ++--
 6 files changed, 25 insertions(+), 25 deletions(-)

commit 69708dfc3bfe03c17948d4c385ef82712f079759
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 15:23:38 2011 -0200

    Generate libtelepathy-qt4 and libtelepathy-qt5 depending on the version of Qt being used.

 CMakeLists.txt                                    |   33 +++++++++-----------
 TelepathyQt/CMakeLists.txt                        |   16 +++++-----
 TelepathyQt/Farsight/CMakeLists.txt               |   14 ++++----
 TelepathyQt/TelepathyQt-uninstalled.pc.in         |    2 +-
 TelepathyQt/TelepathyQt.pc.in                     |    2 +-
 TelepathyQt/TelepathyQtFarsight-uninstalled.pc.in |    2 +-
 TelepathyQt/TelepathyQtFarsight.pc.in             |    2 +-
 cmake/modules/TpQtMacros.cmake                    |    4 +-
 examples/accounts/CMakeLists.txt                  |    2 +-
 examples/contact-messenger/CMakeLists.txt         |    2 +-
 examples/extensions/CMakeLists.txt                |    2 +-
 examples/file-transfer/CMakeLists.txt             |    4 +-
 examples/protocols/CMakeLists.txt                 |    2 +-
 examples/roster/CMakeLists.txt                    |    4 +-
 examples/stream-tubes/CMakeLists.txt              |    4 +-
 tests/lib/CMakeLists.txt                          |    2 +-
 tests/lib/glib-helpers/CMakeLists.txt             |    2 +-
 17 files changed, 48 insertions(+), 51 deletions(-)

commit 4565ee9f5b4b1191d1889c9b628456d43c2f0bab
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Nov 24 14:37:24 2011 -0200

    StreamTubeChannel: Handle QHostAddress::Any as QHostAddress::AnyIPv4 when using Qt5.

 TelepathyQt/incoming-stream-tube-channel.cpp |   14 +++++---------
 TelepathyQt/stream-tube-client.cpp           |   21 ++++++---------------
 TelepathyQt/stream-tube-server.cpp           |   12 ++++++------
 tests/dbus/stream-tube-chan.cpp              |    8 --------
 tests/dbus/stream-tube-handlers.cpp          |    8 --------
 5 files changed, 17 insertions(+), 46 deletions(-)

commit ceee628a9e90440d20953906c258ebb9f95c7237
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:48:58 2011 -0200

    StreamTubeChannel: Properly handle QHostAddress::Any/IPv4.
    
    Qt5 changed the semantics of QHostAddress::Any to mean either IPv4 or IPv6, and added a new
    enum QHostAddress::AnyIPv4 for IPv4 only.

 TelepathyQt/incoming-stream-tube-channel.cpp |   16 +++++++++++--
 TelepathyQt/stream-tube-client.cpp           |   30 +++++++++++++++++--------
 TelepathyQt/stream-tube-server.cpp           |    8 +++++++
 tests/dbus/stream-tube-chan.cpp              |   10 +++++++-
 tests/dbus/stream-tube-handlers.cpp          |    8 +++++++
 5 files changed, 58 insertions(+), 14 deletions(-)

commit 82d132c33a62d3e36efd7893003abc4da8d813c8
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 21:31:56 2011 -0200

    Properly pass moc flags, options to QT4/5_CREATE_MOC_COMMAND.

 cmake/modules/FindQt.cmake |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 955d6a22b4df59a2871d929c8c99ec4851295511
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:54:27 2011 -0200

    Add Qt5 support.

 CMakeLists.txt                 |   29 +++++++++++++++++++----------
 cmake/modules/TpQtMacros.cmake |   16 ++++++++--------
 2 files changed, 27 insertions(+), 18 deletions(-)

commit d18a8284c433a9c1929f60ebe83933a0b6e57da2
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:53:18 2011 -0200

    Update pkg-config files Requires.private to check for proper Qt version.

 TelepathyQt/TelepathyQt-uninstalled.pc.in         |    2 +-
 TelepathyQt/TelepathyQt.pc.in                     |    2 +-
 TelepathyQt/TelepathyQtFarsight-uninstalled.pc.in |    2 +-
 TelepathyQt/TelepathyQtFarsight.pc.in             |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 1e1034a8f929f3a15e4c35d176bd393975ec5ba0
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:51:48 2011 -0200

    Add FindQt.cmake to help searching for Qt4 or Qt5.

 cmake/modules/FindQt.cmake |   83 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 83 insertions(+), 0 deletions(-)

commit da19121a0744253f0ad2818c340491e4c6ba4505
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:50:30 2011 -0200

    Add temporary FindQt5/Qt5Macros.cmake files to find Qt5.
    
    Once Qt5 or cmake provides support for finding Qt5, these files will not be needed and should be
    deleted.

 cmake/modules/FindQt5.cmake   |  157 +++++++++++++++++++++++++++++++++++++++++
 cmake/modules/Qt5Macros.cmake |   63 ++++++++++++++++
 2 files changed, 220 insertions(+), 0 deletions(-)

commit ea0cfcd30d2d479f28a010509edea3362f0efe61
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:47:03 2011 -0200

    shared-ptr: Do not use deprecated Qt5 method QAtomicInt::operator int().

 TelepathyQt/shared-ptr.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3ca21aa285473373f673bb0bee596be4de5dc429
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:46:33 2011 -0200

    global: Change doxygen group for macros.

 TelepathyQt/global.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6b17778ac18dc28316a97bb2dbd99fee3524c160
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:45:49 2011 -0200

    accounts example: Include QApplication header as it's not part of QtGui in Qt5.

 examples/accounts/main.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2a3e2afb5f1f24038b29cbfecc34d1064e09801d
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:45:08 2011 -0200

    roster example: Include QApplication header as it's not part of QtGui in Qt5.

 examples/roster/main.cpp |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 14926bf18068bf579c0f828c727064412b55e846
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:43:53 2011 -0200

    Properly link telepathy-qt library to Qt libraries.

 TelepathyQt/CMakeLists.txt |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit da6cf83f0fde7a604110429f37b7ffb137e01ddc
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:43:35 2011 -0200

    stream-tubes example: Properly link to Qt libraries.

 examples/stream-tubes/CMakeLists.txt |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit b9255df03f4a36dd06b65e16e2dafedde3d252e9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:43:19 2011 -0200

    roster example: Properly link to Qt libraries.

 examples/roster/CMakeLists.txt |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit fcafd7799013907811525903e598930d1eb3ec74
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:43:01 2011 -0200

    protocols example: Properly link to Qt libraries.

 examples/protocols/CMakeLists.txt |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 58b1ba7048e6b65534be3f54daa6e57a3c3b5a91
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:42:44 2011 -0200

    file-transfer example: Properly link to Qt libraries.

 examples/file-transfer/CMakeLists.txt |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 14905ecefcc71780413d81295ab5b7ecdb3bf1a1
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:42:23 2011 -0200

    contact-messenger example: Properly link to Qt libraries.

 examples/contact-messenger/CMakeLists.txt |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 73ccd464c77ead0aa2a124950f1c6962ed8d73e6
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Nov 23 20:41:54 2011 -0200

    accounts example: Properly link to Qt libraries.

 examples/accounts/CMakeLists.txt |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 64f2fb1d8406000815294b81035228af041358e0
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Nov 22 18:39:46 2011 -0200

    Only generate QLatin1String macros for errors/constants.

 TelepathyQt/CMakeLists.txt                     |    2 -
 TelepathyQt/Farsight/channel.cpp               |    2 +-
 TelepathyQt/account-manager.cpp                |    2 +-
 TelepathyQt/account.cpp                        |  142 ++++++++++++------------
 TelepathyQt/channel-class-spec.cpp             |   50 ++++----
 TelepathyQt/channel-class-spec.h               |   32 +++---
 TelepathyQt/channel-dispatch-operation.cpp     |    8 +-
 TelepathyQt/channel-request.cpp                |   24 ++--
 TelepathyQt/channel.cpp                        |  116 ++++++++++----------
 TelepathyQt/client-registrar.cpp               |   10 +-
 TelepathyQt/connection-manager.cpp             |   50 ++++----
 TelepathyQt/connection.cpp                     |   88 ++++++++--------
 TelepathyQt/contact-manager-roster.cpp         |   60 +++++-----
 TelepathyQt/contact-manager.cpp                |   52 +++++-----
 TelepathyQt/contact-search-channel.cpp         |   14 +-
 TelepathyQt/contact.cpp                        |   20 ++--
 TelepathyQt/dbus-proxy.cpp                     |    2 +-
 TelepathyQt/file-transfer-channel.cpp          |    2 +-
 TelepathyQt/incoming-file-transfer-channel.cpp |   10 +-
 TelepathyQt/incoming-stream-tube-channel.cpp   |   16 ++--
 TelepathyQt/outgoing-file-transfer-channel.cpp |    6 +-
 TelepathyQt/outgoing-stream-tube-channel.cpp   |   18 ++--
 TelepathyQt/pending-channel-request.cpp        |    4 +-
 TelepathyQt/pending-channel.cpp                |   34 +++---
 TelepathyQt/pending-contacts.cpp               |    4 +-
 TelepathyQt/pending-handles.cpp                |   24 ++--
 TelepathyQt/readiness-helper.cpp               |    8 +-
 TelepathyQt/requestable-channel-class-spec.cpp |    6 +-
 TelepathyQt/simple-stream-tube-handler.cpp     |    3 +-
 TelepathyQt/streamed-media-channel.cpp         |   28 +++---
 TelepathyQt/text-channel.cpp                   |   16 +--
 TelepathyQt/tube-channel.cpp                   |    2 +-
 spec/errors.xml                                |    2 +-
 tests/dbus/account-basics.cpp                  |    4 +-
 tests/dbus/account-channel-dispatcher.cpp      |   64 ++++++------
 tests/dbus/account-connection-factory.cpp      |    2 +-
 tests/dbus/account-set.cpp                     |   10 +-
 tests/dbus/client-factories.cpp                |   32 +++---
 tests/dbus/client.cpp                          |   23 ++--
 tests/dbus/conn-basics.cpp                     |    2 +-
 tests/dbus/conn-requests.cpp                   |   16 ++--
 tests/dbus/contact-messenger.cpp               |    4 +-
 tests/dbus/contacts.cpp                        |    8 +-
 tests/dbus/dbus-properties.cpp                 |    2 +-
 tests/dbus/simple-observer.cpp                 |    2 +-
 tests/dbus/stream-tube-handlers.cpp            |    4 +-
 tests/dbus/streamed-media-chan.cpp             |    6 +-
 tests/lib/glib-helpers/test-conn-helper.cpp    |   36 +++---
 tests/manager-file.cpp                         |   22 ++--
 49 files changed, 540 insertions(+), 554 deletions(-)

commit c9201a5bb28ac31e21762b468e8814cae081d78f
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Nov 22 17:35:47 2011 -0200

    Make TP_QT_CONNECTION_OBJECT_PATH_BASE a QLatin1String.

 TelepathyQt/connection.cpp |    4 ++--
 TelepathyQt/constants.h    |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 5c15021b4628555421cfdb44c58c7a40f52ee97e
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Fri Nov 11 14:24:01 2011 -0700

    Rename qt4 to qt in spec files.

 HACKING                                            |    2 +-
 spec/Connection_Interface_Contact_Capabilities.xml |    2 +-
 spec/errors.xml                                    |    6 +++---
 3 files changed, 5 insertions(+), 5 deletions(-)

commit d7ab60b9e19016feff3ec2508e756e7f59fddf6a
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Fri Nov 11 14:21:30 2011 -0700

    Rename tp-qt4 to tp-qt in example code strings and comments.

 examples/file-transfer/file-receiver-handler.cpp |    4 ++--
 examples/file-transfer/file-sender.cpp           |    2 +-
 examples/stream-tubes/tube-initiator.cpp         |   10 +++++-----
 examples/stream-tubes/tube-receiver.cpp          |    2 +-
 4 files changed, 9 insertions(+), 9 deletions(-)

commit 6879f313547d52a860d4703ed2411f02ecccc067
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Fri Nov 11 14:17:59 2011 -0700

    Rename qt4 comments to qt.

 TelepathyQt/account.h               |    2 +-
 TelepathyQt/channel.cpp             |    2 +-
 TelepathyQt/main.dox                |    8 ++++----
 doxygen.cfg.in                      |    2 +-
 tests/dbus/stream-tube-handlers.cpp |    2 +-
 tests/dbus/streamed-media-chan.cpp  |    2 +-
 6 files changed, 9 insertions(+), 9 deletions(-)

commit 6d7d7ca5ec2d45ed784a9d48280f47af6cbc6fbb
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Fri Nov 11 14:07:16 2011 -0700

    Remove deprecated header files.

 TelepathyQt/CMakeLists.txt                   |    4 ----
 TelepathyQt/ConnectionInterfaceClientTypes   |   17 -----------------
 TelepathyQt/ConnectionInterfaceContactGroups |   17 -----------------
 TelepathyQt/ConnectionInterfaceContactList   |   17 -----------------
 TelepathyQt/ConnectionInterfacePowerSaving   |   17 -----------------
 5 files changed, 0 insertions(+), 72 deletions(-)

commit 78b5f63e1f86f5d918c040913231c757696be4be
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Fri Nov 11 13:07:33 2011 -0700

    Rename library from telepathy-qt4 to telepathy-qt.

 CMakeLists.txt                                  |    6 +-
 HACKING                                         |   20 +-
 README                                          |    6 +-
 TelepathyQt/dbus-proxy-factory-internal.h       |    2 +-
 TelepathyQt/debug.cpp                           |    8 +-
 TelepathyQt/global.h                            |    2 +-
 TelepathyQt/outgoing-stream-tube-channel.cpp    |    4 +-
 TelepathyQt/pending-channel.cpp                 |    2 +-
 TelepathyQt/simple-observer.cpp                 |    2 +-
 TelepathyQt/stream-tube-client.cpp              |    2 +-
 TelepathyQt/stream-tube-server.cpp              |    2 +-
 cmake/modules/TpQtMacros.cmake                  |   50 +-
 examples/accounts/CMakeLists.txt                |    2 +-
 examples/contact-messenger/CMakeLists.txt       |    2 +-
 examples/extensions/CMakeLists.txt              |    4 +-
 examples/file-transfer/CMakeLists.txt           |    4 +-
 examples/file-transfer/file-receiver.cpp        |    2 +-
 examples/file-transfer/pending-file-receive.cpp |    2 +-
 examples/protocols/CMakeLists.txt               |    2 +-
 examples/roster/CMakeLists.txt                  |   10 +-
 examples/stream-tubes/CMakeLists.txt            |    4 +-
 tests/dbus/CMakeLists.txt                       |   48 +-
 tests/dbus/chan-group.cpp                       |    4 +-
 tests/dbus/simple-observer.cpp                  |    2 +-
 tests/lib/CMakeLists.txt                        |    4 +-
 tests/lib/glib-helpers/CMakeLists.txt           |    6 +-
 tools/CMakeLists.txt                            |   12 +-
 tools/libqt4codegen.py                          |  499 --------------------
 tools/libqtcodegen.py                           |  499 ++++++++++++++++++++
 tools/qt-client-gen.py                          |  547 ++++++++++++++++++++++
 tools/qt-constants-gen.py                       |  310 +++++++++++++
 tools/qt-types-gen.py                           |  557 +++++++++++++++++++++++
 tools/qt4-client-gen.py                         |  547 ----------------------
 tools/qt4-constants-gen.py                      |  310 -------------
 tools/qt4-types-gen.py                          |  557 -----------------------
 tools/tp-qt-tests.supp                          |   53 +++
 tools/tp-qt4-tests.supp                         |   53 ---
 37 files changed, 2073 insertions(+), 2073 deletions(-)

commit d0e664bf2ea436d6447a0992e1604b8c8b0fb609
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Thu Nov 10 16:01:10 2011 -0700

    Renamed TpQt4Macros.cmake TpQtMacros.cmake.

 CMakeLists.txt                        |    2 +-
 TelepathyQt/CMakeLists.txt            |   60 +++---
 TelepathyQt/Farsight/CMakeLists.txt   |   22 +-
 TelepathyQt/async-model.dox           |    8 +-
 TelepathyQt/client-registrar.cpp      |    2 +-
 TelepathyQt/connection-manager.cpp    |    2 +-
 TelepathyQt/dbus-proxy.cpp            |    2 +-
 TelepathyQt/main.dox                  |   14 +-
 TelepathyQt/shared-ptr.dox            |    2 +-
 cmake/modules/TelepathyDefaults.cmake |    4 +-
 cmake/modules/TelepathyDist.cmake     |    2 +-
 cmake/modules/TpQt4Macros.cmake       |  435 ---------------------------------
 cmake/modules/TpQtMacros.cmake        |  435 +++++++++++++++++++++++++++++++++
 doxygen-footer.html                   |    2 +-
 14 files changed, 496 insertions(+), 496 deletions(-)

commit 98c89fddfa8175d226d84f6631ec4377a5522fd0
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Thu Nov 10 15:32:03 2011 -0700

    Rename dbus object paths from Telepathy.Qt4 to Telepathy.Qt.

 TelepathyQt/constants.h                 |   12 ++++++------
 TelepathyQt/method-invocation-context.h |    2 +-
 TelepathyQt/pending-operation.cpp       |    2 +-
 doxygen.cfg.in                          |    2 +-
 spec/errors.xml                         |    2 +-
 tests/dbus/stateful-proxy.cpp           |    4 ++--
 6 files changed, 12 insertions(+), 12 deletions(-)

commit be40b6f313c8d7b1f0fb59fd06ea87b0934e4bad
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Thu Nov 10 15:21:06 2011 -0700

    Renamed TelepathyQt4 directory to TelepathyQt.

 CMakeLists.txt                                     |    6 +-
 HACKING                                            |    2 +-
 TelepathyQt/AbstractClient                         |   13 +
 TelepathyQt/AbstractClientApprover                 |   13 +
 TelepathyQt/AbstractClientHandler                  |   13 +
 TelepathyQt/AbstractClientObserver                 |   13 +
 TelepathyQt/AbstractInterface                      |   13 +
 TelepathyQt/Account                                |   13 +
 TelepathyQt/AccountCapabilityFilter                |   13 +
 TelepathyQt/AccountFactory                         |   13 +
 TelepathyQt/AccountFilter                          |   13 +
 TelepathyQt/AccountInterface                       |   13 +
 TelepathyQt/AccountInterfaceAddressingInterface    |   13 +
 TelepathyQt/AccountInterfaceAvatarInterface        |   13 +
 TelepathyQt/AccountManager                         |   13 +
 TelepathyQt/AccountManagerInterface                |   13 +
 TelepathyQt/AccountPropertyFilter                  |   13 +
 TelepathyQt/AccountSet                             |   13 +
 TelepathyQt/AndFilter                              |   13 +
 TelepathyQt/AuthenticationTLSCertificateInterface  |   13 +
 TelepathyQt/AvatarData                             |   13 +
 TelepathyQt/AvatarSpec                             |   13 +
 TelepathyQt/CMakeLists.txt                         |  694 +++
 TelepathyQt/CapabilitiesBase                       |   13 +
 TelepathyQt/Channel                                |   13 +
 TelepathyQt/ChannelClassFeatures                   |   13 +
 TelepathyQt/ChannelClassSpec                       |   13 +
 TelepathyQt/ChannelClassSpecList                   |   13 +
 TelepathyQt/ChannelDispatchOperation               |   13 +
 TelepathyQt/ChannelDispatchOperationInterface      |   13 +
 TelepathyQt/ChannelDispatcher                      |   13 +
 TelepathyQt/ChannelDispatcherInterface             |   13 +
 TelepathyQt/ChannelFactory                         |   13 +
 TelepathyQt/ChannelInterface                       |   13 +
 TelepathyQt/ChannelInterfaceAnonymityInterface     |   13 +
 TelepathyQt/ChannelInterfaceCallStateInterface     |   13 +
 TelepathyQt/ChannelInterfaceChatStateInterface     |   13 +
 TelepathyQt/ChannelInterfaceConferenceInterface    |   13 +
 TelepathyQt/ChannelInterfaceDTMFInterface          |   13 +
 TelepathyQt/ChannelInterfaceGroupInterface         |   13 +
 TelepathyQt/ChannelInterfaceHoldInterface          |   13 +
 .../ChannelInterfaceMediaSignallingInterface       |   13 +
 TelepathyQt/ChannelInterfaceMessagesInterface      |   13 +
 TelepathyQt/ChannelInterfacePasswordInterface      |   13 +
 .../ChannelInterfaceSASLAuthenticationInterface    |   13 +
 TelepathyQt/ChannelInterfaceSecurableInterface     |   13 +
 TelepathyQt/ChannelInterfaceServicePointInterface  |   13 +
 TelepathyQt/ChannelInterfaceTubeInterface          |   13 +
 TelepathyQt/ChannelRequest                         |   13 +
 TelepathyQt/ChannelRequestHints                    |   13 +
 TelepathyQt/ChannelRequestInterface                |   13 +
 TelepathyQt/ChannelTypeContactListInterface        |   13 +
 TelepathyQt/ChannelTypeContactSearchInterface      |   13 +
 TelepathyQt/ChannelTypeFileTransferInterface       |   13 +
 TelepathyQt/ChannelTypeRoomListInterface           |   13 +
 .../ChannelTypeServerAuthenticationInterface       |   13 +
 .../ChannelTypeServerTLSConnectionInterface        |   13 +
 TelepathyQt/ChannelTypeStreamTubeInterface         |   13 +
 TelepathyQt/ChannelTypeStreamedMediaInterface      |   13 +
 TelepathyQt/ChannelTypeTextInterface               |   13 +
 TelepathyQt/ChannelTypeTubeInterface               |   13 +
 TelepathyQt/ChannelTypeTubesInterface              |   13 +
 TelepathyQt/Client                                 |   13 +
 TelepathyQt/ClientApproverInterface                |   13 +
 TelepathyQt/ClientHandlerInterface                 |   13 +
 TelepathyQt/ClientInterface                        |   13 +
 TelepathyQt/ClientInterfaceRequestsInterface       |   13 +
 TelepathyQt/ClientObserverInterface                |   13 +
 TelepathyQt/ClientRegistrar                        |   13 +
 TelepathyQt/Connection                             |   13 +
 TelepathyQt/ConnectionCapabilities                 |   13 +
 TelepathyQt/ConnectionFactory                      |   13 +
 TelepathyQt/ConnectionInterface                    |   13 +
 TelepathyQt/ConnectionInterfaceAliasingInterface   |   13 +
 TelepathyQt/ConnectionInterfaceAnonymityInterface  |   13 +
 TelepathyQt/ConnectionInterfaceAvatarsInterface    |   13 +
 TelepathyQt/ConnectionInterfaceBalanceInterface    |   13 +
 .../ConnectionInterfaceCapabilitiesInterface       |   13 +
 TelepathyQt/ConnectionInterfaceCellularInterface   |   13 +
 TelepathyQt/ConnectionInterfaceClientTypes         |   17 +
 .../ConnectionInterfaceClientTypesInterface        |   13 +
 .../ConnectionInterfaceContactBlockingInterface    |   13 +
 ...ConnectionInterfaceContactCapabilitiesInterface |   13 +
 TelepathyQt/ConnectionInterfaceContactGroups       |   17 +
 .../ConnectionInterfaceContactGroupsInterface      |   13 +
 .../ConnectionInterfaceContactInfoInterface        |   13 +
 TelepathyQt/ConnectionInterfaceContactList         |   17 +
 .../ConnectionInterfaceContactListInterface        |   13 +
 TelepathyQt/ConnectionInterfaceContactsInterface   |   13 +
 TelepathyQt/ConnectionInterfaceLocationInterface   |   13 +
 .../ConnectionInterfaceMailNotificationInterface   |   13 +
 TelepathyQt/ConnectionInterfacePowerSaving         |   17 +
 .../ConnectionInterfacePowerSavingInterface        |   13 +
 TelepathyQt/ConnectionInterfacePresenceInterface   |   13 +
 TelepathyQt/ConnectionInterfaceRequestsInterface   |   13 +
 .../ConnectionInterfaceServicePointInterface       |   13 +
 .../ConnectionInterfaceSimplePresenceInterface     |   13 +
 TelepathyQt/ConnectionLowlevel                     |   13 +
 TelepathyQt/ConnectionManager                      |   13 +
 TelepathyQt/ConnectionManagerInterface             |   13 +
 TelepathyQt/ConnectionManagerLowlevel              |   13 +
 TelepathyQt/Constants                              |   13 +
 TelepathyQt/Contact                                |   13 +
 TelepathyQt/ContactCapabilities                    |   13 +
 TelepathyQt/ContactFactory                         |   13 +
 TelepathyQt/ContactManager                         |   13 +
 TelepathyQt/ContactMessenger                       |   13 +
 TelepathyQt/ContactSearchChannel                   |   13 +
 TelepathyQt/DBus                                   |   13 +
 TelepathyQt/DBusDaemonInterface                    |   13 +
 TelepathyQt/DBusProxy                              |   13 +
 TelepathyQt/DBusProxyFactory                       |   13 +
 TelepathyQt/Debug                                  |   13 +
 TelepathyQt/Farsight/CMakeLists.txt                |   52 +
 TelepathyQt/Farsight/Channel                       |   13 +
 TelepathyQt/Farsight/channel.cpp                   |   87 +
 TelepathyQt/Farsight/channel.h                     |   43 +
 TelepathyQt/Farsight/global.h                      |   46 +
 TelepathyQt/Feature                                |   13 +
 TelepathyQt/Features                               |   13 +
 TelepathyQt/FileTransferChannel                    |   13 +
 TelepathyQt/FileTransferChannelCreationProperties  |   13 +
 TelepathyQt/Filter                                 |   13 +
 TelepathyQt/FixedFeatureFactory                    |   13 +
 TelepathyQt/GenericCapabilityFilter                |   13 +
 TelepathyQt/GenericPropertyFilter                  |   13 +
 TelepathyQt/Global                                 |   13 +
 TelepathyQt/HandledChannelNotifier                 |   13 +
 TelepathyQt/IncomingFileTransferChannel            |   13 +
 TelepathyQt/IncomingStreamTubeChannel              |   13 +
 TelepathyQt/IntrospectableInterface                |   13 +
 TelepathyQt/KeyFile                                |   13 +
 TelepathyQt/LocationInfo                           |   13 +
 TelepathyQt/ManagerFile                            |   13 +
 TelepathyQt/MediaSessionHandler                    |   13 +
 TelepathyQt/MediaSessionHandlerInterface           |   13 +
 TelepathyQt/MediaStreamHandler                     |   13 +
 TelepathyQt/MediaStreamHandlerInterface            |   13 +
 TelepathyQt/Message                                |   13 +
 TelepathyQt/MessageContentPart                     |   13 +
 TelepathyQt/MessageContentPartList                 |   13 +
 TelepathyQt/MethodInvocationContext                |   13 +
 TelepathyQt/NotFilter                              |   13 +
 TelepathyQt/Object                                 |   13 +
 TelepathyQt/OptionalInterfaceFactory               |   13 +
 TelepathyQt/OrFilter                               |   13 +
 TelepathyQt/OutgoingFileTransferChannel            |   13 +
 TelepathyQt/OutgoingStreamTubeChannel              |   13 +
 TelepathyQt/PeerInterface                          |   13 +
 TelepathyQt/PendingAccount                         |   13 +
 TelepathyQt/PendingChannel                         |   13 +
 TelepathyQt/PendingChannelRequest                  |   13 +
 TelepathyQt/PendingComposite                       |   13 +
 TelepathyQt/PendingConnection                      |   13 +
 TelepathyQt/PendingContactAttributes               |   13 +
 TelepathyQt/PendingContactInfo                     |   13 +
 TelepathyQt/PendingContacts                        |   13 +
 TelepathyQt/PendingFailure                         |   13 +
 TelepathyQt/PendingHandles                         |   13 +
 TelepathyQt/PendingOperation                       |   13 +
 TelepathyQt/PendingReady                           |   13 +
 TelepathyQt/PendingSendMessage                     |   13 +
 TelepathyQt/PendingStreamTubeConnection            |   13 +
 TelepathyQt/PendingStreamedMediaStreams            |   13 +
 TelepathyQt/PendingStringList                      |   13 +
 TelepathyQt/PendingSuccess                         |   13 +
 TelepathyQt/PendingVariant                         |   13 +
 TelepathyQt/PendingVariantMap                      |   13 +
 TelepathyQt/PendingVoid                            |   13 +
 TelepathyQt/Presence                               |   13 +
 TelepathyQt/PresenceSpec                           |   13 +
 TelepathyQt/PresenceSpecList                       |   13 +
 TelepathyQt/Profile                                |   13 +
 TelepathyQt/ProfileManager                         |   13 +
 TelepathyQt/Properties                             |   13 +
 TelepathyQt/PropertiesInterface                    |   13 +
 TelepathyQt/PropertiesInterfaceInterface           |   13 +
 TelepathyQt/ProtocolInfo                           |   13 +
 TelepathyQt/ProtocolParameter                      |   13 +
 TelepathyQt/ReadinessHelper                        |   13 +
 TelepathyQt/ReadyObject                            |   13 +
 TelepathyQt/ReceivedMessage                        |   13 +
 TelepathyQt/RefCounted                             |   13 +
 TelepathyQt/ReferencedHandles                      |   12 +
 TelepathyQt/ReferencedHandlesIterator              |    6 +
 TelepathyQt/RequestableChannelClassSpec            |   13 +
 TelepathyQt/RequestableChannelClassSpecList        |   13 +
 TelepathyQt/RoomListChannel                        |   13 +
 TelepathyQt/SharedPtr                              |   13 +
 TelepathyQt/SimpleCallObserver                     |   13 +
 TelepathyQt/SimpleObserver                         |   13 +
 TelepathyQt/SimpleTextObserver                     |   13 +
 TelepathyQt/StatefulDBusProxy                      |   13 +
 TelepathyQt/StatelessDBusProxy                     |   13 +
 TelepathyQt/StreamTubeChannel                      |   13 +
 TelepathyQt/StreamTubeClient                       |   13 +
 TelepathyQt/StreamTubeServer                       |   13 +
 TelepathyQt/StreamedMediaChannel                   |   13 +
 TelepathyQt/StreamedMediaStream                    |   13 +
 TelepathyQt/TelepathyQt-uninstalled.pc.in          |   11 +
 TelepathyQt/TelepathyQt.pc.in                      |   11 +
 TelepathyQt/TelepathyQtFarsight-uninstalled.pc.in  |   11 +
 TelepathyQt/TelepathyQtFarsight.pc.in              |   11 +
 TelepathyQt/TextChannel                            |   13 +
 TelepathyQt/TubeChannel                            |   13 +
 TelepathyQt/Types                                  |   13 +
 TelepathyQt/Utils                                  |   13 +
 TelepathyQt/abstract-client.cpp                    |  988 +++++
 TelepathyQt/abstract-client.h                      |  323 ++
 TelepathyQt/abstract-interface.cpp                 |  136 +
 TelepathyQt/abstract-interface.h                   |   76 +
 TelepathyQt/account-capability-filter.dox          |   30 +
 TelepathyQt/account-capability-filter.h            |   39 +
 TelepathyQt/account-factory.cpp                    |  157 +
 TelepathyQt/account-factory.h                      |   79 +
 TelepathyQt/account-filter.h                       |   39 +
 TelepathyQt/account-manager.cpp                    | 1115 +++++
 TelepathyQt/account-manager.h                      |  152 +
 TelepathyQt/account-manager.xml                    |    9 +
 TelepathyQt/account-property-filter.cpp            |   94 +
 TelepathyQt/account-property-filter.h              |   59 +
 TelepathyQt/account-set-internal.h                 |   82 +
 TelepathyQt/account-set.cpp                        |  418 ++
 TelepathyQt/account-set.h                          |   79 +
 TelepathyQt/account.cpp                            | 4472 ++++++++++++++++++++
 TelepathyQt/account.h                              |  598 +++
 TelepathyQt/account.xml                            |   13 +
 TelepathyQt/and-filter.dox                         |   33 +
 TelepathyQt/and-filter.h                           |   83 +
 TelepathyQt/async-model.dox                        |   56 +
 TelepathyQt/avatar.cpp                             |  172 +
 TelepathyQt/avatar.h                               |   86 +
 TelepathyQt/capabilities-base.cpp                  |  348 ++
 TelepathyQt/capabilities-base.h                    |   85 +
 TelepathyQt/channel-class-features.h               |   45 +
 TelepathyQt/channel-class-spec.cpp                 |  555 +++
 TelepathyQt/channel-class-spec.h                   |  277 ++
 TelepathyQt/channel-dispatch-operation-internal.h  |   51 +
 TelepathyQt/channel-dispatch-operation.cpp         |  623 +++
 TelepathyQt/channel-dispatch-operation.h           |  114 +
 TelepathyQt/channel-dispatch-operation.xml         |    9 +
 TelepathyQt/channel-dispatcher.cpp                 |   26 +
 TelepathyQt/channel-dispatcher.h                   |   32 +
 TelepathyQt/channel-dispatcher.xml                 |    9 +
 TelepathyQt/channel-factory.cpp                    |  529 +++
 TelepathyQt/channel-factory.h                      |  305 ++
 TelepathyQt/channel-internal.h                     |   50 +
 TelepathyQt/channel-request.cpp                    |  803 ++++
 TelepathyQt/channel-request.h                      |  154 +
 TelepathyQt/channel-request.xml                    |    9 +
 TelepathyQt/channel.cpp                            | 3596 ++++++++++++++++
 TelepathyQt/channel.h                              |  256 ++
 TelepathyQt/channel.xml                            |   37 +
 TelepathyQt/client-registrar-internal.h            |  365 ++
 TelepathyQt/client-registrar.cpp                   | 1038 +++++
 TelepathyQt/client-registrar.h                     |   97 +
 TelepathyQt/client.cpp                             |   26 +
 TelepathyQt/client.h                               |   32 +
 TelepathyQt/client.xml                             |   14 +
 TelepathyQt/connection-capabilities.cpp            |  303 ++
 TelepathyQt/connection-capabilities.h              |   77 +
 TelepathyQt/connection-factory.cpp                 |  150 +
 TelepathyQt/connection-factory.h                   |   78 +
 TelepathyQt/connection-internal.h                  |   61 +
 TelepathyQt/connection-lowlevel.h                  |   96 +
 TelepathyQt/connection-manager-internal.h          |  159 +
 TelepathyQt/connection-manager-lowlevel.h          |   64 +
 TelepathyQt/connection-manager.cpp                 | 1076 +++++
 TelepathyQt/connection-manager.h                   |  125 +
 TelepathyQt/connection-manager.xml                 |   12 +
 TelepathyQt/connection.cpp                         | 2578 +++++++++++
 TelepathyQt/connection.h                           |  249 ++
 TelepathyQt/connection.xml                         |   30 +
 TelepathyQt/constants.h                            |  178 +
 TelepathyQt/contact-capabilities.cpp               |  127 +
 TelepathyQt/contact-capabilities.h                 |   66 +
 TelepathyQt/contact-factory.cpp                    |  146 +
 TelepathyQt/contact-factory.h                      |   76 +
 TelepathyQt/contact-manager-internal.h             |  389 ++
 TelepathyQt/contact-manager-roster.cpp             | 2217 ++++++++++
 TelepathyQt/contact-manager.cpp                    | 1592 +++++++
 TelepathyQt/contact-manager.h                      |  201 +
 TelepathyQt/contact-messenger.cpp                  |  257 ++
 TelepathyQt/contact-messenger.h                    |   78 +
 TelepathyQt/contact-search-channel-internal.h      |   52 +
 TelepathyQt/contact-search-channel.cpp             |  676 +++
 TelepathyQt/contact-search-channel.h               |  114 +
 TelepathyQt/contact.cpp                            | 1352 ++++++
 TelepathyQt/contact.h                              |  246 ++
 TelepathyQt/dbus-daemon.xml                        |   80 +
 TelepathyQt/dbus-introspectable.xml                |   16 +
 TelepathyQt/dbus-peer.xml                          |   19 +
 TelepathyQt/dbus-properties.xml                    |   29 +
 TelepathyQt/dbus-proxy-factory-internal.h          |   58 +
 TelepathyQt/dbus-proxy-factory.cpp                 |  295 ++
 TelepathyQt/dbus-proxy-factory.h                   |   85 +
 TelepathyQt/dbus-proxy.cpp                         |  393 ++
 TelepathyQt/dbus-proxy.h                           |  122 +
 TelepathyQt/dbus.cpp                               |   26 +
 TelepathyQt/dbus.h                                 |   54 +
 TelepathyQt/dbus.xml                               |   12 +
 TelepathyQt/debug-internal.h                       |  170 +
 TelepathyQt/debug.cpp                              |  187 +
 TelepathyQt/debug.h                                |   46 +
 TelepathyQt/examples.dox                           |  154 +
 TelepathyQt/fake-handler-manager-internal.cpp      |  165 +
 TelepathyQt/fake-handler-manager-internal.h        |   90 +
 TelepathyQt/feature.cpp                            |   89 +
 TelepathyQt/feature.h                              |   94 +
 .../file-transfer-channel-creation-properties.cpp  |  433 ++
 .../file-transfer-channel-creation-properties.h    |   96 +
 TelepathyQt/file-transfer-channel.cpp              |  703 +++
 TelepathyQt/file-transfer-channel.h                |  108 +
 TelepathyQt/filter.dox                             |   30 +
 TelepathyQt/filter.h                               |   63 +
 TelepathyQt/fixed-feature-factory.cpp              |  116 +
 TelepathyQt/fixed-feature-factory.h                |   69 +
 TelepathyQt/future-channel-dispatcher.xml          |   20 +
 TelepathyQt/future-channel.xml                     |   13 +
 TelepathyQt/future-interfaces.xml                  |   14 +
 TelepathyQt/future-internal.h                      |   36 +
 TelepathyQt/future-misc.xml                        |    7 +
 TelepathyQt/future.cpp                             |   32 +
 TelepathyQt/generic-capability-filter.dox          |   36 +
 TelepathyQt/generic-capability-filter.h            |  114 +
 TelepathyQt/generic-property-filter.dox            |   33 +
 TelepathyQt/generic-property-filter.h              |   77 +
 TelepathyQt/global.h                               |  103 +
 TelepathyQt/groups.dox                             |  115 +
 TelepathyQt/handled-channel-notifier.cpp           |  103 +
 TelepathyQt/handled-channel-notifier.h             |   75 +
 TelepathyQt/incoming-file-transfer-channel.cpp     |  390 ++
 TelepathyQt/incoming-file-transfer-channel.h       |   81 +
 TelepathyQt/incoming-stream-tube-channel.cpp       |  435 ++
 TelepathyQt/incoming-stream-tube-channel.h         |   80 +
 TelepathyQt/key-file.cpp                           |  582 +++
 TelepathyQt/key-file.h                             |   91 +
 TelepathyQt/location-info.cpp                      |  221 +
 TelepathyQt/location-info.h                        |   95 +
 TelepathyQt/main.dox                               |  133 +
 TelepathyQt/manager-file.cpp                       |  618 +++
 TelepathyQt/manager-file.h                         |   78 +
 TelepathyQt/media-session-handler.cpp              |   26 +
 TelepathyQt/media-session-handler.h                |   50 +
 TelepathyQt/media-session-handler.xml              |    9 +
 TelepathyQt/media-stream-handler.cpp               |   26 +
 TelepathyQt/media-stream-handler.h                 |   50 +
 TelepathyQt/media-stream-handler.xml               |    9 +
 TelepathyQt/message-content-part.cpp               |   96 +
 TelepathyQt/message-content-part.h                 |   96 +
 TelepathyQt/message.cpp                            |  911 ++++
 TelepathyQt/message.h                              |  173 +
 TelepathyQt/method-invocation-context.dox          |   41 +
 TelepathyQt/method-invocation-context.h            |  192 +
 TelepathyQt/not-filter.dox                         |   32 +
 TelepathyQt/not-filter.h                           |   73 +
 TelepathyQt/object.cpp                             |   65 +
 TelepathyQt/object.h                               |   63 +
 TelepathyQt/optional-interface-factory.cpp         |  178 +
 TelepathyQt/optional-interface-factory.h           |  140 +
 TelepathyQt/or-filter.dox                          |   33 +
 TelepathyQt/or-filter.h                            |   83 +
 TelepathyQt/outgoing-file-transfer-channel.cpp     |  371 ++
 TelepathyQt/outgoing-file-transfer-channel.h       |   78 +
 .../outgoing-stream-tube-channel-internal.h        |  122 +
 TelepathyQt/outgoing-stream-tube-channel.cpp       |  821 ++++
 TelepathyQt/outgoing-stream-tube-channel.h         |   89 +
 TelepathyQt/pending-account.cpp                    |  184 +
 TelepathyQt/pending-account.h                      |   75 +
 TelepathyQt/pending-channel-request-internal.h     |   73 +
 TelepathyQt/pending-channel-request.cpp            |  276 ++
 TelepathyQt/pending-channel-request.h              |   84 +
 TelepathyQt/pending-channel.cpp                    |  555 +++
 TelepathyQt/pending-channel.h                      |  103 +
 TelepathyQt/pending-connection.cpp                 |  171 +
 TelepathyQt/pending-connection.h                   |   73 +
 TelepathyQt/pending-contact-attributes.cpp         |  219 +
 TelepathyQt/pending-contact-attributes.h           |   77 +
 TelepathyQt/pending-contact-info.cpp               |  128 +
 TelepathyQt/pending-contact-info.h                 |   66 +
 TelepathyQt/pending-contacts.cpp                   |  468 ++
 TelepathyQt/pending-contacts.h                     |  108 +
 TelepathyQt/pending-handles.cpp                    |  490 +++
 TelepathyQt/pending-handles.h                      |   96 +
 TelepathyQt/pending-operation.cpp                  |  424 ++
 TelepathyQt/pending-operation.h                    |   89 +
 TelepathyQt/pending-ready.cpp                      |  148 +
 TelepathyQt/pending-ready.h                        |   71 +
 TelepathyQt/pending-send-message.cpp               |  153 +
 TelepathyQt/pending-send-message.h                 |   77 +
 TelepathyQt/pending-stream-tube-connection.cpp     |  272 ++
 TelepathyQt/pending-stream-tube-connection.h       |   81 +
 TelepathyQt/pending-string-list.cpp                |  100 +
 TelepathyQt/pending-string-list.h                  |   63 +
 TelepathyQt/pending-variant-map.cpp                |   91 +
 TelepathyQt/pending-variant-map.h                  |   60 +
 TelepathyQt/pending-variant.cpp                    |   91 +
 TelepathyQt/pending-variant.h                      |   60 +
 TelepathyQt/presence.cpp                           |  335 ++
 TelepathyQt/presence.h                             |  135 +
 TelepathyQt/profile-manager.cpp                    |  332 ++
 TelepathyQt/profile-manager.h                      |   75 +
 TelepathyQt/profile.cpp                            | 1216 ++++++
 TelepathyQt/profile.h                              |  176 +
 TelepathyQt/properties.cpp                         |   26 +
 TelepathyQt/properties.h                           |   51 +
 TelepathyQt/properties.xml                         |    9 +
 TelepathyQt/protocol-info.cpp                      |  374 ++
 TelepathyQt/protocol-info.h                        |  102 +
 TelepathyQt/protocol-parameter.cpp                 |  176 +
 TelepathyQt/protocol-parameter.h                   |   87 +
 TelepathyQt/readiness-helper.cpp                   |  684 +++
 TelepathyQt/readiness-helper.h                     |  130 +
 TelepathyQt/ready-object.cpp                       |  161 +
 TelepathyQt/ready-object.h                         |   69 +
 TelepathyQt/referenced-handles.cpp                 |  333 ++
 TelepathyQt/referenced-handles.h                   |  264 ++
 TelepathyQt/request-temporary-handler-internal.cpp |  135 +
 TelepathyQt/request-temporary-handler-internal.h   |   91 +
 TelepathyQt/requestable-channel-class-spec.cpp     |  494 +++
 TelepathyQt/requestable-channel-class-spec.h       |  134 +
 TelepathyQt/room-list-channel.cpp                  |  106 +
 TelepathyQt/room-list-channel.h                    |   59 +
 TelepathyQt/shared-ptr.dox                         |  111 +
 TelepathyQt/shared-ptr.h                           |  152 +
 TelepathyQt/simple-call-observer.cpp               |  298 ++
 TelepathyQt/simple-call-observer.h                 |   95 +
 TelepathyQt/simple-observer-internal.h             |  261 ++
 TelepathyQt/simple-observer.cpp                    |  643 +++
 TelepathyQt/simple-observer.h                      |  105 +
 TelepathyQt/simple-pending-operations.h            |  110 +
 TelepathyQt/simple-stream-tube-handler.cpp         |  254 ++
 TelepathyQt/simple-stream-tube-handler.h           |  120 +
 TelepathyQt/simple-text-observer-internal.h        |   70 +
 TelepathyQt/simple-text-observer.cpp               |  298 ++
 TelepathyQt/simple-text-observer.h                 |   80 +
 TelepathyQt/stable-interfaces.xml                  |   26 +
 TelepathyQt/stream-tube-channel.cpp                |  740 ++++
 TelepathyQt/stream-tube-channel.h                  |  108 +
 TelepathyQt/stream-tube-client-internal.h          |   61 +
 TelepathyQt/stream-tube-client.cpp                 | 1048 +++++
 TelepathyQt/stream-tube-client.h                   |  217 +
 TelepathyQt/stream-tube-server-internal.h          |   56 +
 TelepathyQt/stream-tube-server.cpp                 | 1134 +++++
 TelepathyQt/stream-tube-server.h                   |  253 ++
 TelepathyQt/streamed-media-channel.cpp             | 1539 +++++++
 TelepathyQt/streamed-media-channel.h               |  228 +
 TelepathyQt/test-backdoors.cpp                     |   50 +
 TelepathyQt/test-backdoors.h                       |   59 +
 TelepathyQt/text-channel.cpp                       | 1277 ++++++
 TelepathyQt/text-channel.h                         |  139 +
 TelepathyQt/tls-certificate.cpp                    |   26 +
 TelepathyQt/tls-certificate.h                      |   31 +
 TelepathyQt/tls-certificate.xml                    |    9 +
 TelepathyQt/tube-channel.cpp                       |  281 ++
 TelepathyQt/tube-channel.h                         |   80 +
 TelepathyQt/types-internal.h                       |  156 +
 TelepathyQt/types.cpp                              |   73 +
 TelepathyQt/types.h                                |  171 +
 TelepathyQt/utils.cpp                              |  120 +
 TelepathyQt/utils.h                                |   41 +
 TelepathyQt4/AbstractClient                        |   13 -
 TelepathyQt4/AbstractClientApprover                |   13 -
 TelepathyQt4/AbstractClientHandler                 |   13 -
 TelepathyQt4/AbstractClientObserver                |   13 -
 TelepathyQt4/AbstractInterface                     |   13 -
 TelepathyQt4/Account                               |   13 -
 TelepathyQt4/AccountCapabilityFilter               |   13 -
 TelepathyQt4/AccountFactory                        |   13 -
 TelepathyQt4/AccountFilter                         |   13 -
 TelepathyQt4/AccountInterface                      |   13 -
 TelepathyQt4/AccountInterfaceAddressingInterface   |   13 -
 TelepathyQt4/AccountInterfaceAvatarInterface       |   13 -
 TelepathyQt4/AccountManager                        |   13 -
 TelepathyQt4/AccountManagerInterface               |   13 -
 TelepathyQt4/AccountPropertyFilter                 |   13 -
 TelepathyQt4/AccountSet                            |   13 -
 TelepathyQt4/AndFilter                             |   13 -
 TelepathyQt4/AuthenticationTLSCertificateInterface |   13 -
 TelepathyQt4/AvatarData                            |   13 -
 TelepathyQt4/AvatarSpec                            |   13 -
 TelepathyQt4/CMakeLists.txt                        |  694 ---
 TelepathyQt4/CapabilitiesBase                      |   13 -
 TelepathyQt4/Channel                               |   13 -
 TelepathyQt4/ChannelClassFeatures                  |   13 -
 TelepathyQt4/ChannelClassSpec                      |   13 -
 TelepathyQt4/ChannelClassSpecList                  |   13 -
 TelepathyQt4/ChannelDispatchOperation              |   13 -
 TelepathyQt4/ChannelDispatchOperationInterface     |   13 -
 TelepathyQt4/ChannelDispatcher                     |   13 -
 TelepathyQt4/ChannelDispatcherInterface            |   13 -
 TelepathyQt4/ChannelFactory                        |   13 -
 TelepathyQt4/ChannelInterface                      |   13 -
 TelepathyQt4/ChannelInterfaceAnonymityInterface    |   13 -
 TelepathyQt4/ChannelInterfaceCallStateInterface    |   13 -
 TelepathyQt4/ChannelInterfaceChatStateInterface    |   13 -
 TelepathyQt4/ChannelInterfaceConferenceInterface   |   13 -
 TelepathyQt4/ChannelInterfaceDTMFInterface         |   13 -
 TelepathyQt4/ChannelInterfaceGroupInterface        |   13 -
 TelepathyQt4/ChannelInterfaceHoldInterface         |   13 -
 .../ChannelInterfaceMediaSignallingInterface       |   13 -
 TelepathyQt4/ChannelInterfaceMessagesInterface     |   13 -
 TelepathyQt4/ChannelInterfacePasswordInterface     |   13 -
 .../ChannelInterfaceSASLAuthenticationInterface    |   13 -
 TelepathyQt4/ChannelInterfaceSecurableInterface    |   13 -
 TelepathyQt4/ChannelInterfaceServicePointInterface |   13 -
 TelepathyQt4/ChannelInterfaceTubeInterface         |   13 -
 TelepathyQt4/ChannelRequest                        |   13 -
 TelepathyQt4/ChannelRequestHints                   |   13 -
 TelepathyQt4/ChannelRequestInterface               |   13 -
 TelepathyQt4/ChannelTypeContactListInterface       |   13 -
 TelepathyQt4/ChannelTypeContactSearchInterface     |   13 -
 TelepathyQt4/ChannelTypeFileTransferInterface      |   13 -
 TelepathyQt4/ChannelTypeRoomListInterface          |   13 -
 .../ChannelTypeServerAuthenticationInterface       |   13 -
 .../ChannelTypeServerTLSConnectionInterface        |   13 -
 TelepathyQt4/ChannelTypeStreamTubeInterface        |   13 -
 TelepathyQt4/ChannelTypeStreamedMediaInterface     |   13 -
 TelepathyQt4/ChannelTypeTextInterface              |   13 -
 TelepathyQt4/ChannelTypeTubeInterface              |   13 -
 TelepathyQt4/ChannelTypeTubesInterface             |   13 -
 TelepathyQt4/Client                                |   13 -
 TelepathyQt4/ClientApproverInterface               |   13 -
 TelepathyQt4/ClientHandlerInterface                |   13 -
 TelepathyQt4/ClientInterface                       |   13 -
 TelepathyQt4/ClientInterfaceRequestsInterface      |   13 -
 TelepathyQt4/ClientObserverInterface               |   13 -
 TelepathyQt4/ClientRegistrar                       |   13 -
 TelepathyQt4/Connection                            |   13 -
 TelepathyQt4/ConnectionCapabilities                |   13 -
 TelepathyQt4/ConnectionFactory                     |   13 -
 TelepathyQt4/ConnectionInterface                   |   13 -
 TelepathyQt4/ConnectionInterfaceAliasingInterface  |   13 -
 TelepathyQt4/ConnectionInterfaceAnonymityInterface |   13 -
 TelepathyQt4/ConnectionInterfaceAvatarsInterface   |   13 -
 TelepathyQt4/ConnectionInterfaceBalanceInterface   |   13 -
 .../ConnectionInterfaceCapabilitiesInterface       |   13 -
 TelepathyQt4/ConnectionInterfaceCellularInterface  |   13 -
 TelepathyQt4/ConnectionInterfaceClientTypes        |   17 -
 .../ConnectionInterfaceClientTypesInterface        |   13 -
 .../ConnectionInterfaceContactBlockingInterface    |   13 -
 ...ConnectionInterfaceContactCapabilitiesInterface |   13 -
 TelepathyQt4/ConnectionInterfaceContactGroups      |   17 -
 .../ConnectionInterfaceContactGroupsInterface      |   13 -
 .../ConnectionInterfaceContactInfoInterface        |   13 -
 TelepathyQt4/ConnectionInterfaceContactList        |   17 -
 .../ConnectionInterfaceContactListInterface        |   13 -
 TelepathyQt4/ConnectionInterfaceContactsInterface  |   13 -
 TelepathyQt4/ConnectionInterfaceLocationInterface  |   13 -
 .../ConnectionInterfaceMailNotificationInterface   |   13 -
 TelepathyQt4/ConnectionInterfacePowerSaving        |   17 -
 .../ConnectionInterfacePowerSavingInterface        |   13 -
 TelepathyQt4/ConnectionInterfacePresenceInterface  |   13 -
 TelepathyQt4/ConnectionInterfaceRequestsInterface  |   13 -
 .../ConnectionInterfaceServicePointInterface       |   13 -
 .../ConnectionInterfaceSimplePresenceInterface     |   13 -
 TelepathyQt4/ConnectionLowlevel                    |   13 -
 TelepathyQt4/ConnectionManager                     |   13 -
 TelepathyQt4/ConnectionManagerInterface            |   13 -
 TelepathyQt4/ConnectionManagerLowlevel             |   13 -
 TelepathyQt4/Constants                             |   13 -
 TelepathyQt4/Contact                               |   13 -
 TelepathyQt4/ContactCapabilities                   |   13 -
 TelepathyQt4/ContactFactory                        |   13 -
 TelepathyQt4/ContactManager                        |   13 -
 TelepathyQt4/ContactMessenger                      |   13 -
 TelepathyQt4/ContactSearchChannel                  |   13 -
 TelepathyQt4/DBus                                  |   13 -
 TelepathyQt4/DBusDaemonInterface                   |   13 -
 TelepathyQt4/DBusProxy                             |   13 -
 TelepathyQt4/DBusProxyFactory                      |   13 -
 TelepathyQt4/Debug                                 |   13 -
 TelepathyQt4/Farsight/CMakeLists.txt               |   52 -
 TelepathyQt4/Farsight/Channel                      |   13 -
 TelepathyQt4/Farsight/channel.cpp                  |   87 -
 TelepathyQt4/Farsight/channel.h                    |   43 -
 TelepathyQt4/Farsight/global.h                     |   46 -
 TelepathyQt4/Feature                               |   13 -
 TelepathyQt4/Features                              |   13 -
 TelepathyQt4/FileTransferChannel                   |   13 -
 TelepathyQt4/FileTransferChannelCreationProperties |   13 -
 TelepathyQt4/Filter                                |   13 -
 TelepathyQt4/FixedFeatureFactory                   |   13 -
 TelepathyQt4/GenericCapabilityFilter               |   13 -
 TelepathyQt4/GenericPropertyFilter                 |   13 -
 TelepathyQt4/Global                                |   13 -
 TelepathyQt4/HandledChannelNotifier                |   13 -
 TelepathyQt4/IncomingFileTransferChannel           |   13 -
 TelepathyQt4/IncomingStreamTubeChannel             |   13 -
 TelepathyQt4/IntrospectableInterface               |   13 -
 TelepathyQt4/KeyFile                               |   13 -
 TelepathyQt4/LocationInfo                          |   13 -
 TelepathyQt4/ManagerFile                           |   13 -
 TelepathyQt4/MediaSessionHandler                   |   13 -
 TelepathyQt4/MediaSessionHandlerInterface          |   13 -
 TelepathyQt4/MediaStreamHandler                    |   13 -
 TelepathyQt4/MediaStreamHandlerInterface           |   13 -
 TelepathyQt4/Message                               |   13 -
 TelepathyQt4/MessageContentPart                    |   13 -
 TelepathyQt4/MessageContentPartList                |   13 -
 TelepathyQt4/MethodInvocationContext               |   13 -
 TelepathyQt4/NotFilter                             |   13 -
 TelepathyQt4/Object                                |   13 -
 TelepathyQt4/OptionalInterfaceFactory              |   13 -
 TelepathyQt4/OrFilter                              |   13 -
 TelepathyQt4/OutgoingFileTransferChannel           |   13 -
 TelepathyQt4/OutgoingStreamTubeChannel             |   13 -
 TelepathyQt4/PeerInterface                         |   13 -
 TelepathyQt4/PendingAccount                        |   13 -
 TelepathyQt4/PendingChannel                        |   13 -
 TelepathyQt4/PendingChannelRequest                 |   13 -
 TelepathyQt4/PendingComposite                      |   13 -
 TelepathyQt4/PendingConnection                     |   13 -
 TelepathyQt4/PendingContactAttributes              |   13 -
 TelepathyQt4/PendingContactInfo                    |   13 -
 TelepathyQt4/PendingContacts                       |   13 -
 TelepathyQt4/PendingFailure                        |   13 -
 TelepathyQt4/PendingHandles                        |   13 -
 TelepathyQt4/PendingOperation                      |   13 -
 TelepathyQt4/PendingReady                          |   13 -
 TelepathyQt4/PendingSendMessage                    |   13 -
 TelepathyQt4/PendingStreamTubeConnection           |   13 -
 TelepathyQt4/PendingStreamedMediaStreams           |   13 -
 TelepathyQt4/PendingStringList                     |   13 -
 TelepathyQt4/PendingSuccess                        |   13 -
 TelepathyQt4/PendingVariant                        |   13 -
 TelepathyQt4/PendingVariantMap                     |   13 -
 TelepathyQt4/PendingVoid                           |   13 -
 TelepathyQt4/Presence                              |   13 -
 TelepathyQt4/PresenceSpec                          |   13 -
 TelepathyQt4/PresenceSpecList                      |   13 -
 TelepathyQt4/Profile                               |   13 -
 TelepathyQt4/ProfileManager                        |   13 -
 TelepathyQt4/Properties                            |   13 -
 TelepathyQt4/PropertiesInterface                   |   13 -
 TelepathyQt4/PropertiesInterfaceInterface          |   13 -
 TelepathyQt4/ProtocolInfo                          |   13 -
 TelepathyQt4/ProtocolParameter                     |   13 -
 TelepathyQt4/ReadinessHelper                       |   13 -
 TelepathyQt4/ReadyObject                           |   13 -
 TelepathyQt4/ReceivedMessage                       |   13 -
 TelepathyQt4/RefCounted                            |   13 -
 TelepathyQt4/ReferencedHandles                     |   12 -
 TelepathyQt4/ReferencedHandlesIterator             |    6 -
 TelepathyQt4/RequestableChannelClassSpec           |   13 -
 TelepathyQt4/RequestableChannelClassSpecList       |   13 -
 TelepathyQt4/RoomListChannel                       |   13 -
 TelepathyQt4/SharedPtr                             |   13 -
 TelepathyQt4/SimpleCallObserver                    |   13 -
 TelepathyQt4/SimpleObserver                        |   13 -
 TelepathyQt4/SimpleTextObserver                    |   13 -
 TelepathyQt4/StatefulDBusProxy                     |   13 -
 TelepathyQt4/StatelessDBusProxy                    |   13 -
 TelepathyQt4/StreamTubeChannel                     |   13 -
 TelepathyQt4/StreamTubeClient                      |   13 -
 TelepathyQt4/StreamTubeServer                      |   13 -
 TelepathyQt4/StreamedMediaChannel                  |   13 -
 TelepathyQt4/StreamedMediaStream                   |   13 -
 TelepathyQt4/TelepathyQt4-uninstalled.pc.in        |   11 -
 TelepathyQt4/TelepathyQt4.pc.in                    |   11 -
 .../TelepathyQt4Farsight-uninstalled.pc.in         |   11 -
 TelepathyQt4/TelepathyQt4Farsight.pc.in            |   11 -
 TelepathyQt4/TextChannel                           |   13 -
 TelepathyQt4/TubeChannel                           |   13 -
 TelepathyQt4/Types                                 |   13 -
 TelepathyQt4/Utils                                 |   13 -
 TelepathyQt4/abstract-client.cpp                   |  988 -----
 TelepathyQt4/abstract-client.h                     |  323 --
 TelepathyQt4/abstract-interface.cpp                |  136 -
 TelepathyQt4/abstract-interface.h                  |   76 -
 TelepathyQt4/account-capability-filter.dox         |   30 -
 TelepathyQt4/account-capability-filter.h           |   39 -
 TelepathyQt4/account-factory.cpp                   |  157 -
 TelepathyQt4/account-factory.h                     |   79 -
 TelepathyQt4/account-filter.h                      |   39 -
 TelepathyQt4/account-manager.cpp                   | 1115 -----
 TelepathyQt4/account-manager.h                     |  152 -
 TelepathyQt4/account-manager.xml                   |    9 -
 TelepathyQt4/account-property-filter.cpp           |   94 -
 TelepathyQt4/account-property-filter.h             |   59 -
 TelepathyQt4/account-set-internal.h                |   82 -
 TelepathyQt4/account-set.cpp                       |  418 --
 TelepathyQt4/account-set.h                         |   79 -
 TelepathyQt4/account.cpp                           | 4472 --------------------
 TelepathyQt4/account.h                             |  598 ---
 TelepathyQt4/account.xml                           |   13 -
 TelepathyQt4/and-filter.dox                        |   33 -
 TelepathyQt4/and-filter.h                          |   83 -
 TelepathyQt4/async-model.dox                       |   56 -
 TelepathyQt4/avatar.cpp                            |  172 -
 TelepathyQt4/avatar.h                              |   86 -
 TelepathyQt4/capabilities-base.cpp                 |  348 --
 TelepathyQt4/capabilities-base.h                   |   85 -
 TelepathyQt4/channel-class-features.h              |   45 -
 TelepathyQt4/channel-class-spec.cpp                |  555 ---
 TelepathyQt4/channel-class-spec.h                  |  277 --
 TelepathyQt4/channel-dispatch-operation-internal.h |   51 -
 TelepathyQt4/channel-dispatch-operation.cpp        |  623 ---
 TelepathyQt4/channel-dispatch-operation.h          |  114 -
 TelepathyQt4/channel-dispatch-operation.xml        |    9 -
 TelepathyQt4/channel-dispatcher.cpp                |   26 -
 TelepathyQt4/channel-dispatcher.h                  |   32 -
 TelepathyQt4/channel-dispatcher.xml                |    9 -
 TelepathyQt4/channel-factory.cpp                   |  529 ---
 TelepathyQt4/channel-factory.h                     |  305 --
 TelepathyQt4/channel-internal.h                    |   50 -
 TelepathyQt4/channel-request.cpp                   |  803 ----
 TelepathyQt4/channel-request.h                     |  154 -
 TelepathyQt4/channel-request.xml                   |    9 -
 TelepathyQt4/channel.cpp                           | 3596 ----------------
 TelepathyQt4/channel.h                             |  256 --
 TelepathyQt4/channel.xml                           |   37 -
 TelepathyQt4/client-registrar-internal.h           |  365 --
 TelepathyQt4/client-registrar.cpp                  | 1038 -----
 TelepathyQt4/client-registrar.h                    |   97 -
 TelepathyQt4/client.cpp                            |   26 -
 TelepathyQt4/client.h                              |   32 -
 TelepathyQt4/client.xml                            |   14 -
 TelepathyQt4/connection-capabilities.cpp           |  303 --
 TelepathyQt4/connection-capabilities.h             |   77 -
 TelepathyQt4/connection-factory.cpp                |  150 -
 TelepathyQt4/connection-factory.h                  |   78 -
 TelepathyQt4/connection-internal.h                 |   61 -
 TelepathyQt4/connection-lowlevel.h                 |   96 -
 TelepathyQt4/connection-manager-internal.h         |  159 -
 TelepathyQt4/connection-manager-lowlevel.h         |   64 -
 TelepathyQt4/connection-manager.cpp                | 1076 -----
 TelepathyQt4/connection-manager.h                  |  125 -
 TelepathyQt4/connection-manager.xml                |   12 -
 TelepathyQt4/connection.cpp                        | 2578 -----------
 TelepathyQt4/connection.h                          |  249 --
 TelepathyQt4/connection.xml                        |   30 -
 TelepathyQt4/constants.h                           |  178 -
 TelepathyQt4/contact-capabilities.cpp              |  127 -
 TelepathyQt4/contact-capabilities.h                |   66 -
 TelepathyQt4/contact-factory.cpp                   |  146 -
 TelepathyQt4/contact-factory.h                     |   76 -
 TelepathyQt4/contact-manager-internal.h            |  389 --
 TelepathyQt4/contact-manager-roster.cpp            | 2217 ----------
 TelepathyQt4/contact-manager.cpp                   | 1592 -------
 TelepathyQt4/contact-manager.h                     |  201 -
 TelepathyQt4/contact-messenger.cpp                 |  257 --
 TelepathyQt4/contact-messenger.h                   |   78 -
 TelepathyQt4/contact-search-channel-internal.h     |   52 -
 TelepathyQt4/contact-search-channel.cpp            |  676 ---
 TelepathyQt4/contact-search-channel.h              |  114 -
 TelepathyQt4/contact.cpp                           | 1352 ------
 TelepathyQt4/contact.h                             |  246 --
 TelepathyQt4/dbus-daemon.xml                       |   80 -
 TelepathyQt4/dbus-introspectable.xml               |   16 -
 TelepathyQt4/dbus-peer.xml                         |   19 -
 TelepathyQt4/dbus-properties.xml                   |   29 -
 TelepathyQt4/dbus-proxy-factory-internal.h         |   58 -
 TelepathyQt4/dbus-proxy-factory.cpp                |  295 --
 TelepathyQt4/dbus-proxy-factory.h                  |   85 -
 TelepathyQt4/dbus-proxy.cpp                        |  393 --
 TelepathyQt4/dbus-proxy.h                          |  122 -
 TelepathyQt4/dbus.cpp                              |   26 -
 TelepathyQt4/dbus.h                                |   54 -
 TelepathyQt4/dbus.xml                              |   12 -
 TelepathyQt4/debug-internal.h                      |  170 -
 TelepathyQt4/debug.cpp                             |  187 -
 TelepathyQt4/debug.h                               |   46 -
 TelepathyQt4/examples.dox                          |  154 -
 TelepathyQt4/fake-handler-manager-internal.cpp     |  165 -
 TelepathyQt4/fake-handler-manager-internal.h       |   90 -
 TelepathyQt4/feature.cpp                           |   89 -
 TelepathyQt4/feature.h                             |   94 -
 .../file-transfer-channel-creation-properties.cpp  |  433 --
 .../file-transfer-channel-creation-properties.h    |   96 -
 TelepathyQt4/file-transfer-channel.cpp             |  703 ---
 TelepathyQt4/file-transfer-channel.h               |  108 -
 TelepathyQt4/filter.dox                            |   30 -
 TelepathyQt4/filter.h                              |   63 -
 TelepathyQt4/fixed-feature-factory.cpp             |  116 -
 TelepathyQt4/fixed-feature-factory.h               |   69 -
 TelepathyQt4/future-channel-dispatcher.xml         |   20 -
 TelepathyQt4/future-channel.xml                    |   13 -
 TelepathyQt4/future-interfaces.xml                 |   14 -
 TelepathyQt4/future-internal.h                     |   36 -
 TelepathyQt4/future-misc.xml                       |    7 -
 TelepathyQt4/future.cpp                            |   32 -
 TelepathyQt4/generic-capability-filter.dox         |   36 -
 TelepathyQt4/generic-capability-filter.h           |  114 -
 TelepathyQt4/generic-property-filter.dox           |   33 -
 TelepathyQt4/generic-property-filter.h             |   77 -
 TelepathyQt4/global.h                              |  103 -
 TelepathyQt4/groups.dox                            |  115 -
 TelepathyQt4/handled-channel-notifier.cpp          |  103 -
 TelepathyQt4/handled-channel-notifier.h            |   75 -
 TelepathyQt4/incoming-file-transfer-channel.cpp    |  390 --
 TelepathyQt4/incoming-file-transfer-channel.h      |   81 -
 TelepathyQt4/incoming-stream-tube-channel.cpp      |  435 --
 TelepathyQt4/incoming-stream-tube-channel.h        |   80 -
 TelepathyQt4/key-file.cpp                          |  582 ---
 TelepathyQt4/key-file.h                            |   91 -
 TelepathyQt4/location-info.cpp                     |  221 -
 TelepathyQt4/location-info.h                       |   95 -
 TelepathyQt4/main.dox                              |  133 -
 TelepathyQt4/manager-file.cpp                      |  618 ---
 TelepathyQt4/manager-file.h                        |   78 -
 TelepathyQt4/media-session-handler.cpp             |   26 -
 TelepathyQt4/media-session-handler.h               |   50 -
 TelepathyQt4/media-session-handler.xml             |    9 -
 TelepathyQt4/media-stream-handler.cpp              |   26 -
 TelepathyQt4/media-stream-handler.h                |   50 -
 TelepathyQt4/media-stream-handler.xml              |    9 -
 TelepathyQt4/message-content-part.cpp              |   96 -
 TelepathyQt4/message-content-part.h                |   96 -
 TelepathyQt4/message.cpp                           |  911 ----
 TelepathyQt4/message.h                             |  173 -
 TelepathyQt4/method-invocation-context.dox         |   41 -
 TelepathyQt4/method-invocation-context.h           |  192 -
 TelepathyQt4/not-filter.dox                        |   32 -
 TelepathyQt4/not-filter.h                          |   73 -
 TelepathyQt4/object.cpp                            |   65 -
 TelepathyQt4/object.h                              |   63 -
 TelepathyQt4/optional-interface-factory.cpp        |  178 -
 TelepathyQt4/optional-interface-factory.h          |  140 -
 TelepathyQt4/or-filter.dox                         |   33 -
 TelepathyQt4/or-filter.h                           |   83 -
 TelepathyQt4/outgoing-file-transfer-channel.cpp    |  371 --
 TelepathyQt4/outgoing-file-transfer-channel.h      |   78 -
 .../outgoing-stream-tube-channel-internal.h        |  122 -
 TelepathyQt4/outgoing-stream-tube-channel.cpp      |  821 ----
 TelepathyQt4/outgoing-stream-tube-channel.h        |   89 -
 TelepathyQt4/pending-account.cpp                   |  184 -
 TelepathyQt4/pending-account.h                     |   75 -
 TelepathyQt4/pending-channel-request-internal.h    |   73 -
 TelepathyQt4/pending-channel-request.cpp           |  276 --
 TelepathyQt4/pending-channel-request.h             |   84 -
 TelepathyQt4/pending-channel.cpp                   |  555 ---
 TelepathyQt4/pending-channel.h                     |  103 -
 TelepathyQt4/pending-connection.cpp                |  171 -
 TelepathyQt4/pending-connection.h                  |   73 -
 TelepathyQt4/pending-contact-attributes.cpp        |  219 -
 TelepathyQt4/pending-contact-attributes.h          |   77 -
 TelepathyQt4/pending-contact-info.cpp              |  128 -
 TelepathyQt4/pending-contact-info.h                |   66 -
 TelepathyQt4/pending-contacts.cpp                  |  468 --
 TelepathyQt4/pending-contacts.h                    |  108 -
 TelepathyQt4/pending-handles.cpp                   |  490 ---
 TelepathyQt4/pending-handles.h                     |   96 -
 TelepathyQt4/pending-operation.cpp                 |  424 --
 TelepathyQt4/pending-operation.h                   |   89 -
 TelepathyQt4/pending-ready.cpp                     |  148 -
 TelepathyQt4/pending-ready.h                       |   71 -
 TelepathyQt4/pending-send-message.cpp              |  153 -
 TelepathyQt4/pending-send-message.h                |   77 -
 TelepathyQt4/pending-stream-tube-connection.cpp    |  272 --
 TelepathyQt4/pending-stream-tube-connection.h      |   81 -
 TelepathyQt4/pending-string-list.cpp               |  100 -
 TelepathyQt4/pending-string-list.h                 |   63 -
 TelepathyQt4/pending-variant-map.cpp               |   91 -
 TelepathyQt4/pending-variant-map.h                 |   60 -
 TelepathyQt4/pending-variant.cpp                   |   91 -
 TelepathyQt4/pending-variant.h                     |   60 -
 TelepathyQt4/presence.cpp                          |  335 --
 TelepathyQt4/presence.h                            |  135 -
 TelepathyQt4/profile-manager.cpp                   |  332 --
 TelepathyQt4/profile-manager.h                     |   75 -
 TelepathyQt4/profile.cpp                           | 1216 ------
 TelepathyQt4/profile.h                             |  176 -
 TelepathyQt4/properties.cpp                        |   26 -
 TelepathyQt4/properties.h                          |   51 -
 TelepathyQt4/properties.xml                        |    9 -
 TelepathyQt4/protocol-info.cpp                     |  374 --
 TelepathyQt4/protocol-info.h                       |  102 -
 TelepathyQt4/protocol-parameter.cpp                |  176 -
 TelepathyQt4/protocol-parameter.h                  |   87 -
 TelepathyQt4/readiness-helper.cpp                  |  684 ---
 TelepathyQt4/readiness-helper.h                    |  130 -
 TelepathyQt4/ready-object.cpp                      |  161 -
 TelepathyQt4/ready-object.h                        |   69 -
 TelepathyQt4/referenced-handles.cpp                |  333 --
 TelepathyQt4/referenced-handles.h                  |  264 --
 .../request-temporary-handler-internal.cpp         |  135 -
 TelepathyQt4/request-temporary-handler-internal.h  |   91 -
 TelepathyQt4/requestable-channel-class-spec.cpp    |  494 ---
 TelepathyQt4/requestable-channel-class-spec.h      |  134 -
 TelepathyQt4/room-list-channel.cpp                 |  106 -
 TelepathyQt4/room-list-channel.h                   |   59 -
 TelepathyQt4/shared-ptr.dox                        |  111 -
 TelepathyQt4/shared-ptr.h                          |  152 -
 TelepathyQt4/simple-call-observer.cpp              |  298 --
 TelepathyQt4/simple-call-observer.h                |   95 -
 TelepathyQt4/simple-observer-internal.h            |  261 --
 TelepathyQt4/simple-observer.cpp                   |  643 ---
 TelepathyQt4/simple-observer.h                     |  105 -
 TelepathyQt4/simple-pending-operations.h           |  110 -
 TelepathyQt4/simple-stream-tube-handler.cpp        |  254 --
 TelepathyQt4/simple-stream-tube-handler.h          |  120 -
 TelepathyQt4/simple-text-observer-internal.h       |   70 -
 TelepathyQt4/simple-text-observer.cpp              |  298 --
 TelepathyQt4/simple-text-observer.h                |   80 -
 TelepathyQt4/stable-interfaces.xml                 |   26 -
 TelepathyQt4/stream-tube-channel.cpp               |  740 ----
 TelepathyQt4/stream-tube-channel.h                 |  108 -
 TelepathyQt4/stream-tube-client-internal.h         |   61 -
 TelepathyQt4/stream-tube-client.cpp                | 1048 -----
 TelepathyQt4/stream-tube-client.h                  |  217 -
 TelepathyQt4/stream-tube-server-internal.h         |   56 -
 TelepathyQt4/stream-tube-server.cpp                | 1134 -----
 TelepathyQt4/stream-tube-server.h                  |  253 --
 TelepathyQt4/streamed-media-channel.cpp            | 1539 -------
 TelepathyQt4/streamed-media-channel.h              |  228 -
 TelepathyQt4/test-backdoors.cpp                    |   50 -
 TelepathyQt4/test-backdoors.h                      |   59 -
 TelepathyQt4/text-channel.cpp                      | 1277 ------
 TelepathyQt4/text-channel.h                        |  139 -
 TelepathyQt4/tls-certificate.cpp                   |   26 -
 TelepathyQt4/tls-certificate.h                     |   31 -
 TelepathyQt4/tls-certificate.xml                   |    9 -
 TelepathyQt4/tube-channel.cpp                      |  281 --
 TelepathyQt4/tube-channel.h                        |   80 -
 TelepathyQt4/types-internal.h                      |  156 -
 TelepathyQt4/types.cpp                             |   73 -
 TelepathyQt4/types.h                               |  171 -
 TelepathyQt4/utils.cpp                             |  120 -
 TelepathyQt4/utils.h                               |   41 -
 cmake/modules/TelepathyDist.cmake                  |   20 +-
 cmake/modules/TpQt4Macros.cmake                    |   24 +-
 doxygen.cfg.in                                     |    6 +-
 examples/accounts/account-item.cpp                 |    6 +-
 examples/accounts/account-item.h                   |   12 +-
 examples/accounts/accounts-window.cpp              |   14 +-
 examples/accounts/accounts-window.h                |    8 +-
 examples/accounts/main.cpp                         |    6 +-
 examples/contact-messenger/sender.cpp              |   14 +-
 examples/contact-messenger/sender.h                |    8 +-
 examples/extensions/CMakeLists.txt                 |    8 +-
 examples/file-transfer/file-receiver-handler.cpp   |   16 +-
 examples/file-transfer/file-receiver-handler.h     |   14 +-
 examples/file-transfer/file-receiver.cpp           |   18 +-
 examples/file-transfer/file-receiver.h             |   10 +-
 examples/file-transfer/file-sender.cpp             |   42 +-
 examples/file-transfer/file-sender.h               |   10 +-
 examples/file-transfer/pending-file-receive.cpp    |    8 +-
 examples/file-transfer/pending-file-receive.h      |   12 +-
 examples/file-transfer/pending-file-send.cpp       |    8 +-
 examples/file-transfer/pending-file-send.h         |   12 +-
 examples/file-transfer/pending-file-transfer.cpp   |    8 +-
 examples/file-transfer/pending-file-transfer.h     |   12 +-
 examples/protocols/cm-wrapper.cpp                  |    8 +-
 examples/protocols/cm-wrapper.h                    |    8 +-
 examples/protocols/main.cpp                        |    6 +-
 examples/protocols/protocols.cpp                   |    8 +-
 examples/protocols/protocols.h                     |    8 +-
 examples/roster/main.cpp                           |    6 +-
 examples/roster/roster-item.cpp                    |    4 +-
 examples/roster/roster-item.h                      |   10 +-
 examples/roster/roster-widget.cpp                  |   16 +-
 examples/roster/roster-widget.h                    |   10 +-
 examples/roster/roster-window.cpp                  |   16 +-
 examples/roster/roster-window.h                    |   10 +-
 examples/stream-tubes/tube-initiator.cpp           |   42 +-
 examples/stream-tubes/tube-initiator.h             |   12 +-
 examples/stream-tubes/tube-receiver.cpp            |    8 +-
 examples/stream-tubes/tube-receiver.h              |    8 +-
 tests/capabilities.cpp                             |   16 +-
 tests/channel-class-spec.cpp                       |    8 +-
 tests/dbus/account-basics.cpp                      |   20 +-
 tests/dbus/account-channel-dispatcher.cpp          |   28 +-
 tests/dbus/account-connection-factory.cpp          |   12 +-
 tests/dbus/account-set.cpp                         |   24 +-
 tests/dbus/chan-basics.cpp                         |   20 +-
 tests/dbus/chan-conference.cpp                     |    4 +-
 tests/dbus/chan-group.cpp                          |   14 +-
 tests/dbus/client-factories.cpp                    |   66 +-
 tests/dbus/client.cpp                              |   34 +-
 tests/dbus/cm-basics.cpp                           |   10 +-
 tests/dbus/conn-basics.cpp                         |   14 +-
 tests/dbus/conn-capabilities.cpp                   |    4 +-
 tests/dbus/conn-introspect-cornercases.cpp         |   14 +-
 tests/dbus/conn-requests.cpp                       |   12 +-
 tests/dbus/conn-roster-groups-legacy.cpp           |   18 +-
 tests/dbus/conn-roster-groups.cpp                  |   18 +-
 tests/dbus/conn-roster-legacy.cpp                  |    8 +-
 tests/dbus/conn-roster.cpp                         |   12 +-
 tests/dbus/contact-factory.cpp                     |    6 +-
 tests/dbus/contact-messenger.cpp                   |   32 +-
 tests/dbus/contact-search-chan.cpp                 |    6 +-
 tests/dbus/contacts-avatar.cpp                     |   10 +-
 tests/dbus/contacts-capabilities.cpp               |   10 +-
 tests/dbus/contacts-info.cpp                       |   10 +-
 tests/dbus/contacts-location.cpp                   |   10 +-
 tests/dbus/contacts.cpp                            |   26 +-
 tests/dbus/dbus-properties.cpp                     |   14 +-
 tests/dbus/dbus-proxy-factory.cpp                  |   18 +-
 tests/dbus/handles.cpp                             |    8 +-
 tests/dbus/profile-manager.cpp                     |    4 +-
 tests/dbus/simple-observer.cpp                     |   24 +-
 tests/dbus/stateful-proxy.cpp                      |   12 +-
 tests/dbus/stream-tube-chan.cpp                    |   14 +-
 tests/dbus/stream-tube-handlers.cpp                |   30 +-
 tests/dbus/streamed-media-chan.cpp                 |   14 +-
 tests/dbus/text-chan.cpp                           |   10 +-
 tests/dbus/types.cpp                               |    6 +-
 tests/features.cpp                                 |    8 +-
 .../file-transfer-channel-creation-properties.cpp  |    2 +-
 tests/key-file.cpp                                 |    2 +-
 tests/lib/glib-helpers/test-conn-helper.cpp        |   16 +-
 tests/lib/glib-helpers/test-conn-helper.h          |   12 +-
 tests/lib/test.cpp                                 |   12 +-
 tests/lib/test.h                                   |   12 +-
 tests/manager-file.cpp                             |    6 +-
 tests/presence.cpp                                 |    8 +-
 tests/profile.cpp                                  |    4 +-
 tests/ptr.cpp                                      |    2 +-
 tests/rccspec.cpp                                  |    2 +-
 tests/utils.cpp                                    |    2 +-
 tools/CMakeLists.txt                               |    4 +-
 tools/qt4-client-gen.py                            |    6 +-
 tools/qt4-types-gen.py                             |    2 +-
 1014 files changed, 68333 insertions(+), 68333 deletions(-)

commit aafde57c570a56bb98df4103a4ee38ed25b91897
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Thu Nov 10 15:03:02 2011 -0700

    Rename TPQT4 cmake macros to TPQT.

 CMakeLists.txt                            |    2 +-
 TelepathyQt4/CMakeLists.txt               |   52 +++++-----
 TelepathyQt4/dbus-proxy.cpp               |    2 +-
 cmake/modules/TpQt4Macros.cmake           |  156 ++++++++++++++--------------
 examples/accounts/CMakeLists.txt          |    2 +-
 examples/contact-messenger/CMakeLists.txt |    2 +-
 examples/extensions/CMakeLists.txt        |   10 +-
 examples/file-transfer/CMakeLists.txt     |    4 +-
 examples/protocols/CMakeLists.txt         |    2 +-
 examples/roster/CMakeLists.txt            |    2 +-
 examples/stream-tubes/CMakeLists.txt      |    4 +-
 tests/CMakeLists.txt                      |   20 ++--
 tests/dbus/CMakeLists.txt                 |   76 +++++++-------
 tests/dbus/conn-basics.cpp                |    6 +-
 tests/lib/CMakeLists.txt                  |    2 +-
 tests/lib/glib-helpers/CMakeLists.txt     |    2 +-
 tests/lib/glib/callable/CMakeLists.txt    |    2 +-
 tests/lib/glib/contactlist/CMakeLists.txt |    2 +-
 tests/lib/glib/csh/CMakeLists.txt         |    2 +-
 tests/lib/glib/echo/CMakeLists.txt        |    2 +-
 tests/lib/glib/echo2/CMakeLists.txt       |    2 +-
 21 files changed, 177 insertions(+), 177 deletions(-)

commit c852994b80c35a173d1409adf23381aa7fb022b8
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Thu Nov 10 14:20:05 2011 -0700

    Rename TELEPATHY_QT4_DEPRECATED to TP_QT_DEPRECATED.

 TelepathyQt4/ConnectionInterfaceClientTypes   |    2 +-
 TelepathyQt4/ConnectionInterfaceContactGroups |    2 +-
 TelepathyQt4/ConnectionInterfaceContactList   |    2 +-
 TelepathyQt4/ConnectionInterfacePowerSaving   |    2 +-
 TelepathyQt4/account.h                        |    4 +-
 TelepathyQt4/connection-capabilities.h        |    6 ++--
 TelepathyQt4/contact-manager.h                |    4 +-
 TelepathyQt4/contact.h                        |    2 +-
 TelepathyQt4/global.h                         |   36 ++++++++++++------------
 TelepathyQt4/pending-operation.h              |    2 +-
 TelepathyQt4/profile.h                        |    2 +-
 TelepathyQt4/stream-tube-channel.h            |    4 +-
 TelepathyQt4/tube-channel.h                   |    2 +-
 cmake/modules/TelepathyDefaults.cmake         |    2 +-
 14 files changed, 36 insertions(+), 36 deletions(-)

commit 62af6daa073e0f10159d1dcc367574d305f9572f
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Thu Nov 10 13:55:29 2011 -0700

    Rename TP_QT4 cmake variables to TP_QT.

 CMakeLists.txt                        |   38 ++++++++++++++++----------------
 TelepathyQt4/CMakeLists.txt           |    4 +-
 TelepathyQt4/Farsight/CMakeLists.txt  |    4 +-
 TelepathyQt4/channel-class-spec.h     |    2 +-
 cmake/modules/TelepathyDefaults.cmake |    6 ++--
 cmake/modules/TelepathyDist.cmake     |    6 ++--
 6 files changed, 30 insertions(+), 30 deletions(-)

commit 0559c647435962437048e13f11fd60932e5c5602
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Thu Nov 10 13:49:17 2011 -0700

    Rename TELEPATHY_QT4_FS_NO_EXPORT to TP_QT_FS_NO_EXPORT.

 TelepathyQt4/Farsight/global.h |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit a7f2bf48b2052cb047acb2a53d5f7d77a194517d
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Thu Nov 10 13:47:06 2011 -0700

    Rename TELEPATHY_QT4_FS_EXPORT to TP_QT_FS_EXPORT.

 TelepathyQt4/Farsight/channel.h |    2 +-
 TelepathyQt4/Farsight/global.h  |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit cd88a442d0335bbbed8d0e5fa11052ae8cd04cbb
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Wed Nov 9 17:22:33 2011 -0700

    Rename TP_QT4_ENABLE_LOWLEVEL_API to TP_QT_ENABLE_LOWLEVEL_API.

 TelepathyQt4/connection-manager.h           |    2 +-
 TelepathyQt4/connection.h                   |    2 +-
 tests/dbus/account-channel-dispatcher.cpp   |    2 +-
 tests/dbus/chan-basics.cpp                  |    2 +-
 tests/dbus/client-factories.cpp             |    2 +-
 tests/dbus/client.cpp                       |    2 +-
 tests/dbus/conn-basics.cpp                  |    2 +-
 tests/dbus/conn-introspect-cornercases.cpp  |    2 +-
 tests/dbus/conn-requests.cpp                |    2 +-
 tests/dbus/conn-roster-groups-legacy.cpp    |    2 +-
 tests/dbus/conn-roster-groups.cpp           |    4 ++--
 tests/dbus/contact-messenger.cpp            |    2 +-
 tests/dbus/contacts.cpp                     |    2 +-
 tests/dbus/handles.cpp                      |    2 +-
 tests/dbus/simple-observer.cpp              |    2 +-
 tests/dbus/streamed-media-chan.cpp          |    2 +-
 tests/lib/glib-helpers/test-conn-helper.cpp |    2 +-
 17 files changed, 18 insertions(+), 18 deletions(-)

commit 9812689163867968f1a6ec95dfa788592a609917
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Tue Nov 8 17:56:01 2011 -0700

    Rename TP_QT4 to TP_QT in generated constants.h.

 TelepathyQt4/CMakeLists.txt                        |    4 +-
 TelepathyQt4/abstract-client.cpp                   |    8 +-
 TelepathyQt4/abstract-client.h                     |   36 +++---
 TelepathyQt4/abstract-interface.cpp                |    6 +-
 TelepathyQt4/account.cpp                           |   22 ++--
 TelepathyQt4/capabilities-base.cpp                 |    4 +-
 TelepathyQt4/channel-class-spec.cpp                |    4 +-
 TelepathyQt4/channel-dispatch-operation.cpp        |    2 +-
 TelepathyQt4/channel-request.cpp                   |    2 +-
 TelepathyQt4/channel.cpp                           |   16 ++--
 TelepathyQt4/connection-manager.cpp                |   18 ++--
 TelepathyQt4/connection.cpp                        |   26 ++--
 TelepathyQt4/contact-capabilities.cpp              |    6 +-
 TelepathyQt4/contact-manager-roster.cpp            |   22 ++--
 TelepathyQt4/contact-manager.cpp                   |   22 ++--
 TelepathyQt4/contact-search-channel.cpp            |    2 +-
 TelepathyQt4/contact.cpp                           |   12 +-
 TelepathyQt4/message.cpp                           |   12 +-
 TelepathyQt4/outgoing-stream-tube-channel.cpp      |    4 +-
 TelepathyQt4/pending-channel.cpp                   |   10 +-
 TelepathyQt4/pending-send-message.cpp              |    2 +-
 TelepathyQt4/readiness-helper.cpp                  |    2 +-
 .../request-temporary-handler-internal.cpp         |    6 +-
 TelepathyQt4/requestable-channel-class-spec.cpp    |  128 ++++++++++----------
 TelepathyQt4/simple-call-observer.cpp              |    4 +-
 TelepathyQt4/simple-observer.cpp                   |    2 +-
 TelepathyQt4/simple-stream-tube-handler.cpp        |    4 +-
 TelepathyQt4/simple-text-observer.cpp              |    2 +-
 TelepathyQt4/stream-tube-server.cpp                |    2 +-
 TelepathyQt4/streamed-media-channel.cpp            |   20 ++--
 examples/file-transfer/file-receiver-handler.cpp   |    4 +-
 examples/file-transfer/file-sender.cpp             |    2 +-
 examples/file-transfer/pending-file-send.cpp       |    2 +-
 tests/channel-class-spec.cpp                       |   18 ++--
 tests/dbus/account-channel-dispatcher.cpp          |   12 +-
 tests/dbus/chan-basics.cpp                         |   14 +-
 tests/dbus/chan-conference.cpp                     |    2 +-
 tests/dbus/chan-group.cpp                          |   12 +-
 tests/dbus/client.cpp                              |    2 +-
 tests/dbus/contact-messenger.cpp                   |    8 +-
 tests/dbus/simple-observer.cpp                     |    8 +-
 tests/dbus/stream-tube-handlers.cpp                |   42 +++---
 tests/dbus/streamed-media-chan.cpp                 |   18 ++--
 tests/dbus/text-chan.cpp                           |    4 +-
 tests/rccspec.cpp                                  |   72 ++++++------
 45 files changed, 315 insertions(+), 315 deletions(-)

commit 74156c9b06b396cd4d3a0ca90d53970108824bd0
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Tue Nov 8 17:06:41 2011 -0700

    Rename error code macros in constants.h.

 TelepathyQt4/account.cpp                        |    4 ++--
 TelepathyQt4/channel-dispatch-operation.cpp     |   10 +++++-----
 TelepathyQt4/channel.cpp                        |    2 +-
 TelepathyQt4/constants.h                        |   22 +++-------------------
 TelepathyQt4/incoming-file-transfer-channel.cpp |    2 +-
 TelepathyQt4/stream-tube-channel.cpp            |    2 +-
 TelepathyQt4/stream-tube-client.cpp             |    2 +-
 tests/dbus/account-set.cpp                      |    2 +-
 tests/dbus/chan-basics.cpp                      |    2 +-
 tests/dbus/stream-tube-handlers.cpp             |    4 ++--
 10 files changed, 18 insertions(+), 34 deletions(-)

commit 77452b30a34d3c5b95cbdf07cf732ca5689b76e4
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Tue Nov 8 13:39:32 2011 -0700

    Rename TELEPATHY_DBUS macros to TP_QT_DBUS.

 TelepathyQt4/channel-dispatch-operation.cpp |    2 +-
 TelepathyQt4/constants.h                    |   40 ++-------------------------
 TelepathyQt4/dbus-proxy.cpp                 |    2 +-
 TelepathyQt4/pending-channel-request.cpp    |    2 +-
 TelepathyQt4/pending-send-message.cpp       |    4 +-
 tests/dbus/contact-messenger.cpp            |    2 +-
 tests/dbus/stateful-proxy.cpp               |    4 +-
 7 files changed, 11 insertions(+), 45 deletions(-)

commit 9dc4619bd80470bcd29dea8c39c1f04e1d23b4b6
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Tue Nov 8 12:13:37 2011 -0700

    Rename TELEPATHY_ACCOUNT macros to TP_QT_ACCOUNT.

 TelepathyQt4/account.cpp                 |    8 ++++----
 TelepathyQt4/constants.h                 |   12 +-----------
 examples/file-transfer/file-sender.cpp   |    2 +-
 examples/roster/roster-window.cpp        |    2 +-
 examples/stream-tubes/tube-initiator.cpp |    2 +-
 5 files changed, 8 insertions(+), 18 deletions(-)

commit 62a30fa64ceeed04214b9331af0524cdb6c9a347
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Mon Nov 7 21:25:36 2011 -0700

    Rename TELEPATHY_CHANNEL_DISPATCHER to TP_QT_CHANNEL_DISPATCHER.

 TelepathyQt4/account.cpp            |    2 +-
 TelepathyQt4/constants.h            |   16 ++--------------
 TelepathyQt4/contact-messenger.cpp  |    2 +-
 tests/dbus/stream-tube-handlers.cpp |    2 +-
 4 files changed, 5 insertions(+), 17 deletions(-)

commit 6b36aef52852f7459ec251814589b84a9820aacc
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Mon Nov 7 21:08:45 2011 -0700

    Rename TELEPATHY_ACCOUNT_MANAGER macros to TP_QT_ACCOUNT_MANAGER.

 TelepathyQt4/account-factory.cpp            |    4 ++--
 TelepathyQt4/account-manager.cpp            |    4 ++--
 TelepathyQt4/account.cpp                    |    6 +++---
 TelepathyQt4/channel-dispatch-operation.cpp |    2 +-
 TelepathyQt4/channel-request.cpp            |    4 ++--
 TelepathyQt4/client-registrar.cpp           |    4 ++--
 TelepathyQt4/constants.h                    |   20 ++------------------
 examples/contact-messenger/sender.cpp       |    2 +-
 examples/roster/roster-window.cpp           |    2 +-
 examples/stream-tubes/tube-initiator.cpp    |    2 +-
 10 files changed, 17 insertions(+), 33 deletions(-)

commit 109433454ee116f26b124c15dccfe91f2c76240c
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Mon Nov 7 20:44:44 2011 -0700

    Rename TELEPATHY_CONNECTION macros to TP_QT_CONNECTION.

 TelepathyQt4/connection.cpp |    4 ++--
 TelepathyQt4/constants.h    |   11 ++---------
 2 files changed, 4 insertions(+), 11 deletions(-)

commit e9fb6c25b5ede7e6af3136de27ffbd347c4561fe
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Mon Nov 7 20:26:29 2011 -0700

    Rename TELEPATHY_CONNECTION_MANAGER to TP_QT_CONNECTION_MANAGER.

 TelepathyQt4/connection-manager.cpp |    6 ++----
 TelepathyQt4/constants.h            |   16 ++--------------
 2 files changed, 4 insertions(+), 18 deletions(-)

commit eca5a43c556509cb4cefdeb50783fb0f0f54129c
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Mon Nov 7 17:07:33 2011 -0700

    Rename TELEPATHY_QT4_NO_EXPORT to TP_QT_NO_EXPORT.

 TelepathyQt4/abstract-client.cpp                   |   12 ++--
 TelepathyQt4/abstract-interface.cpp                |    2 +-
 TelepathyQt4/account-manager.cpp                   |    2 +-
 TelepathyQt4/account-manager.h                     |   10 ++--
 TelepathyQt4/account-property-filter.cpp           |    2 +-
 TelepathyQt4/account-set-internal.h                |   10 ++--
 TelepathyQt4/account-set.h                         |    6 +-
 TelepathyQt4/account.cpp                           |    2 +-
 TelepathyQt4/account.h                             |   18 +++---
 TelepathyQt4/avatar.cpp                            |    2 +-
 TelepathyQt4/capabilities-base.cpp                 |    2 +-
 TelepathyQt4/channel-class-spec.cpp                |    4 +-
 TelepathyQt4/channel-dispatch-operation-internal.h |    4 +-
 TelepathyQt4/channel-dispatch-operation.cpp        |    2 +-
 TelepathyQt4/channel-dispatch-operation.h          |    8 ++--
 TelepathyQt4/channel-factory.cpp                   |    2 +-
 TelepathyQt4/channel-internal.h                    |   10 ++--
 TelepathyQt4/channel-request.cpp                   |    4 +-
 TelepathyQt4/channel-request.h                     |   10 ++--
 TelepathyQt4/channel.cpp                           |    8 ++--
 TelepathyQt4/channel.h                             |   58 ++++++++++----------
 TelepathyQt4/client-registrar-internal.h           |   10 ++--
 TelepathyQt4/client-registrar.cpp                  |    2 +-
 TelepathyQt4/connection-internal.h                 |   10 ++--
 TelepathyQt4/connection-lowlevel.h                 |    8 ++--
 TelepathyQt4/connection-manager-internal.h         |    8 ++--
 TelepathyQt4/connection-manager-lowlevel.h         |    2 +-
 TelepathyQt4/connection-manager.h                  |    8 ++--
 TelepathyQt4/connection.cpp                        |    8 ++--
 TelepathyQt4/connection.h                          |   40 +++++++-------
 TelepathyQt4/contact-factory.cpp                   |    2 +-
 TelepathyQt4/contact-manager-internal.h            |   18 +++---
 TelepathyQt4/contact-manager.cpp                   |    2 +-
 TelepathyQt4/contact-manager.h                     |   36 ++++++------
 TelepathyQt4/contact-messenger.cpp                 |    2 +-
 TelepathyQt4/contact-messenger.h                   |    2 +-
 TelepathyQt4/contact-search-channel-internal.h     |    6 +-
 TelepathyQt4/contact-search-channel.cpp            |    4 +-
 TelepathyQt4/contact-search-channel.h              |   12 ++--
 TelepathyQt4/contact.cpp                           |    4 +-
 TelepathyQt4/contact.h                             |   32 ++++++------
 TelepathyQt4/dbus-proxy-factory-internal.h         |    2 +-
 TelepathyQt4/dbus-proxy-factory.cpp                |    2 +-
 TelepathyQt4/dbus-proxy.cpp                        |    4 +-
 TelepathyQt4/dbus-proxy.h                          |    4 +-
 TelepathyQt4/feature.cpp                           |    2 +-
 .../file-transfer-channel-creation-properties.cpp  |    2 +-
 TelepathyQt4/file-transfer-channel.cpp             |    2 +-
 TelepathyQt4/file-transfer-channel.h               |   12 ++--
 TelepathyQt4/fixed-feature-factory.cpp             |    2 +-
 TelepathyQt4/global.h                              |    6 +-
 TelepathyQt4/handled-channel-notifier.cpp          |    2 +-
 TelepathyQt4/handled-channel-notifier.h            |    4 +-
 TelepathyQt4/incoming-file-transfer-channel.cpp    |    4 +-
 TelepathyQt4/incoming-file-transfer-channel.h      |   14 +++---
 TelepathyQt4/incoming-stream-tube-channel.cpp      |    2 +-
 TelepathyQt4/incoming-stream-tube-channel.h        |    2 +-
 TelepathyQt4/key-file.cpp                          |    2 +-
 TelepathyQt4/location-info.cpp                     |    2 +-
 TelepathyQt4/location-info.h                       |    2 +-
 TelepathyQt4/manager-file.cpp                      |    2 +-
 TelepathyQt4/message-content-part.cpp              |    2 +-
 TelepathyQt4/message.cpp                           |    4 +-
 TelepathyQt4/message.h                             |   24 ++++----
 TelepathyQt4/optional-interface-factory.cpp        |    2 +-
 TelepathyQt4/outgoing-file-transfer-channel.cpp    |    2 +-
 TelepathyQt4/outgoing-file-transfer-channel.h      |   16 +++---
 .../outgoing-stream-tube-channel-internal.h        |    8 ++--
 TelepathyQt4/outgoing-stream-tube-channel.h        |    6 +-
 TelepathyQt4/pending-account.cpp                   |    2 +-
 TelepathyQt4/pending-account.h                     |    8 ++--
 TelepathyQt4/pending-channel-request-internal.h    |    2 +-
 TelepathyQt4/pending-channel-request.cpp           |    2 +-
 TelepathyQt4/pending-channel-request.h             |   10 ++--
 TelepathyQt4/pending-channel.cpp                   |    4 +-
 TelepathyQt4/pending-channel.h                     |   20 ++++----
 TelepathyQt4/pending-connection.cpp                |    2 +-
 TelepathyQt4/pending-connection.h                  |    8 ++--
 TelepathyQt4/pending-contact-attributes.cpp        |    2 +-
 TelepathyQt4/pending-contact-attributes.h          |    6 +-
 TelepathyQt4/pending-contact-info.cpp              |    2 +-
 TelepathyQt4/pending-contact-info.h                |    4 +-
 TelepathyQt4/pending-contacts.cpp                  |    2 +-
 TelepathyQt4/pending-contacts.h                    |   18 +++---
 TelepathyQt4/pending-handles.cpp                   |    2 +-
 TelepathyQt4/pending-handles.h                     |   14 +++---
 TelepathyQt4/pending-operation.cpp                 |    4 +-
 TelepathyQt4/pending-operation.h                   |    4 +-
 TelepathyQt4/pending-ready.cpp                     |    2 +-
 TelepathyQt4/pending-ready.h                       |    6 +-
 TelepathyQt4/pending-send-message.cpp              |    2 +-
 TelepathyQt4/pending-send-message.h                |   10 ++--
 TelepathyQt4/pending-stream-tube-connection.cpp    |    2 +-
 TelepathyQt4/pending-stream-tube-connection.h      |   10 ++--
 TelepathyQt4/pending-string-list.cpp               |    2 +-
 TelepathyQt4/pending-string-list.h                 |    2 +-
 TelepathyQt4/pending-variant-map.cpp               |    2 +-
 TelepathyQt4/pending-variant-map.h                 |    2 +-
 TelepathyQt4/pending-variant.cpp                   |    2 +-
 TelepathyQt4/pending-variant.h                     |    2 +-
 TelepathyQt4/presence.cpp                          |    4 +-
 TelepathyQt4/profile-manager.cpp                   |    2 +-
 TelepathyQt4/profile-manager.h                     |    4 +-
 TelepathyQt4/profile.cpp                           |    8 ++--
 TelepathyQt4/profile.h                             |   30 +++++-----
 TelepathyQt4/protocol-info.cpp                     |    2 +-
 TelepathyQt4/protocol-info.h                       |   18 +++---
 TelepathyQt4/protocol-parameter.cpp                |    2 +-
 TelepathyQt4/protocol-parameter.h                  |    2 +-
 TelepathyQt4/readiness-helper.cpp                  |    4 +-
 TelepathyQt4/readiness-helper.h                    |    4 +-
 TelepathyQt4/ready-object.cpp                      |    2 +-
 TelepathyQt4/referenced-handles.cpp                |    2 +-
 TelepathyQt4/referenced-handles.h                  |    2 +-
 TelepathyQt4/request-temporary-handler-internal.h  |    2 +-
 TelepathyQt4/requestable-channel-class-spec.cpp    |    2 +-
 TelepathyQt4/room-list-channel.cpp                 |    2 +-
 TelepathyQt4/simple-call-observer.cpp              |    2 +-
 TelepathyQt4/simple-call-observer.h                |    8 ++--
 TelepathyQt4/simple-observer-internal.h            |   12 ++--
 TelepathyQt4/simple-observer.h                     |   14 +++---
 TelepathyQt4/simple-pending-operations.h           |    4 +-
 TelepathyQt4/simple-stream-tube-handler.h          |    2 +-
 TelepathyQt4/simple-text-observer-internal.h       |    4 +-
 TelepathyQt4/simple-text-observer.h                |    8 ++--
 TelepathyQt4/stream-tube-channel.cpp               |    2 +-
 TelepathyQt4/stream-tube-channel.h                 |    6 +-
 TelepathyQt4/stream-tube-client-internal.h         |    2 +-
 TelepathyQt4/stream-tube-client.cpp                |    4 +-
 TelepathyQt4/stream-tube-client.h                  |   12 ++--
 TelepathyQt4/stream-tube-server-internal.h         |    2 +-
 TelepathyQt4/stream-tube-server.cpp                |    8 ++--
 TelepathyQt4/stream-tube-server.h                  |   12 ++--
 TelepathyQt4/streamed-media-channel.cpp            |    6 +-
 TelepathyQt4/streamed-media-channel.h              |   34 ++++++------
 TelepathyQt4/text-channel.cpp                      |    2 +-
 TelepathyQt4/text-channel.h                        |   22 ++++----
 TelepathyQt4/tube-channel.cpp                      |    2 +-
 TelepathyQt4/tube-channel.h                        |    4 +-
 cmake/modules/TpQt4Macros.cmake                    |    2 +-
 doxygen.cfg.in                                     |    2 +-
 tools/qt4-types-gen.py                             |    2 +-
 142 files changed, 481 insertions(+), 481 deletions(-)

commit e787c4422154da00c9867447c34629896f109785
Author: Jeremy Whiting <jeremy.whiting@collabora.com>
Date:   Mon Nov 7 12:25:22 2011 -0700

    Rename TELEPATHY_QT4_EXPORT to TP_QT_EXPORT.

 HACKING                                            |    4 ++--
 TelepathyQt4/CMakeLists.txt                        |    2 +-
 TelepathyQt4/abstract-client.h                     |    8 ++++----
 TelepathyQt4/abstract-interface.h                  |    2 +-
 TelepathyQt4/account-factory.h                     |    2 +-
 TelepathyQt4/account-manager.h                     |    2 +-
 TelepathyQt4/account-property-filter.h             |    2 +-
 TelepathyQt4/account-set.h                         |    2 +-
 TelepathyQt4/account.h                             |    2 +-
 TelepathyQt4/avatar.h                              |    4 ++--
 TelepathyQt4/capabilities-base.h                   |    2 +-
 TelepathyQt4/channel-class-spec.h                  |    4 ++--
 TelepathyQt4/channel-dispatch-operation.h          |    2 +-
 TelepathyQt4/channel-factory.h                     |    4 ++--
 TelepathyQt4/channel-request.h                     |    4 ++--
 TelepathyQt4/channel.h                             |    2 +-
 TelepathyQt4/client-registrar.h                    |    2 +-
 TelepathyQt4/connection-capabilities.h             |    2 +-
 TelepathyQt4/connection-factory.h                  |    2 +-
 TelepathyQt4/connection-lowlevel.h                 |    2 +-
 TelepathyQt4/connection-manager-lowlevel.h         |    2 +-
 TelepathyQt4/connection-manager.h                  |    2 +-
 TelepathyQt4/connection.h                          |    2 +-
 TelepathyQt4/contact-capabilities.h                |    2 +-
 TelepathyQt4/contact-factory.h                     |    2 +-
 TelepathyQt4/contact-manager.h                     |    2 +-
 TelepathyQt4/contact-messenger.h                   |    2 +-
 TelepathyQt4/contact-search-channel.h              |    2 +-
 TelepathyQt4/contact.h                             |    2 +-
 TelepathyQt4/dbus-proxy-factory.h                  |    2 +-
 TelepathyQt4/dbus-proxy.h                          |    6 +++---
 TelepathyQt4/debug-internal.h                      |    6 +++---
 TelepathyQt4/debug.h                               |    6 +++---
 TelepathyQt4/feature.h                             |    4 ++--
 .../file-transfer-channel-creation-properties.h    |    2 +-
 TelepathyQt4/file-transfer-channel.h               |    2 +-
 TelepathyQt4/fixed-feature-factory.h               |    2 +-
 TelepathyQt4/global.h                              |    4 ++--
 TelepathyQt4/handled-channel-notifier.h            |    2 +-
 TelepathyQt4/incoming-file-transfer-channel.h      |    2 +-
 TelepathyQt4/incoming-stream-tube-channel.h        |    2 +-
 TelepathyQt4/key-file.h                            |    2 +-
 TelepathyQt4/location-info.h                       |    2 +-
 TelepathyQt4/manager-file.h                        |    2 +-
 TelepathyQt4/message-content-part.h                |    4 ++--
 TelepathyQt4/message.h                             |    4 ++--
 TelepathyQt4/object.h                              |    2 +-
 TelepathyQt4/optional-interface-factory.h          |    2 +-
 TelepathyQt4/outgoing-file-transfer-channel.h      |    2 +-
 TelepathyQt4/outgoing-stream-tube-channel.h        |    2 +-
 TelepathyQt4/pending-account.h                     |    2 +-
 TelepathyQt4/pending-channel-request.h             |    2 +-
 TelepathyQt4/pending-channel.h                     |    2 +-
 TelepathyQt4/pending-connection.h                  |    2 +-
 TelepathyQt4/pending-contact-attributes.h          |    2 +-
 TelepathyQt4/pending-contact-info.h                |    2 +-
 TelepathyQt4/pending-contacts.h                    |    2 +-
 TelepathyQt4/pending-handles.h                     |    2 +-
 TelepathyQt4/pending-operation.h                   |    2 +-
 TelepathyQt4/pending-ready.h                       |    2 +-
 TelepathyQt4/pending-send-message.h                |    2 +-
 TelepathyQt4/pending-stream-tube-connection.h      |    2 +-
 TelepathyQt4/pending-string-list.h                 |    2 +-
 TelepathyQt4/pending-variant-map.h                 |    2 +-
 TelepathyQt4/pending-variant.h                     |    2 +-
 TelepathyQt4/presence.h                            |    6 +++---
 TelepathyQt4/profile-manager.h                     |    2 +-
 TelepathyQt4/profile.h                             |    2 +-
 TelepathyQt4/protocol-info.h                       |    2 +-
 TelepathyQt4/protocol-parameter.h                  |    2 +-
